2010-05-20  Ramon Novoa  <rnovoa@artica.es>

	* DEBIAN/control, DEBIAN/make_deb_package.sh,
	  include/config_process.php, pandora_console.spec: Updated for the
	  release of Pandora FMS 3.1 RC1.

2010-05-20 Raúl Mateos <raulofpandora@gmail.com>

	* operation/users/user_edit.php: Updated year. Use better table in group
	list.

	* godmode/snmp_console/snmp_alert.php: Updated year. Removed old header.
	Added code to show different header depending on GET parameter.

2010-05-20  Miguel de Dios  <miguel.dedios@artica.es>

	* DEBIAN/make_deb_package.sh: fixed the permissions to DEBIAN temp package. 
	
2010-05-18  Miguel de Dios  <miguel.dedios@artica.es>

	* DEBIAN/make_deb_package.sh: added parameter to make only packages of
	pear modules or not.

2010-05-18  Miguel de Dios  <miguel.dedios@artica.es>

	* include/fgraph.php: fixed the fgraph when cron get a report in PDF for to
	send, and this situation the fgraph execute in localhost althought it'snt
	login.

2010-05-18  Sancho Lerena <slerena@artica.es>

	* pandoradb_data.sql: Update build/version to rc1.

	* extras/pandoradb_migrate_v3.0_to_v3.1.sql: Revised upgrade script.
	Tested with several 3.0 versions.

	* pandora_console_upgrade: Updated script, tested to work with 3.1

2010-05-18  Sergio Martin <sergio.martin@artica.es>

	* operation/agentes/ver_agente.php
	godmode/reporting/visual_console_builder.wizard.php
	godmode/reporting/visual_console_builder.php: Fixed the
	multiple agents selection on visual console wizard 
	for bug 2997750

2010-05-18  Miguel de Dios  <miguel.dedios@artica.es>

	* include/javascript/pandora.js: added function 
	"agent_changed_by_multiple_agents_id" for response to change agent in
	wizard in visual console editor.

	* operation/agentes/ver_agente.php: added response to
	"get_agent_modules_json_for_multiple_agents_id" for the ajax previous
	function.
	
	* godmode/reporting/visual_console_builder.wizard.php: used new javascript
	function.

2010-05-17  Sergio Martin <sergio.martin@artica.es>

	* include/languages/cs.po
	include/languages/nl.mo
	include/languages/pt_BR.po
	include/languages/es.po
	include/languages/pl.mo
	include/languages/ko.po
	include/languages/it.mo
	include/languages/sl.mo
	include/languages/sk.po
	include/languages/uk.po
	include/languages/ro.po
	include/languages/pt.mo
	include/languages/ast.mo
	include/languages/index.pot
	include/languages/bn.po
	include/languages/ar.po
	include/languages/cs.mo
	include/languages/pt_BR.mo
	include/languages/es.mo
	include/languages/ko.mo
	include/languages/fr.po
	include/languages/sk.mo
	include/languages/uk.mo
	include/languages/ro.mo
	include/languages/ca.po
	include/languages/da.po
	include/languages/tr.po
	include/languages/de.po
	include/languages/sv.po
	include/languages/ja.po
	include/languages/zh_TW.po
	include/languages/he.po
	include/languages/bn.mo
	include/languages/fi.po
	include/languages/ar.mo
	include/languages/hi.po
	include/languages/zh_CN.po
	include/languages/fr.mo
	include/languages/te.po
	include/languages/eu.po
	include/languages/hu.po
	include/languages/ca.mo
	include/languages/da.mo
	include/languages/tr.mo
	include/languages/de.mo
	include/languages/sv.mo
	include/languages/ru.po
	include/languages/ja.mo
	include/languages/zh_TW.mo
	include/languages/he.mo
	include/languages/fi.mo
	include/languages/hi.mo
	include/languages/zh_CN.mo
	include/languages/el.po
	include/languages/gl.po
	include/languages/te.mo
	include/languages/eu.mo
	include/languages/nl.po
	include/languages/hu.mo
	include/languages/pl.po
	include/languages/it.po
	include/languages/sl.po
	include/languages/pt.po
	include/languages/ru.mo
	include/languages/ast.po
	include/languages/el.mo
	include/languages/gl.mo: Updated the languages files
	from Launchpad

2010-05-17  Miguel de Dios  <miguel.dedios@artica.es>

	* include/javascript/pandora_modules.js,
	godmode/agentes/module_manager_editor.php: fixed the snmp_walk for version
	2, 2c and 3. Need more test for version 3.

2010-05-17  Miguel de Dios  <miguel.dedios@artica.es>

	* include/javascript/pandora.js,
	godmode/reporting/visual_console_builder.wizard.php: fixed the select box
	modules for when select many agents.

2010-05-17  Sergio Martin <sergio.martin@artica.es>

	* include/functions_reporting.php: Fixed the
	Warning monitor stauts in tactical view
	for bug: 3002602

2010-05-17  Sergio Martin <sergio.martin@artica.es>

	* godmode/setup/gis_step_2.php
	godmode/setup/gis.php: Created error and
	successfuly messages when create, update or
	delete a map connection for bug 2994197

2010-05-17  Sergio Martin <sergio.martin@artica.es>

	* operation/extensions.php
	godmode/extensions.php: Fixed the undefined
	variable display on extensions sections
	for bug 2989967

2010-05-17  Junichi Satoh  <junichi@rworks.jp>

	* include/gettext.php: Changed the judgment method for 64bit systems.
	'x86_64' is not acceptable by some systems.

2010-05-14 Raúl Mateos <raulofpandora@gmail.com>

	* operation/agentes/gis_view.php, tactical.php: Clean code. Updated year.

2010-05-14  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/groups/group_list.php: fixed the request of group data when get
	data about "All" group.
	Fixes: #2993501

2010-05-14  Sergio Martin <sergio.martin@artica.es>

	* godmode/reporting/visual_console_builder.php: Fixed
	the adding at visual map only the agent if module is 
	no selected and only the module if is selected.
	Fixes: #2989339

2010-05-14  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/gis_maps/configure_gis_map.php: fixed the title of button to
	"update layer", and now by default the group of new layer is none.
	Fixes: #2990762

2010-05-14  Sergio Martin <sergio.martin@artica.es>

	* include/functions_db.php
	operation/agentes/ver_agente.php
	godmode/agentes/massive_edit_modules.php: Fixed the
	ACL check into groups combo for bug 3001500 and 
	All agents display for bug 2999431

2010-05-14  Miguel de Dios  <miguel.dedios@artica.es>

	* include/gettext.php: Sorry I forget part of changes in "fixed the bug of
	pseudo-gettext with diferent arquitectures. Now check the arquitecture
	before." 
	Fixes: #2991545
	
	* godmode/agentes/configurar_agente.php: fixed lost the require file.
	Fixes: #3000337

2010-05-13 Raúl Mateos <raulofpandora@gmail.com>

	* operation/agentes/group_view.php: Clean code. Close tags. Now, if 
	there's no agent, it shows a text. Inefficient?

	* godmode/agentes/agent_manager: Solved typo with .png files, but
	those files don't exist in repository...

2010-05-13 Raúl Mateos <raulofpandora@gmail.com>

	* install.php: Updated year. Clean code.

2010-05-13  Sergio Martin <sergio.martin@artica.es>

	* godmode/gis_maps/configure_gis_map.php: Fixed the 
	Gis map without map connection. Now is impossible 
	to create or update a GIS map without map connection
	Bug: 3000014

2010-05-13  Miguel de Dios  <miguel.dedios@artica.es>

	* include/gettext.php: fixed the bug of pseudo-gettext with diferent
	arquitectures. Now check the arquitecture before. 
	Fixes: #2991545

2010-05-13  Miguel de Dios  <miguel.dedios@artica.es>

	* pandoradb.sql: fixed the syntax of sql for compatibility of mysql 5.0 that
	this versión is used in Debian Lenny for example. Now run in 5.0 and next
	versións.

2010-05-13  Sergio Martin <sergio.martin@artica.es>

	* include/functions_ui.php: Fixed negative timestamp 
	for bug: 2926876

2010-05-13  Sergio Martin <sergio.martin@artica.es>

	* include/functions_reporting.php
	operation/agentes/status_monitor.php: Fixed full monitor
	checks in tactical view and monitor status filter 
	on monitor detail

2010-05-13  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_reporting.php: fixed the empty cell.
	Fixes: #2996522

2010-05-13  Miguel de Dios  <miguel.dedios@artica.es>

	* include/javascript/pandora.js: check if exist the "any" text translation.
	* godmode/reporting/visual_console_builder.wizard.php: add the "any"
	translation.
	Fixes: #3000496

2010-05-13  Miguel de Dios  <miguel.dedios@artica.es>

	* install.php: check the exit library "Multibyte String".
	Fixes: #3001028

2010-05-12  Sergio Martin <sergio.martin@artica.es>

	* include/functions_reporting.php: Fixed unknown
	and no init monitors queries for monitor checks. 
	Bug: 3000460

2010-05-12  Sergio Martin <sergio.martin@artica.es>

	* extras/pandora_diag.php: Fixed the SQL error
	into diagnostic info section. Now the system
	check the enterprise version before to show 
	tlocal_component info. Bug: 2998918

2010-05-12  Sergio Martin <sergio.martin@artica.es>

	* include/functions_gis.php: Fixed the maps of
	type Googlemaps in agent view for bug: 2993745

2010-05-11  Ramon Novoa  <rnovoa@artica.es>

	* operation/agentes/stat_win.php: Pass the start date to min, max and
          avg functions.

        * godmode/alerts/configure_alert_action.php: Fixed a typo.

2010-05-11 Raúl Mateos <raulofpandora@gmail.com>

	* godmode/gis_maps/configure_gis_map.php: Updated year. Clean code.

2010-05-11  Sergio Martin <sergio.martin@artica.es>

	* godmode/setup/gis_step_2.php: Fixed the creation
	of connection map in GIS maps for bug 3000031

2010-05-11 Raúl Mateos <raulofpandora@gmail.com>

	* godmode/reporting/map_builder.php: Fixed a typo.

	* godmode/gis_maps/index.php: Updated year. Show text if no map defined.

2010-05-11  Sergio Martin <sergio.martin@artica.es>

	* godmode/gis_maps/index.php: Fixed the change
	of default map for bug: 2993745

2010-05-11  Junichi Satoh  <junichi@rworks.jp>

	* include/help/ja/help_cascade_protection.php: Fixed a typo.

2010-05-11  Junichi Satoh  <junichi@rworks.jp>

	* include/help/ja/help_cascade_protection.php: Updated a help file
	to reflect recursive cascade protection.

2010-05-10  Ramon Novoa  <rnovoa@artica.es>

	* include/help/en/help_cascade_protection.php,
	  include/help/es/help_cascade_protection.php,
	  images/help/cascade_protection_ilustration.png: Updated
	  help files to reflect recursive cascade protection.

2010-05-10 Sergio Martin  <sergio.martin@artica.es>

	* godmode/db/db_refine.php: Fixed the pendingdelete
	word showed in database purge for bug: 2922769

2010-05-10  Ramon Novoa  <rnovoa@artica.es>

	* include/fgraph.php: Fixed a typo in grafico_modulo_boolean.
          Fixed the alert and event scale. Removed the 'last' element
          from the chart data array (does not seem to be used anywhere).

2010-05-10 Sergio Martin  <sergio.martin@artica.es>

	* operation/messages/message.php: Fixed the messages
	over the header for bug: 2993495

2010-05-10 Sergio Martin  <sergio.martin@artica.es>

	* godmode/agentes/massive_edit_modules.php: Fixed the
	massive change of user and password. Also the change of
	the export target and historical data was disable. Now
	are fixed too. Bug: 2997083

2010-05-10 Sergio Martin  <sergio.martin@artica.es>

	* godmode/agentes/massive_operations.php: Fixed the
	header using now the print_header function for
	bug: 2999269

2010-05-09 Raúl Mateos <raulofpandora@gmail.com>

	* godmode/setup/file_manager.php: Changed deprecated split() function to
	explode(). Center delete image.

	* modules/manage_network_components.php: Center delete image.

2010-05-07  Ramon Novoa  <rnovoa@artica.es>

	* include/functions_reporting.php, include/fgraph.php,
          include/functions_db.php, include/functions_fsgraph.php: Fixed
          a lot of chart and report code related to Pandora FMS's data
          compression algorithm.

2010-05-07 Sergio Martin  <sergio.martin@artica.es>

	* godmode/servers/manage_recontask_form.php: Included
	the help icon into the header for bug: 2997559

2010-05-07  Junichi Satoh  <junichi@rworks.jp>

	* include/help/ja/help_prediction_source_module.php: Added a missing
	help file.

2010-05-06 Raúl Mateos <raulofpandora@gmail.com>

	* include/config*.php: Updated year. Updated build.

	* include/functions_*.php: Updated year. Clean Code.

2010-05-06 Miguel de Dios  <miguel.dedios@artica.es>

	* include/config.inc.php: fixed the operation require when the php file to
	call config.php have a file with same name of "config_process.php" ...in
	rare cases.
	
	* include/config_process.php: fixed the operation require when the php file
	to call config.php have a file with same name of "functions.php",
	"functions_db.php", "functions_config.php" ...in rare cases. 
	
	* include/functions.php, include/functions_config.php: cleaned the source
	code.

2010-05-05 Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/reporting/map_builder.php: added the height and width to save in
	the copy.
	Fixes: #2989340

2010-05-05 Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/reporting/visual_console_builder.php: added the extract size of
	image and save.
	Fixes: #2992401

2010-05-05 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_visual_map.php: fixed notices php messages when the
	visual map has the item label (item image without image and only text). 
	
	* godmode/reporting/visual_console_builder.php: changed the icon tab for
	the wizard, before it was a pill, now it is a wand.
	
	* godmode/reporting/visual_console_builder.editor.js,
	godmode/reporting/visual_console_builder.editor.php: fixed the validate
	static graph item.
	Fixes: #2994103

2010-05-04 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_reporting.php: fixed the php notice message when the
	index not exist in the var $data in the function "get_agentmodule_sla".

2010-05-04  Sergio Martin  <sergio.martin@artica.es>

	* godmode/agentes/agent_template.php: Fixed the
	link to edit module for bug: 2996521

2010-05-04  Sergio Martin  <sergio.martin@artica.es>

	* include/functions_reporting.php: Set style to
	'mini' option.

2010-05-04 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_reporting.php: changed the style to show data in the
	items "TTRT", "TTO", "MTBF" and "MTTR".

2010-05-04 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_reporting.php: fixed in the function
	"get_agentmodule_data_average" prevent to use the var without value.

2010-05-04  Sergio Martin  <sergio.martin@artica.es>

	* include/functions_reporting.php: Added the 
	high variation for the graphs when the
	parameter $mini is true

2010-05-04 Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/reporting/reporting_builder.preview.php: added file to show the
	html preview of report.

	* godmode/reporting/reporting_builder.php: added the tab for the preview.

2010-05-04  Sergio Martin  <sergio.martin@artica.es>

	* godmode/db/db_audit.php
	godmode/db/db_sanity.php
	godmode/db/db_refine.php
	godmode/db/db_info.php
	godmode/db/db_event.php
	godmode/db/db_purge.php: Fixed the screens
	without headers for bug: 2996488

2010-05-04 Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/reporting/reporting_builder.item_editor.php: added tooltip for to
	tell what is the separator character in the header.

2010-05-04  Sergio Martin  <sergio.martin@artica.es>

	* include/functions_reporting.php: Added "mini"
	parameter. Usefull for print the report with less
	size

2010-05-04  Sergio Martin  <sergio.martin@artica.es>

	* godmode/agentes/module_manager_editor_common.php: 
	Increased the max number of digits in text inputs 
	for max_critical, min_critical, max_warning and
	min_warning for bug:2931191

2010-05-03 Miguel de Dios  <miguel.dedios@artica.es>

	* operation/reporting/reporting_xml.php:  added default value "now" in
	$report["datetime"]. Removed (as comment at the momment) obsolet report
	items, and added the items: "event_report_agent", "text", "sql",
	"event_report_module", "alert_report_module", "alert_report_agent",
	"url", "database_serialized", "TTRT", "TTO", "MTBF" and "MTTR". 

2010-05-03 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_reporting.php: added the parameter "$html" in the
	function "alert_reporting_agent" and "alert_reporting_module", this flag is
	for return the html table or object table, by default the html. And fixed
	the title of "alert_report_module" and "alert_report_agent", fixed return
	of list "event_report_module" in the function "render_report_html_item".

	* godmode/reporting/reporting_builder.item_editor.php: fixed the lost field
	"period" in the item "database_serialized".

2010-05-03 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_reporting.php: added the parameter "$html" in the
	function "get_module_detailed_event_reporting", this flag is for return
	the html table or object table, by default the html.

2010-05-03  Sergio Martin  <sergio.martin@artica.es>

	* operation/agentes/alerts_status.php
	operation/agentes/alerts_status.functions.php: Fixed
	typo fix for bug: 2989944

2010-05-03  Sergio Martin  <sergio.martin@artica.es>

	* operation/events/events.php: Fixed the successfully
	message over the header for bug: 2989965

2010-04-30  Sergio Martin  <sergio.martin@artica.es>

	* godmode/alerts/alert_list.builder.php: Removed an
	useless combo of old version. Bug: 2993508

2010-04-30  Sergio Martin  <sergio.martin@artica.es>

	* include/functions_ui.php: Fixed the access at the
	groups without icon. bug: 2944540 

2010-04-30  Sergio Martin  <sergio.martin@artica.es>

	* operation/agentes/group_view.php: Fixed the group
	1 problem. It was not showed

2010-04-30  Sergio Martin  <sergio.martin@artica.es>

	* operation/snmpconsole/snmp_view.php: Improved the
	code using printTruncateText

2010-04-30  Sergio Martin  <sergio.martin@artica.es>

	* include/functions_ui.php: Improved the printTruncateText
	function adding the parameter showTextInTitle

2010-04-30  Sergio Martin  <sergio.martin@artica.es>

	* operation/snmpconsole/snmp_view.php: Fixed the custom 
	value column tooltip. Now, the tooltip shows the full
	value instead of the custom OID. Bug: 2940432

2010-04-30 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_io.php: added in the function "safe_output" the flag
	$utf8 for set the encoding of output, by default true.

2010-04-29 Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/reporting/reporting_builder.item_editor.php: fixed typo mistake in
	the sla vars in javascript.

2010-04-29 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_ui.php: added the function "printTruncateText" for
	facilitate trunc texts, and add the eye candy the tooltip.

	* godmode/reporting/reporting_builder.list_items.php: used the new function
	"printTruncateText".

2010-04-29  Ramon Novoa  <rnovoa@artica.es>

	* include/functions_reporting.php: Added TTO, TTR, MTBF and MTTR
	  reports.

	* include/functions_db.php: Fixed get_previous_data and wrote
	  get_next_data.

2010-04-29  Ramon Novoa  <rnovoa@artica.es>

	* include/functions_reporting.php
	  include/functions_db.php

2010-04-29  Sergio Martin  <sergio.martin@artica.es>

	* godmode/setup/gis_step_2.php: Fixed the creation 
	of map connection without name and without type
	of connection. Bug:2993713

2010-04-29  Sergio Martin  <sergio.martin@artica.es>

	* godmode/servers/manage_recontask.php: Fixed the creation
	of recon task without name and network. Also, the network 
	is checked by the following regular expression 
	"/[0-9]+.+[0-9]+.+[0-9]+.+[0-9]+\/+[0-9]/"

2010-04-29  Sergio Martin  <sergio.martin@artica.es>

	* godmode/reporting/visual_console_builder.php: Fixed that
	was allowed to create a visual map without name and without
	background. Bug: 2993503

2010-04-29  Sergio Martin  <sergio.martin@artica.es>

	* include/functions_visual_map.php: Fixed the critical render
	from an object that was not static graph when was heredated
	from another layout. Bug 2940950

2010-04-29  Sergio Martin  <sergio.martin@artica.es>

	* godmode/agentes/module_manager_editor_prediction.php: 
	Limited the source modules availables for the prediction
	module at the modules with history_data = 1. bug:2922920

2010-04-29  Sergio Martin  <sergio.martin@artica.es>

	* pandoradb.sql
	extras/pandoradb_migrate_v3.0_to_v3.1.sql
	godmode/setup/gis_step_2.php
	godmode/gis_maps/configure_gis_map.php: Added at the combos the
	group All and asigned in creation layers -1 value to None value

2010-04-29 Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/reporting/reporting_builder.php,
	godmode/reporting/reporting_builder.item_editor.php: fixed typo mistake in
	the field "id_agent_module".

2010-04-28 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_reporting.php: added function "alert_reporting_agent"
	for make the html list of agent alerts, added function
	"alert_reporting_module" for same thing before function instead it is for
	modules. In report item "event_report_agent" fixed the output. Added report
	items "alert_report_module", "alert_report_agent", "url" and
	"database_serialized".
	
	* include/functions_db.php: added function "get_agent_alert_fired" for
	to extract the alerts fired of agent, and added "get_module_alert_fired"
	for alerts fired of module.
	
	* godmode/reporting/reporting_builder.php,
	godmode/reporting/reporting_builder.item_editor.php: fixed the renamed
	column "row_separator" of previus commit.

2010-04-28 Miguel de Dios  <miguel.dedios@artica.es>

	* pandoradb.sql, extras/pandoradb_migrate_v3.0_to_v3.1.sql: renamed the
	column "row_separator" to more exactly name "column_separator". Sorry.

2010-04-28  Sancho Lerena <slerena@artica.es>

	* pandoradb_data.sql: Updated version to 3.1

	* pandoradb_migrate_v3.0_to_v3.1.sql: Fix, set log4x correct type id.
	
	* include/functions_gis.php: Fixed a notice by undefined value.

	* images/gis_maps/icons: Deleted several non-useful icons.

2010-04-28 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_agents.php, godmode/gis_maps/configure_gis_map.php,
	godmode/reporting/reporting_builder.list_items.php,
	godmode/reporting/visual_console_builder.php,
	godmode/reporting/reporting_builder.item_editor.php: cleaned debug traces in
	the source code.

2010-04-28 Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/reporting/reporting_builder.php: fixed the lost type in the edit
	item.

	* godmode/reporting/reporting_builder.item_editor.php: fixed the position of
	hidden input for id item, after it was out form.

2010-04-28 Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/reporting/reporting_builder.item_editor.php: fixed a mistake
	copy&paste, now you can edit correctly the items.

2010-04-28  Sergio Martin  <sergio.martin@artica.es>

	* include/functions_visual_map.php: fixed the 
	error of divided by zero and now the widget
	display an error message. Bug #2992370

2010-04-28  Sancho Lerena <slerena@artica.es>

    * include/pChart/pData.class,
    include/pChart/pChart.class: Fixed some notices on undefined variables.

    * include/fgraph.php: Fixed bug with eventgraph in graph_event_module().

    * include/functions.php: return_graphtype() uses now the log4x id 24 in
    ttipo_modulo, fixing the problem in graph visualizer. Anyway, log4x graphs
    doesn't work on php >= 5.3.x :((

    * operation/agentes/estado_monitores.php: Fixed id (24) for link in log4x.

    * operation/agentes/stat_win.php: Included missing functions_reporting.php
    include, it was missing.

2010-04-28  Sergio Martin  <sergio.martin@artica.es>

	* include/functions_html.php: Added at print_checkbox
	function the 'script' parameter

2010-04-27 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_reporting.php: in function
	"get_agents_detailed_event_reporting" fixed param for $id_agents to array
	type, fixed the loop to save events and fixed in the loop to make the table.
	Added the function "get_module_detailed_event_reporting" for events of any
	module. In function "render_report_html_item" remove trace function, added
	the render option "event_report_module" for render list of events of any
	module.

	* include/functions_db.php: added function "get_module_events".
	
	* operation/gis_maps/ajax.php: cleaned source code.

2010-04-27  Sergio Martin  <sergio.martin@artica.es>

	* include/functions_db.php
	operation/gis_maps/ajax.php
	godmode/agentes/planned_downtime.php
	godmode/agentes/manage_config_remote.php: Fixed many all group
	control from 1 to 0 value. Remove deprecated functions
	list_group() and list_group2() from functions_db.php

2010-04-27 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_reporting.php: added render html for "text" and "sql"
	item.
	
	* include/ajax/reporting.ajax.php: added request for the custom SQL.

	* include/functions_db.php: in function "get_db_value_filter" fixed the
	field when the field is escape string.

	* godmode/reporting/reporting_builder.item_editor.php: added the preview of
	custom SQL.

2010-04-27  Sergio Martin  <sergio.martin@artica.es>

	* godmode/servers/manage_recontask_form.php: Avoided
	that the All group appears on the combobox for
	bug # 2992906 

2010-04-27  Sergio Martin  <sergio.martin@artica.es>

	* extras/pandoradb_migrate_v3.0_to_v3.1.sql: Changed
	the database values of group from 1 to 0 and 
	remove the group with Id=1

2010-04-27 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_reporting.php: cleaned source code of
	"render_report_html_item" function for new types of report items.

	* include/functions.php: cleaned source code of "get_report_types" function
	and added new types of report items.

2010-04-27  Sergio Martin  <sergio.martin@artica.es>

	* pandoradb_data.sql: Changed the group All values
	on tables with default group form 1 to 0

2010-04-27 Miguel de Dios  <miguel.dedios@artica.es>

	* operation/agentes/ver_agente.php: removed hack for translate "any" text.
	
	* godmode/reporting/graph_builder.php: removed unused javascript function
	"agent_changed"
	
	* godmode/reporting/reporting_builder.php: re-added parameter
	$values['id_agent_module'].

2010-04-26  Sancho Lerena <slerena@ærtica.es>

	* operation/agentes/datos_agente.php: Fixed the data table render
	for log4x data.

	* operation/agentes/estado_monitores.php: Graph icon should be shown
	when using  Log4x data, it has graphics (need to implement in Flash in
	the future).

2010-04-26  Ramon Novoa  <rnovoa@artica.es>

	* include/javascript/pandora.js: The id_group filter in
	  agent_module_autocomplete is no longer needed.

2010-04-26 Miguel de Dios  <miguel.dedios@artica.es>

	* include/javascript/pandora.js: in the function
	"agent_changed_by_multiple_agents"fixed the id of "All" group, now it's the
	0.

2010-04-26  Junichi Satoh  <junichi@rworks.jp>

	* godmode/agentes/module_manager_editor_plugin.php,
	godmode/agentes/module_manager_editor_wmi.php,
	godmode/agentes/module_manager_editor_network.php: Added missing '_'.

2010-04-23  Sancho Lerena <slerena@artica.es>

	* include/config_process.php: Fixed a doble include in the
	functions_enterprise.php file (breaks the tab "inventory" in the
	agent view).

2010-04-23  Sergio Martin  <sergio.martin@artica.es>

	* general/ui/agents_list.php: Changed the all group
	condition from 1 to 0

2010-04-23  Sergio Martin <sergio.martin@artica.es>

	* godmode/reporting/reporting_builder.php: Changed the
	All group on combos from 1 to 0 and fix the
	group all on tables

2010-04-23 Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/reporting/reporting_builder.php: re-added the list of reports,
	re-added the delete reports. And fixed the notice PHP message and the
	action edit in the main tab.

2010-04-23  Sergio Martin <sergio.martin@artica.es>

       * pandoradb.sql
       extras/pandoradb_migrate_v3.0_to_v3.1.sql: Dropped the
	foreign key between treport and tgrupo

2010-04-23  Sergio Martin <sergio.martin@artica.es>

       * godmode/servers/manage_recontask_form.php: 
	Added the All group to combo

2010-04-23  Sergio Martin <sergio.martin@artica.es>

       * operation/visual_console/index.php
       godmode/reporting/map_builder.php: Fixed the
        group all on tables

2010-04-23  Sergio Martin <sergio.martin@artica.es>

       * godmode/alerts/alert_compounds.php
       godmode/alerts/alert_list.php
       godmode/alerts/alert_templates.php
       godmode/alerts/configure_alert_action.php
       godmode/alerts/alert_actions.php: Changed the
        All group on combos from 1 to 0 and fix the
        group all on tables

2010-04-22 Miguel de Dios  <miguel.dedios@artica.es>

	* include/ajax/reporting.ajax.php: added ajax respond to delete_sla_item and
	add_sla actions.
	
	* include/functions.php: added in the function "get_report_types" new types
	of items/contents for reporting.

	* pandoradb.sql: added columns custom_logo, header, first_page, footer,
	custom_font into the table treport. And in the table treport_content have
	new columns text, external_source, treport_custom_sql_id, header_definition,
	row_separator, line_separator. Added new table treport_custom_sql.
	
	* extras/pandoradb_migrate_v3.0_to_v3.1.sql: added changes for DB that it
	same to pandoradb.sql. 

	* images/sort_none.png, images/sort_down.png, images/sort_up.png: added the
	images for order list items for reports.

	* godmode/reporting/reporting_builder.list_items.php,
	godmode/reporting/reporting_builder.main.php,
	godmode/reporting/reporting_builder.php,
	godmode/reporting/reporting_builder.item_editor.php: made new forms to
	manage the reporting, now Pandora have tabs and list of items. In the list
	of items, you can order manually or automatically the items.

2010-04-22 Miguel de Dios  <miguel.dedios@artica.es>

	* include/javascript/pandora.js: added function
	"agent_changed_by_multiple_agents" for query ajax with one or more agent
	select.
	
	* operation/agentes/ver_agente.php: added ajax response to
	"get_agent_modules_json_for_multiple_agents".

2010-04-22 Miguel de Dios  <miguel.dedios@artica.es>

	* include/javascript/tiny_mce/*: re-added (lost files) js library (BSD) for
	the eyecandy widget for textarea. 

2010-04-22 Miguel de Dios  <miguel.dedios@artica.es>

	* include/javascript/tiny_mce/*: added js library (BSD) for the eyecandy
	widget for textarea. 

2010-04-22  Sergio Martin <sergio.martin@artica.es>

       * operation/users/user_edit.php
       godmode/users/configure_user.php: Changed the
        All group on combos from 1 to 0 and fix the
	group all on tables

2010-04-22  Sergio Martin <sergio.martin@artica.es>

       * operation/incidents/incident.php: Changed the
        All group on combos from 1 to 0

2010-04-22  Sergio Martin <sergio.martin@artica.es>

       * include/functions_ui.php
       include/functions_agents.php
       include/functions_db.php: Change the way of validate
	the All group. Now the group All has id_group = 0
	and is not on the database

       * extensions/module_groups.php: Remove the All 
	group row from the table. Inprove the table style 
	
       * operation/agentes/status_monitor.php
       operation/agentes/alerts_status.php
       operation/agentes/estado_agente.php
       operation/agentes/exportdata.php
       operation/agentes/networkmap.php
       godmode/agentes/modificar_agente.php
       godmode/agentes/planned_downtime.php: Changed the
	All group on combos from 1 to 0

2010-04-22  Sergio Martin <sergio.martin@artica.es>

	* godmode/groups/group_list.php: Added validation
	when remove a group. Now, if the group is not empty
	shows a message and dont allow to remove it

2010-04-22 Miguel de Dios  <miguel.dedios@artica.es>

	* include/javascript/pandora.js: erased trace line in the source of function
	"agent_changed", and force to select by default the none option.

2010-04-22 Miguel de Dios  <miguel.dedios@artica.es>

	* include/javascript/pandora.js: changed function "agent_changed" for take
	the translate any or none texts from ajax or global var.
	
	* operation/agentes/ver_agente.php: added to package data the translate
	text for any.

2010-04-21  Sancho Lerena <slerena@artica.es>

    * include/functions_reporting.php: Added function render_report_html_item()
    to render a given report element in HTML format. Fixed a small problem in
    SUM report type (int truncate invalidate most of SUM reports when not using
    a _inc data type).

    * include/functions.php: Updated all "is_module_xxx" from using ereg 
    (deprecated) to use preg_match.

    * include/functions_db.php: Moved reporting functions 
    get_agentmodule_data_average(); get_agentmodule_data_max(), 
    get_agentmodule_data_min() and  get_agentmodule_data_sum() from here
    to functions_reporting.php.

    * godmode/groups/group_list.php: Removing a group put all agents assigned
    to that group in other available group (choosen in realtime).

    * AUTHORS: Authors file update, was very outdated!.

    * operation/agentes/estado_generalagente.php: Fixed bug #2990430.

    * operation/reporting/reporting_viewer.php: Some changes for better 
    structuration of the HTML reporting viewer. Removed big chunk of code
    and put in function_reporting/render_report_html_item() function.

2010-04-21 Miguel de Dios  <miguel.dedios@artica.es>

	* include/javascript/pandora.js: small improve, added new parameter into
	the function "agent_module_autocomplete", the parameter is "noneValue" for
	add a option for none module in the select of modules

2010-04-20  Junichi Satoh  <junichi@rworks.jp>

	* extras/check_other_languages.sh: Added missing '/'.

2010-04-19 Sergio Martin <sergio.martin@artica.es>

	* godmode/users/user_list.php: Fixed the delete the actual 
	user feature hidding the red cross in this user and with 
	internal control 

2010-04-19 Sergio Martin <sergio.martin@artica.es>

	* godmode/alerts/alert_list.list.php: Fixed a var definition 
	error

2010-04-19 Sergio Martin <sergio.martin@artica.es>

	* include/functions_html.php: Added the parameter style 
	to print_select_from_sql() function

2010-04-19 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_db.php: rollback to the fixed (r2563) in the function
	"get_db_value_filter".

2010-04-19 Pablo de la Concepción <pablo.concepcion@artica.es>

	* godmode/agentes/module_manager_editor_prediction.php: Make the services
	part (Enterprise) work nicely.

	* godmode/agentes/configurar_agente.php: Added enterprise hook for the 
	services parameters.

2010-04-19 Pablo de la Concepción <pablo.concepcion@artica.es>

	* include/javascript/pandora.js: Added function agent_module_autocomplete
	to use with a text box, a hidden field and a selector to select an agent
	and a module from the agent.

2010-04-19  Junichi Satoh  <junichi@rworks.jp>

	* godmode/agentes/module_manager.php, 
	godmode/modules/manage_network_components.php, 
	godmode/modules/manage_network_templates_form.php: Changed the substr()
	to mb_strimwidth(). Strings should be truncated with displayed length,
	not number of characters.

	* godmode/include/functions.php: Added wrapper mb_strimwidth().

2010-04-16 Sergio Martin <sergio.martin@artica.es>

	* godmode/agentes/configurar_agente.php: Added process of services
	paramters (Enterprise feature)

	* godmode/agentes/module_manager_editor_prediction.php: Changed control
	to select the agent and the module. 
	Added code to create a module from a service (Enterprise fature).
	
	* include/javascript/pandora.js: Added function agent_module_autocomplete
	to use with the agent autocomplete box and a module selector.

2010-04-16 Pablo de la Concepción <pablo.concepcion@artica.es>

    * operation/users/user.php: Modified the users that
	are showed in the View users section. Now, the users
	of the logged user group are listed.


2010-04-16 Pablo de la Concepción <pablo.concepcion@artica.es>

    * include/ajax/agent.php: Modified to return the agent name at the i
    begining of the serialized result.

	* godmode/agentes/configurar_agente.php: Added help links and TODO tag
	to remember to change the tabs to use the print_page_header function.

2010-04-15 Sergio Martin <sergio.martin@artica.es>

        * godmode/users/configure_user.php: fixed bug 2987162. Validation 
	  of create a user with User ID null

2010-04-15 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_html.php: added check new attribute "styleTable" to
	object table, this is for pass the style table.

2010-04-14 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_db.php: fixed bug in the function
	"format_array_to_update_sql" when the field yet escaped.

2010-04-14 Sergio Martin <sergio.martin@artica.es>

	* godmode/users/user_list.php: fixed bug 2987177. Wrong index was associated 
	  with the delete icon in the users list.
	
2010-04-14 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_db.php: fixed bug in the function "get_db_value_filter"
	when the field's name is a reserve word of mysql crash.

2010-04-14 Sergio Martin <sergio.martin@artica.es>

	* include/javascript/pandora_modules.js: Typo fix for bug 2953348


2010-04-14 Sergio Martin <sergio.martin@artica.es>

	* godmode/alerts/alert_list.php: Controled the sucessful of the
	  create an alarm to audit it for bug 2987006

2010-04-14 Sergio Martin <sergio.martin@artica.es>

	* godmode/alerts/alert_list.php,
	godmode/alerts/alert_list.list.php: Changed a button between the files 
	  to clean source code 

2010-04-14 Sergio Martin <sergio.martin@artica.es>

	* godmode/reporting/map_builder.php: Added Delete visual console
          for Bug 2986523 

2010-04-14 Sergio Martin <sergio.martin@artica.es>

	* ChangeLog: Updated the Changlog with the last forget commit 

2010-04-13 Sergio Martin <sergio.martin@artica.es>

	* godmode/reporting/map_builder.php: Added Copy visual console
          (map clonation) for Pending task 2726277 

2010-04-12 Sergio Martin <sergio.martin@artica.es>

	* godmode/alerts/alert_list.php: Added Create button for
	Feature Request 2985798

2010-04-12  Junichi Satoh  <junichi@rworks.jp>

	* include/help/ja/help_configure_gis_map.php,
	include/help/ja/help_gis_map_builder.php,
	include/help/ja/help_gis_setup_map_connection.php,
	include/help/ja/help_setup_gis_index.php: Added the GIS help files
	in Japanese.

2010-04-09 Sergio Martin <sergio.martin@artica.es>

	* godmode/alerts/configure_alert_template.php: Typo fix for bug 
	2981933

2010-04-09  Junichi Satoh  <junichi@rworks.jp>

	* include/functions_extensions.php: Changed the function to use,
	from substr() to mb_substr(). substr() can't handle multibyte strings
	correctly.

2010-04-08  Sancho Lerena  <slerena@artica.es>

	* include/config_process.php: Update build version.

2010-04-08  Junichi Satoh  <junichi@rworks.jp>

	* godmode/modules/manage_network_components_form_network.php: Added
	missing '_'.

2010-04-07  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/alerts/alert_list.php: added request the search parameter.
	
	* godmode/alerts/alert_list.list.php: fixed recove lost source code for
	build $where var of old version of godmode/alerts/alert_list.php .

2010-04-07  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/alerts/alert_list.list.php: fixed the id of agent in source and
	now hide the column agent in list when the edit alerts is in the agent
	configuration. 

2010-04-07  Miguel de Dios  <miguel.dedios@artica.es>

	* ChangeLog: fixed date of last commit.

2010-04-07  Miguel de Dios  <miguel.dedios@artica.es>

	* include/javascript/jquery.pandora.controls.js: changed the page to ajax in
	the event "pandoraSelectAgentAlert".

	* include/ajax/alert_list.ajax.php: new file with the source code of ajax
	request.
	
	* godmode/agentes/massive_config.php: changed the page to ajax in the
	event "source_id_agent" in the javascript source code.
	
	* godmode/alerts/alert_list.list.php: cleaned unused javascript source code
	that is for use in alert_list.builder.php.

	* godmode/alerts/alert_list.php: erase the php ajax source code and
	copy to alert_list.ajax.php. And move the action messages (create, delete
	...) bellow to header.
	
	* godmode/alerts/alert_list.builder.php: : cleaned unused javascript source
	code that is for use in alert_list.list.php.

2010-04-07  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/alerts/alert_list.php: cleaned source code, added the tabs for to
	use page alone (not in agent).

	* godmode/alerts/alert_list.builder.php: tab for the make a alert.
	 
	* godmode/alerts/alert_list.list.php: tab for the list of alerts. 

2010-04-07  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_agents.php: changed the functions
	"get_agent_alerts_simple" and "get_agent_alerts_compound" delete new
	parameter $limit because you can set the pagination limit in the parameter
	$options.
	
	* operation/agentes/alerts_status.php: changed the calls to previus
	functions.

2010-04-06  Pablo de la Concepción <pablo.concepcion@artica.es>

	* operation/menu.php, godmode/menu.php: Hooks to services pages (Enterprise)

	* images/box.png: Icon for services (Enterprise)

	* godmode/setup/gis_step_2.php, godmode/setup/gis.php: Links to help pages

	* include/help/en/help_service_elements_management.php,
	include/help/en/help_view_services_detail.php,
	include/help/en/help_view_services.php,
	include/help/en/help_services_management.php: first version of services
	help pages.
	
	* include/help/en/help_setup_gis_index.php,
	include/help/en/help_configure_gis_map.php,
	include/help/en/help_gis_setup_map_connection.php: GIS help pages updated

	* include/styles/pandora_forms.css, include/styles/menu.css: New styles for
	forms and style for service menu entry icons.

	* include/ajax/agent.php: New AJAX file to get info about agents.

2010-04-05  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_agents.php: added parameter $where for SQL in function
	"get_agent_alerts_compound".

	* operation/agentes/alerts_status.php: use the new free search for filter
	the rows of alerts.

	* operation/agentes/alerts_status.functions.php: added parameter in the
	function "printFormFilterAlert", the parameter $free_search and add
	input text control for free search.

2010-04-05  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_ui.php: changed some parts of source code in the
	functions "forma  Raúl Mateos <raulofpandora@gmail.com>t_alert_row" for show column modules in general view. In the
	function "pagination" added the parameter $offset_name with default value
	'offset' for to use several paginations in one page.

	* include/functions_agents.php: added the parameters $limit, $idGroup,
	$count in the function "get_agent_alerts_simple", and now you can limit the
	rows, search by id group and return the count of rows (without limit). And
	in the function "get_agent_alerts_compound" added the same parameters to
	another function $idGroup, $limit, $count for similar uses.

	* operation/agentes/alerts_status.php: cleaned more parts of source code,
	fixed the mad array_merge of alerts, fixed SQL with the searchs IN
	(large large list ids), fixed the pagination before loop all rows, now
	only loop the block page rows.

	* operation/agentes/alerts_status.functions.php: new file with the functions
	"forceExecution", "validateAlert", and "printFormFilterAlert".

2010-04-05  Miguel de Dios  <miguel.dedios@artica.es>

	* operation/agentes/alerts_status.php, operation/agentes/estado_agente.php,
	godmode/reporting/visual_console_builder.editor.php: cleaned source code.

2010-04-03  Raúl Mateos <raulofpandora@gmail.com>

	* operation/events/event_statistics.php: Updated year and headers. There
	is a black space after the headers that should be avoided. Same to the
	events.php file.

2010-03-31  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_visual_map.php: in function "printItemInVisualConsole"
	changed the text align of elements label to center.
	
	* operation/visual_console/render_view.php: changed the title to Pandora's
	header.
	
	* godmode/reporting/visual_console_builder.php: fixed the id of visual
	console in the update wizard action.
	
	* godmode/reporting/visual_console_builder.editor.php: small changes in the
	style. Set the width and height for module graph.
	
	* godmode/reporting/visual_console_builder.editor.js: set the default value
	for width and height for module graph in the function "cleanFields". And in
	the function "createItem" deleted br tag the simple value.

2010-03-31  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_html.php: added new parameter for function
	"print_select" for style. In the function "print_input_hidden" added the
	parameter $class for set the class of input.
	
	* godmode/reporting/map_builder.php: delete old code, now it have only
	source code of paint list of visual consoles.
	
	* godmode/reporting/visual_console_builder.data.php: cleaned style the of
	form.
	
	* godmode/reporting/visual_console_builder.elements.php: cleaned the rows of
	table, delete label color field and change the text type for a icon.

2010-03-31  Miguel de Dios  <miguel.dedios@artica.es>

	* include/styles/pandora.css, include/functions_visual_map.php,
	include/ajax/visual_console_builder.ajax.php,
	godmode/reporting/visual_console_builder.editor.php,
	godmode/reporting/visual_console_builder.editor.js: cleaned source code and
	changed the buttons.

2010-03-30  Miguel de Dios  <miguel.dedios@artica.es>

	* include/ajax/visual_console_builder.ajax.php: some cleaned the source
	code...need more.

2010-03-30  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_visual_map.php,
	godmode/reporting/visual_console_builder.wizard.php,
	godmode/reporting/visual_console_builder.php,
	godmode/reporting/visual_console_builder.editor.php,
	godmode/reporting/visual_console_builder.editor.js,
	godmode/reporting/visual_console_builder.elements.php: worked about the new
	visual console builder editor, now it is finished but I will clean and
	comment the source code.

2010-03-29  Miguel de Dios  <miguel.dedios@artica.es>

	* include/ajax/visual_console_builder.ajax.php,
	godmode/reporting/visual_console_builder.editor.php,
	godmode/reporting/visual_console_builder.constans.php,
	godmode/reporting/visual_console_builder.editor.js: worked about the new
	visual console builder editor, now it is developing, don't afray.

2010-03-29  Miguel de Dios  <miguel.dedios@artica.es>

	* include/ajax/visual_console_builder.ajax.php,
	godmode/reporting/visual_console_builder.editor.php,
	godmode/reporting/map_builder.php,
	godmode/reporting/visual_console_builder.editor.js: worked about the new
	visual console builder editor, now it is developing, don't afray.
	
	* godmode/reporting/visual_console_builder.constans.php: added the file that
	it has the constans. 

2010-03-26  Miguel de Dios  <miguel.dedios@artica.es>

	* include/config_process.php,
	godmode/reporting/visual_console_builder.editor.php,
	godmode/reporting/visual_console_builder.editor.js: worked about the new
	visual console builder editor, now it is developing, don't afray.
	
	* include/javascript/jquery.colorpicker.js: we used the old versión, and
	patch with self code for z-index to upper position. 

2010-03-25  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_visual_map.php,
	include/ajax/visual_console_builder.ajax.php,
	godmode/reporting/visual_console_builder.preview.php,
	godmode/reporting/visual_console_builder.php,
	godmode/reporting/visual_console_builder.editor.php,
	godmode/reporting/visual_console_builder.editor.js: worked about the new
	visual console builder editor, now it is developing, don't afray.

2010-03-24  Junichi Satoh  <junichi@rworks.jp>

	* operation/snmpconsole/snmp_view.php: To follow timestamp setting,
	changed the function to use, from human_time_comparation() to
	print_timestamp(). 

2010-03-23  Miguel de Dios  <miguel.dedios@artica.es>

	* include/javascript/jquery.ui.resizable.js: add library of jQuery.ui for
	resizable elements.
	
	* include/functions_visual_map.php
	
	*include/ajax, include/ajax/visual_console_builder.ajax.php: add the
	file for ajax request from visual console builder editor.
	
	* include/config_process.php: change $build_version.
	
	* include/functions.php: in function "safe_url_extraclean" fix to pages
	with '.' character.
	
	* godmode/reporting/visual_console_builder.php,
	godmode/reporting/visual_console_builder.editor.php,
	godmode/reporting/visual_console_builder.data.php,
	godmode/reporting/visual_console_builder.editor.js,
	godmode/reporting/visual_console_builder.elements.php: worked about the
	new visual console builder editor, now it is developing, don't afray.

2010-03-21  Sancho Lerena  <slerena@gmail.com>

	* include/help/en/check_other_languages.sh: Moved from include/help
	and rewritten to be more usable. This is a script to check if there
	are missing help files for each language (taken as parameter).

	* operation/agentes/datos_agente.php: Cannot detete data from here.
	Removed old support for individual data delete due the new table
	schema.

	* extras/check_other_languages.sh: Moved from include/help

	* godmode/agentes/modificar_agente.php: Admin can see everything
	even if agent has a invalid group (group which not exist). This
	was important because agents with invalid group was "Invisible"
	until now.

2010-03-19  Eric Ross       <eric.ross.c@gmail.com>

	* operation/agentes/estado_ultimopaquete.php: Fixing color to show WARN messages in orange
	* operation/agentes/stat_win.php: Now when showing a log4x chart, we don't show the max/min/avg information

2010-03-19  Eric Ross       <eric.ross.c@gmail.com>

	* include/config_process.php: Fixing warning when no timezone is defined for the user

2010-03-19  Eric Ross       <eric.ross.c@gmail.com>

	Adding support to show and purge data from the log4x table	

	* include/fgraph.php
	* godmode/db/db_main.php
	* godmode/db/db_purge.php

2010-03-18  Eric Ross       <eric.ross.c@gmail.com>

	* operation/agentes/estado_monitores.php: Now the monitors list display the last data
		in a proper way (TRACE, DEBUG, ....)

2010-03-18  Eric Ross       <eric.ross.c@gmail.com>

	* godmode/setup/setup.php: Expanded time zone text box to 25 chars

2010-03-18  Eric Ross       <eric.ross.c@gmail.com>

	Ported old graphics for the log4x data.

	* include/Image/Graph/Plot/Bubble.php: New chart type: bubble
	* include/Image/Graph.php: Add the new bubble chart to the available charts
	* include/functions.php: Refactoring way to get type of graph from module type
	* operation/agentes/estado_ultimopaquete.php: Added links to access log4x graphics 
	* include/fgraph.php: Add log4x graphics rutines.
	* operation/agentes/stat_win.php: Add support to show log4x graphic.

2010-03-17  Miguel de Dios  <miguel.dedios@artica.es>

	* include/config_process.php, install.php: change version number.
	* include/functions_ui.php: add in the function "print_page_header" a
	read boolean item "active" in array $buttons for paint disabled.
	* include/functions.php: add function "get_parameterBetweenListValues" this
	function get a parameter for a GET or POST but between a values.
	* godmode/reporting/visual_console_builder.php: added new editors for visual
	console, now it is developing, don't afray.

2010-03-17  Junichi Satoh  <junichi@rworks.jp>

	* operation/messages/message.php : Changed strings.
	"From" to "Message from", "To" to "Message to"

	* godmode/reporting/reporting_builder.php : Changed strings.
	"Down" to "Move down", "Up" to "Move up"

	* godmode/alerts/alert_list.php: Changed sentence with some strings.
	"From XX to YY matches of the alert" to "Number of alerts match	
	from XX to YY"

2010-03-15  Junichi Satoh  <junichi@rworks.jp>

	* godmode/alerts/alert_list.php : Added help link, "alert-matches".

2010-03-12  Sancho Lerena <slerena@artica.es>

	* include/help/es/: Added some missing help files in spanish,
	translated by Julia. Thanks Julia!

	* godmode/groups/modu_group_list.php, 
	godmode/groups/configure_modu_group.php: New module group
	editor/manager. Contributed by Antonio Dos Santos, thanks Antonio!

	* godmode/menu.php: Added modulegroup to menu.

2010-03-12  Junichi Satoh  <junichi@rworks.jp>

	* godmode/alerts/configure_alert_compound.php : Changed not to use
	variable "alert" on java script. IE8 can't handle it as a variable.

2010-03-11  Sancho Lerena <slerena@artica.es>

	* include/help/en/check_other_languages.sh: Small script to show
	help files not translated.

	* include/functions_ui.php: Fixed call to undefined variable.

	* godmode/setup/setup.php: Small box for textarea.

2010-03-10  Sancho Lerena <slerena@artica.es>

	* pandoradb_data.sql: Added new default values for purge event,
	string data, audit data, gis data, and snmp trap data.
	
	* include/functions_config.php: Support for new gis_purge config
	token.

	* godmode/setup/performance.php: Added gis_purge to setup.

	* godmode/users/user_list.php: Fixed bug which doesn't allow to
	delete users.
	
	* godmode/users/configure_user.php: Fixed bug with profile assigment
	(Mixed the current user and selected user).

2010-03-10  Junichi Satoh <junichi@rworks.jp>

	* general/license/pandora_info_ja.html : Added the GPL in Japanese.

2010-03-09  Miguel de Dios  <miguel.dedios@artica.es>

	* index.php: changed the deprecated var $REMOTE_ADDR for standar
	$_SERVER['REMOTE_ADDR']. I forget in the last commit.

	* operation/gis_maps/render_view.php, operation/gis_maps/index.php,
	operation/menu.php, godmode/gis_maps/configure_gis_map.php: fix the ACL
	and add in other sites of source code.

2010-03-09  Miguel de Dios  <miguel.dedios@artica.es>

	* include/config_process.php, extensions/dbmanager.php,
	extensions/update_manager/settings.php, extensions/pandora_logs.php,
	extensions/plugin_registration.php, operation/snmpconsole/snmp_view.php,
	operation/events/event_statistics.php, operation/events/events.php,
	operation/extensions.php, operation/visual_console/render_view.php,
	operation/agentes/status_monitor.php, operation/agentes/export_csv.php,
	operation/agentes/datos_agente.php,
	operation/agentes/estado_generalagente.php,
	operation/agentes/estado_agente.php, operation/agentes/sla_view.php,
	operation/agentes/gis_view.php, operation/agentes/ver_agente.php,
	operation/agentes/tactical.php, operation/agentes/group_view.php,
	operation/agentes/networkmap.php, operation/reporting/reporting_xml.php,
	operation/reporting/reporting_viewer.php,
	operation/reporting/graph_viewer.php, operation/servers/view_server.php,
	operation/servers/view_server_detail.php, general/logoff.php,
	godmode/groups/configure_group.php, godmode/groups/group_list.php,
	godmode/profiles/profile_list.php, godmode/admin_access_logs.php,
	godmode/extensions.php, godmode/db/db_main.php, godmode/db/db_audit.php,
	godmode/db/db_sanity.php, godmode/db/db_refine.php, godmode/db/db_info.php,
	godmode/db/db_event.php, godmode/db/db_purge.php,
	godmode/agentes/massive_delete_agents.php,
	godmode/agentes/massive_config.php,
	godmode/agentes/massive_delete_alerts.php,
	godmode/agentes/massive_edit_modules.php,
	godmode/agentes/massive_operations.php,
	godmode/agentes/module_manager.php, godmode/agentes/modificar_agente.php,
	godmode/agentes/massive_delete_modules.php,
	godmode/agentes/configurar_agente.php, godmode/agentes/planned_downtime.php,
	godmode/agentes/manage_config_remote.php, godmode/servers/manage_export.php,
	godmode/servers/manage_export_form.php, godmode/servers/plugin.php,
	godmode/servers/manage_recontask.php, godmode/servers/modificar_server.php,
	godmode/servers/manage_recontask_form.php,
	godmode/alerts/configure_alert_compound.php,
	godmode/alerts/alert_compounds.php, godmode/alerts/alert_list.php,
	godmode/alerts/configure_alert_template.php,
	godmode/alerts/alert_templates.php,
	godmode/alerts/configure_alert_action.php,
	godmode/alerts/configure_alert_command.php,
	godmode/alerts/alert_actions.php, godmode/alerts/alert_commands.php,
	godmode/snmpconsole/snmp_alert.php, godmode/setup/file_manager.php,
	godmode/setup/news.php, godmode/setup/gis_step_2.php,
	godmode/setup/links.php, godmode/setup/setup.php,
	godmode/setup/performance.php, godmode/setup/gis.php,
	godmode/setup/setup_visuals.php, godmode/users/user_list.php,
	godmode/users/configure_user.php, godmode/gis_maps/configure_gis_map.php,
	godmode/gis_maps/index.php,
	godmode/modules/manage_network_components_form.php,
	godmode/modules/manage_nc_groups_form.php,
	godmode/modules/manage_network_templates.php,
	godmode/modules/module_list.php,
	godmode/modules/manage_network_components_form_common.php,
	godmode/modules/manage_network_components_form_network.php,
	godmode/modules/manage_network_templates_form.php,
	godmode/modules/manage_network_components_form_wmi.php,
	godmode/modules/manage_network_components.php,
	godmode/modules/manage_nc_groups.php,
	godmode/reporting/reporting_builder.php, godmode/reporting/map_builder.php,
	godmode/reporting/map_builder_wizard.php, godmode/reporting/graphs.php,
	godmode/reporting/graph_builder.php:  changed the deprecated var
	$REMOTE_ADDR for standar $_SERVER['REMOTE_ADDR'].

2010-03-09  Miguel de Dios  <miguel.dedios@artica.es>

	* operation/search_results.php: fixed the result when call a function db
	with new method.

2010-03-09  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/gis_maps/configure_gis_map.php: fix the request var when it is
	activate magic quotes.

2010-03-09  Junichi Satoh <junichi@rworks.jp>

	* include/help/ja : Imported Japanese help files.

2010-03-08  Pablo de la Concepción <pablo.concepcion@artica.es>

	* godmode/agentes/agent_conf_gis.php: Changed some english phrases to make
	 it more clear.

2010-03-08  Pablo de la Concepción <pablo.concepcion@artica.es>

	* godmode/agentes/agent_manager.php: Changed some english phrases to make
	 it more clear.

2010-03-08  Pablo de la Concepción <pablo.concepcion@artica.es>

	* include/functions_gis.php, operation/gis_maps/render_view.php : Changed
	 some english phrases to make it more clear.

2010-03-08  Miguel de Dios  <miguel.dedios@artica.es>

	* include/javascript/openlayers.pandora.js: deleted the console log debug
	print.

2010-03-08  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_gis.php: cleaned source code of "printMap", now it is
	more clean the code because it call the js_printMap only and it haven't the
	num zoom levels.
	
	* include/javascript/openlayers.pandora.js: cleaned source code of
	"js_printMap", now it is more clean the code and it haven't the num zoom
	levels.

	* operation/gis_maps/render_view.php, godmode/setup/gis_step_2.php,
	godmode/gis_maps/configure_gis_map.php: use new form of "printMap" and
	"js_printMap".

2010-03-08  Pablo de la Concepción <pablo.concepcion@artica.es>

	New theme for the maps: New images and background color for the Openlayers
	controls.

	* include/javascript/OpenLayers/OpenLayers.js: Channged background color
	on some components to fit the new theme.

	* include/javascript/OpenLayers/img/south-mini.png, 
	include/javascript/OpenLayers/img/zoom-plus-mini.png, 
	include/javascript/OpenLayers/img/zoom-world-mini.png, 
	include/javascript/OpenLayers/img/zoom-minus-mini.png, 
	include/javascript/OpenLayers/img/zoombar.png, 
	include/javascript/OpenLayers/img/west-mini.png, 
	include/javascript/OpenLayers/img/slider.png, 
	include/javascript/OpenLayers/img/layer-switcher-maximize.png, 
	include/javascript/OpenLayers/img/north-mini.png, 
	include/javascript/OpenLayers/img/east-mini.png: New images for the new
	theme of the Openlayers controls.

2010-03-08  Miguel de Dios  <miguel.dedios@artica.es>

	* include/javascript/pandora.js: change the code into function
	"html_entity_decode" for fix the decode in IE6 and rename the function to
	"js_html_entity_decode" for clean source code.
	
	* include/javascript/jquery.pandora.controls.js,
	include/javascript/pandora_modules.js, godmode/alerts/alert_list.php,
	godmode/alerts/configure_alert_action.php,
	godmode/reporting/reporting_builder.php, godmode/reporting/map_builder.php,
	godmode/reporting/graph_builder.php: use the rewrite new function javascript
	js_html_entity_decode.

2010-03-06  Sancho Lerena  <slerena@artica.es>

	* install.php: Fixed width of textarea, too small.

	* extensions/dbmanager.php,
	extensions/plugin_registration.php
	extensions/pandora_logs.php: Added missing ACL checks. 

2010-03-05  Miguel de Dios  <miguel.dedios@artica.es>

	* pandoradb_data.sql: changed some the descriptions text of table
	type modules. 

2010-03-05  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/agentes/module_manager_editor_common.php: fix the type for when
	ajax load by form editor in modules policies.

2010-03-05  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_gis.php: clean source code delete obsolete unused
	function "get_agent_last_coords". Fixed the function "get_agent_icon_map"
	now show default icon for agent without modules.
	
	* operation/gis_maps/ajax.php: improve the style of bubble info agent and
	fixed the position for agent without data GIS.
	
	* operation/agentes/gis_view.php: clean the style delete the header. Change
	the text of refresh button. Show the last coords for the agent.
	
	* images/gis_map/icons/cross.pink.png, images/gis_map/icons/circle.pink.png:
	add this image icons for to use in the preview map of config connection map.
	
	* godmode/agentes/agent_conf_gis.php: clean the style delete the header.

	* godmode/setup/gis_step_2.php: use the pink icons for the center and
	default position in the preview map.

2010-03-04  Sancho Lerena  <slerena@artica.es>

	* install.php: Fixed a bad render in IE.

	* operation/agentes/estado_agente.php: Fixed general view of agents.
	When show agents without modules, never display it's date because was
	taking from the most recept module, instead of data from agent itself.

2010-03-04  Pablo de la Concepción <pablo.concepcion@artica.es>

	* godmode/gis_maps/configure_gis_map.php: Change help link.

	* godmode/gis_maps/index.php: Added help link.

	* include/help/en/help_gis_map_builder.php,
	  include/help/en/help_configure_gis_map.php: first version of the help
	pages.

2010-03-04  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_gis.php: in function "printMap2" disable by default
	to add the control "layerSwitcher".

	* operation/gis_maps/render_view.php: add the "layerSwitcher" to controls to
	show.

2010-03-04  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_gis.php: in function "getAgentMap" change the controls
	delete overview and change PanZoom for PanZoomBar because the overview
	fail with google map, and PanZoomBar now the map view is more tall.
	
	* operation/gis_maps/render_view.php: delete overview because the overview
	fail with google.

2010-03-04  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_db.php: in function "get_user_groups" add third
	parameter $returnAllGroup by true for default. Fix in the function
	"get_group_agents" now if pass the id_group as 0 or 1 (all group) search
	for all groups.
	
	* godmode/agentes/agent_manager.php: use the new parameter for function
	"get_user_groups" for don't show the all group.

2010-03-04  Sancho Lerena <slerena@gmail.com>

	* pandoradb_data.sql: Added news, default timezone and other
	minor changes. GIS is disabled by default now.

	* include/config_process.php: Force a timezone if not defined.

	* operation/gis_maps/index.php,
        operation/agentes/gis_view.php: Config.php and header stuff

	* operation/servers/view_server_detail.php
	operation/menu.php: Recon operation detail is now shown in the left
	menu.

	* admin_access_logs.php,
	db/db_audit.php
	db/db_info.php
        db/db_event.php
        agentes/configurar_agente.php
        gis_maps/configure_gis_map.php
        gis_maps/index.php: More headers and config.php include stuff.

2010-03-04  Raúl Mateos <raulofpandora@gmail.com>

	* (lot of files): Updated year and headers.

2010-03-04  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/gis_maps/configure_gis_map.php: clean the form, now don't show
	the box of preview map.

2010-03-04  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_gis.php: add comment include for javascript include
	for more to easy change version openlayers for test.
	
	* include/javascript/OpenLayers/OpenLayers.js: warning the source code is
	compress. In the method "drawFeature" for the class "Renderer" backport some
	part of code for to extend the style attributes (labelYOffset in this case).

2010-03-04  Pablo de la Concepción <pablo.concepcion@artica.es>

	* images/gis_map/icons/circle.bad.png ,
	images/gis_map/icons/circle.default.png ,
	images/gis_map/icons/circle.ok.png ,
	images/gis_map/icons/circle.warning.png ,
	images/gis_map/icons/cross.bad.png ,
	images/gis_map/icons/cross.default.png ,
	images/gis_map/icons/cross.ok.png ,
	images/gis_map/icons/cross.warning.png ,
	images/gis_map/icons/marker.bad.png ,
	images/gis_map/icons/marker.default.png ,
	images/gis_map/icons/marker.ok.png ,
	images/gis_map/icons/marker.warning.png ,
	images/gis_map/icons/square_marker.bad.png ,
	images/gis_map/icons/square_marker.default.png ,
	images/gis_map/icons/square_marker.ok.png ,
	images/gis_map/icons/square_marker.warning.png ,
	images/gis_map/icons/star.bad.png ,
	images/gis_map/icons/star.default.png ,
	images/gis_map/icons/star.ok.png ,
	images/gis_map/icons/star.warning.png ,
	images/gis_map/icons/triangle.bad.png ,
	images/gis_map/icons/triangle.default.png ,
	images/gis_map/icons/triangle.ok.png ,
	images/gis_map/icons/triangle.warning.png: New icons for the agents 

2010-03-04  Pablo de la Concepción <pablo.concepcion@artica.es>

	*  include/functions_gis.php: added missing num_zoom_levels value to 
	the baselayers hash when printing the Agent Map

2010-03-03  Raúl Mateos <raulofpandora@gmail.com>

	* operation/incidents/*.php: Updated year and headers.

2010-03-03  Sancho Lerena <slerena@artica.es>
	
	* (A lot of files): Updated include("config.php") and replaced by
	global $config.

	* functions_db.php, functions_html.php: Fixed way to get data from the hash
	instead from the array. 

2010-03-03  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_gis.php: add in the last time a function "printMap2"
	that it is a clean function. Change the function "printMap" to call
	"printMap2".
	
	* include/javascript/openlayers.pandora.js: in function "js_printMap" set
	the spherical Mercator for google maps. 
	
	* operation/gis_maps/render_view.php: add to list of $baselayers the name
	of baselayer. Change order of div for map because now the script don't
	call when document ready. 

2010-03-03  Ramon Novoa  <rnovoa@artica.es>

	* include/functions_db.php: Use mysql_fetch_assoc instead of
	  mysql_fetch_array to avoid duplicate results (hash and array).

	* godmode/alerts/configure_alert_template.php: Added 'matches_value'
	  support to 'onchange' alerts.

2010-03-03  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_gis.php: add new parameter to function "addPath" the
	$lastPosition for paint the line to last position that this position is not
	in the table tgis_data_history. In function "getAgentMap" use the new
	parameter in the function "addPath".
	 
	* operation/gis_maps/render_view.php: tiny fix in the include javascript
	of google. And few stetic changes in the top menu. And add the new parameter
	to "addPath".

2010-03-03  Miguel de Dios  <miguel.dedios@artica.es>

	* operation/gis_maps/render_view.php: close in the end a unclose php tag.

2010-03-03  Miguel de Dios  <miguel.dedios@artica.es>

	* operation/agentes/gis_view.php: fix "Call-time pass-by-reference" for
	function "print_table".

2010-03-02  Sancho Lerena <slerena@artica.es>

	* include/functions_ui.php: Fixes default icon for operation
	mode in the title.

	* operation/incidents/incident.php
	operation/incidents/incident_detail.php
	operation/incidents/incident_statistics.php
	operation/snmpconsole/snmp_view.php
	operation/users/user.php
	operation/users/user_edit.php
	operation/users/user_statistics.php
	operation/events/event_statistics.php
	operation/events/export_csv.php
	operation/events/events_marquee.php
	operation/events/events.php
	operation/agentes/export_csv.php
	operation/agentes/datos_agente.php
	operation/agentes/estado_ultimopaquete.php
	operation/agentes/estado_generalagente.php
	operation/agentes/estado_agente.php
	operation/agentes/sla_view.php
	operation/agentes/gis_view.php
	operation/agentes/ver_agente.php
	operation/agentes/tactical.php
	operation/agentes/group_view.php
	operation/agentes/networkmap.php
	operation/messages/message.php
	operation/reporting/reporting_viewer.php
	operation/servers/view_server.php
	operation/servers/view_server_detail.php
	operation/search_results.php
	godmode/groups/configure_group.php
	godmode/groups/group_list.php
	godmode/agentes/agent_manager.php
	godmode/alerts/alert_list.php: Fixes with include(Config.php) in
	enterprise mode.:

	* general/header.php: Detection of Metaconsole to show less options.

2010-03-02  Raúl Mateos <raulofpandora@gmail.com>

	* godmode/agentes/*.php, godmode/group/*.php, godmode/modules/*.php
	* godmode/alerts/*.php, godmode/users/*.php, extensions/users_connected.php:
	Updated year and headers in several files. Little by little I'll change
	the rest...

2010-03-02  Miguel de Dios  <miguel.dedios@artica.es>

	* include/javascript/OpenLayers/lib/*, 
	include/javascript/OpenLayers/news.txt, 
	include/javascript/OpenLayers/readme.txt,
	include/javascript/OpenLayers/repository-license.txt,
	include/javascript/OpenLayers/release-license.txt: delete unused files of
	OpenLayers lib.

2010-03-02  Miguel de Dios  <miguel.dedios@artica.es>

	* operation/gis_maps/render_view.php: clean source code.

2010-03-02  Pablo de la Concepción <pablo.concepcion@artica.es>

	* include/functions_gis.php: Added a missing break and remove debugging 
	code.

	* operation/gis_maps/render_view.php: Added code to render Gmap type of 
	maps.

2010-03-02  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_gis.php: disabled the use of night version of
	Openlayers. Change the "refreshMapView" javascript to load the library of
	google maps with the api, and add function "refreshMapViewSecondStep"
	for asincrone call in "refreshMapView" when load map google.
	
	* include/javascript/openlayers.pandora.js: clean source code of
	"js_refreshParentLines" and add the test if the parent agent is in the
	map.
	
	* godmode/setup/gis_step_2.php: disabled the use of night version of
	Openlayers in function "printMap" and change the text of hierachy layer for
	better english text.

2010-03-02  Sancho Lerena <slerena@artica.es>

	* include/functions_reporting.php: Solved issue with several undefined
	vars.

	* include/functions_servers.php: Solved issue with several undefined
	vars. 

	* include/functions_config.php: Added metaconsola witch to readconfig.

	* include/config_process.php: Update build.. is YYMMDD !

	* include/functions_ui.php: Removed deprecated call to split and replaced
	by preg_split.

	* index.php: Activated developer mode.

	* operation/agentes/estado_monitores.php: Solved small problem with modules
	without history, filling missing column in table. Added headers

	* godmode/alerts/configure_alert_compound.php,
	operation/agentes/status_monitor.php
	godmode/alerts/configure_alert_template.php,
	godmode/alerts/alert_templates.php,
	godmode/alerts/configure_alert_action.php,
	godmode/alerts/configure_alert_command.php,
	godmode/alerts/alert_actions.php,
	godmode/alerts/alert_commands.php,
	godmode/modules/manage_network_templates.php,
	godmode/modules/module_list.php,
	godmode/modules/manage_network_components.php,
	godmode/modules/manage_nc_groups.php: Removed deprecated call to include
	config.php and in some cases, added new header style.

2010-03-02  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/setup/gis_step_2.php: fix a mechanographic mistake.

2010-03-02  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_gis.php: add function "addParentLines", in ths function
	make a hierachy layer and call "js_refreshParentLines" for paint hierachy
	lines. In function "activateAjaxRefresh" use the function
	"js_refreshParentLines" for repaint the lines.
	
	*include/javascript/openlayers.pandora.js: add the global var
	"storeLayerNameHierachy" for save the text localiced name of Hierachy lines
	layer. Add the function "js_refreshParentLines" for paint the lines from
	parent to sons. In function "changeShowStatus" add the
	"js_refreshParentLines"

	* operation/gis_maps/render_view.php: use the function "addParentLines" for
	start the parent lines.

	* operation/agentes/gis_view.php: clean sourcecode.

2010-03-02  Miguel de Dios  <miguel.dedios@artica.es>

	* operation/gis_maps/ajax.php: fix the query to extract the GIS data for
	agent, in any moment in the past I dirty the query, but now it's clean, and
	now run fine the agent movement.

2010-03-01  Pablo de la Concepción <pablo.concepcion@artica.es>

	* include/javascript/openlayers.pandora.js: Modified js_printMap to support
	Gmap type of maps.

	* include/functions_gis.php: Modified printMap to support Gmap type of maps

	* godmode/setup/gis_step_2.php: Modified to load on demand the Gmaps api
	TODO: Use the key from the gmap_key input box.

2010-03-01  Sancho Lerena <slerena@artica.es>

	* include/styles/menu.css,
	include/functions_db.php,
	operation/menu.php: New code for give support for Metaconsole. Added nocache
	settings in some SQL main functions to avoid globally usage of SQL cache.

2010-03-01  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/gis_maps/configure_gis_map.php: fix in javascript function
	"setFieldsFormLayer" set the checkbox.

2010-03-01  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_gis.php: in fuction "getAgentsLayer" fix when none data
	for agents in this layer.
	
	* operation/gis_maps/render_view.php: fix link to edit map and fix the text
	of header.
	
	operation/gis_maps/index.php: use function "print_page_header".

2010-03-01  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_gis.php: now function "getAgentMap" return true or false
	if there is default map or not.

	* operation/agentes/gis_view.php, godmode/agentes/agent_conf_gis.php: show
	message of error when there isn't a default map

2010-03-01  Miguel de Dios  <miguel.dedios@artica.es>

	* extras/pandoradb_migrate_v3.0_to_v3.1.sql: update with the new data in
	the sql data file of pandora.
	
	include/config_process.php: update the version.

2010-03-01  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/gis_maps/configure_gis_map.php: erase console log in some parts
	in javascript, and fix the fill a hidden input with the levels of zoom in
	a connection.

2010-03-01  Miguel de Dios  <miguel.dedios@artica.es>

	* pandoradb_data.sql: add the default map from Open street map, and set
	active by default the GIS.
	
	* godmode/setup/gis_step_2.php: fix tiny bugs in the form that the default
	values for zooms were exchangeds.

2010-02-25  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_gis.php: use zoom level.
	
	* godmode/gis_maps/configure_gis_map.php: include the things about
	default zoom level in function "validateMapData", "getMapData" and add
	the function "getNumZoomLevelsOfConnectionDefault".

2010-02-25  Sancho Lerena  <slerena@artica.es>

	* godmode/alerts/configure_alert_template.php,
	godmode/alerts/alert_templates.php,
	godmode/alerts/configure_alert_action.php,
	godmode/alerts/alert_actions.php: Show/Edit group for templates and actions.

	* include/functions_ui.php: Alert information now show the default
	actions properly,and the action conditions (max/min).

	* include/functions_alerts.php: Added support on get_alert_templates_types
	for new alert type "onchange".

	* pandoradb.sql
	* extras/pandoradb_migrate_v3.0_to_v3.1.sql: Added new support for alert
	type "onchange".

	* godmode/alerts/alert_list.php: Alert information now shows the default
	action (if exist) and have a link to edit the template directly from here.

2010-02-25  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/agentes/agent_manager.php: fix dinamic show icon when change
	the select and show other icon the icon with "without status".

2010-02-25  Miguel de Dios  <miguel.dedios@artica.es>

	* ChangeLog: I did'nt upload in previous commit the changelog.

	* include/functions_gis.php: refactor the name of function "addPoint"
	to "addAgentPoint". In function "get_agent_icon_map" add new parameter
	$status for pass the status.
	
	* include/javascript/openlayers.pandora.js: add function "js_addAgentPoint"
	is same more or less "js_addPoint" and too for "js_addAgentPointExtent" and
	"js_addPointExtent".

	* operation/gis_maps/render_view.php: add the id_parent in the call of
	"addAgentPoint".
	
	* operation/gis_maps/ajax.php: clean source code and add the id_parent to
	return json for each agent.

2010-02-25  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_gis.php: in function "addPath" fix the query to extract
	the path from a time.
	
	* operation/agentes/gis_view.php: add no-ajax control for filter the time
	to show path.

2010-02-25  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_gis.php: in function "addPath" add the parameter
	$history_time for to set limit in seconds to past where to start path.
	Use new parameter in function "getAgentMap".

2010-02-25  Miguel de Dios  <miguel.dedios@artica.es>

	* operation/agentes/gis_view.php: change the empty message to standar.
	
	* godmode/menu.php: change the text of visual console builder and GIS map
	builder, and move to down the Conection GIS editor.
	
	* godmode/gis_maps/configure_gis_map.php: change some text.
	
	* godmode/gis_maps/index.php: use new header.
	
	* godmode/reporting/map_builder.php: change some text.

2010-02-25  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_gis.php: change the setup params "maxExtent",
	"maxResolution", "numZoomLevels" from map to baselayer. Add new function
	"getAgentsLayer" to get agent info of agents in layer, but only agents not
	in group in layer. 
	
	* operation/gis_maps/render_view.php: use new function "getAgentsLayer".

	* operation/gis_maps/ajax.php: fix the extract agent gis info, and clean
	source code.

2010-02-25  Pablo de la Concepción <pablo.concepcion@artica.es>

	* godmode/setup/gis_step_2.php: Modified to get the KEY to load the Google
	Maps Javascript for the used domain. Now it stores the key, but still it
	doesn't load dinamicaly the javascript to show the preview.

2010-02-24  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_gis.php: fix map to show correct position the agent
	icons in the function "printMap".
	
	* include/javascript/openlayers.pandora.js: fix map to show correct position
	the agent icons in the function "js_printMap".

	* godmode/gis_maps/configure_gis_map.php: fix a mechanographic mistake in a
	text.

2010-02-24  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_gis.php: in function "printMap" add the posibility to
	show the Static_Image base layer (WIP because it'snt show the icons), in
	function "getAgentMap" pass the status in the feature.
	
	* include/javascript/openlayers.pandora.js: in the function "js_printMap"
	add the posibility to show the Static_Image base layer (WIP).
	
	* operation/gis_maps/render_view.php: clean source code for the part of
	baselayers and add the code for Static Image baselayer.
	
	* godmode/setup/gis_step_2.php: clean source code uninitialize vars, add
	the preview static image var (WIP because it'snt show the icons).

2010-02-24  Pablo de la Concepción <pablo.concepcion@artica.es>

	* godmode/setup/gis_step_2.php: Modified to be able to manage also 
	Goolge Maps (TODO:preview and KEY management) and Static Images (TODO:
	preview).

2010-02-24  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_gis.php: fix the refresh time in function
	"activateAjaxRefresh", in functions "activateAjaxRefresh" and "addPoint"
	 add status agent.
	 
	* include/javascript/openlayers.pandora.js: add function "changeShowStatus"
	for change show icons by status, in function "changeRefreshTime" add reset
	timer, in function "js_addPoint" and "js_addPointExtent" add the state and
	hide if it's necesary.
	
	* operation/gis_maps/render_view.php: change the style of page, and add
	controls for hide agent icons by state.

	* operation/gis_maps/ajax.php: add the option "get_map_connection_data" in
	switch for get map connection data.

	* godmode/gis_maps/configure_gis_map.php: start to develop the preview map
	in editor.

2010-02-24  Pablo de la Concepción <pablo.concepcion@artica.es>

	* operation/gis_maps/render_view.php: Changed PanZoom to PanZoomBar in 
	the map.

2010-02-23  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_gis.php: in function "activateAjaxRefresh" add the
	posibility to change refresh time in execution time.
	
	* include/functions_ui.php: add in the "print_page_header" the feature to
	pass a array of buttons/items.

	* include/javascript/openlayers.pandora.js: add the function
	"changeRefreshTime" for change the refresh time.

	* operation/gis_maps/render_view.php: change the top of page for to
	adapt the new header, and add refresh control.

2010-02-23  Pablo de la Concepción <pablo.concepcion@artica.es>

	* godmode/setup/gis_step_2.php, godmode/gis_maps/configure_gis_map.php: 
	Usability improvements, change some texts, added some contextual tips.

2010-02-23  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_gis.php: change the function "activateAjaxRefresh" for
	refresh also the agent maps, and in the function "getAgentMap" show icon
	with status the agent maps.
	* operation/gis_maps/ajax.php: in the switch option "get_new_positions"
	return GIS data for agent maps, in the "point_agent_info" and
	"point_path_info" option change for new tables.
	* operation/agentes/gis_view.php: add the ajax moving agent and click
	bubble info.

2010-02-22  Sancho Lerena <slerena@artica.es>

	* include/functions_menu.php: Add calls for new enterprise ACL system.

	* include/config_process.php
	include/functions_config.php: Added new setup token for ACL enterprise.

	* index.php: Implemented new Enterprise ACL on page load.

	* extras/pandora_diag.php: Added new header style.

	* general/noaccess.php: Ending <div> was breaking layout. Fixed.

	* godmode/db/db_main.php: Added new header style.

	* godmode/menu.php: Added new Setup option for Enterprise ACL system.

	* godmode/snmpconsole/snmp_alert.php,
	godmode/setup/news.php
	godmode/users/configure_user.php
	godmode/reporting/map_builder.php: Added new header style.

	* godmode/setup/setup.php: Added new Setup option for Enterprise ACL system.

	* godmode/setup/setup_visuals.php: Added new header style.

2010-02-22  Miguel de Dios  <miguel.dedios@artica.es>

	* operation/gis_maps/ajax.php: fix bug that pass wrong var to search
	status in function "get_agent_status".

2010-02-22  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_alerts.php: fix when try delete only the alerts from
	alert policies form. 

2010-02-22  Miguel de Dios  <miguel.dedios@artica.es>

	* images/groups_small/*.ok.png, images/groups_small/*.default.png,
	images/groups_small/*.bad.png, images/groups_small/*.warning.png: add the
	group images for diferent status, it's used in the GIS map.
	
	* godmode/agentes/agent_manager.php: change for new form to name the icons
	with status.
	
	* include/functions_gis.php: clean source code in function "addPoint",
	rewrite the function "get_agent_icon_map" for used icons with state for
	group, change some parts of source code in the function "getArrayListIcons"
	for new form to name the icons.
	
	* images/gis_map/icons/*.png: change some icons.
	
	* operation/agentes/estado_generalagente.php: show message when there isn't
	the GIS data.
	
	* operation/gis_maps/ajax.php: change the source code and db query to
	return the GIS data for return default position for agent without GIS data.
	
	* operation/gis_maps/render_view.php: show agents without GIS data.

2010-02-22  Miguel de Dios  <miguel.dedios@artica.es>

	* operation/agentes/estado_generalagente.php: fix, use the new tables.

2010-02-20  Sancho Lerena <slerena@artica.es>

	* godmode/setup/setup.php: Fixed bug #2952636, thanks Junichi for the 
	patch.

	* include/gettext.php: Applied patch to solve problem in 64bit
	systems. Thanks Junichi!.  

2010-02-19  Sancho Lerena  <slerena@artica.es>

	* functions_events.php: Fixed typo (switched meaning) in two labels.

	* include/styles/pandora.css: Changed background color of th default style.

	* include/functions_reporting.php: Improved function get_group_stats(). Now
	supports stats from batch-mode and get realtime stats in a more efficient
	way. Fixed get_fired_alerts_reporting_table() to avoid problems in external 
	reporting (PDF & XML).

	* include/functions_servers.php: get_server_performance() now uses batch mode
	stats reporting, and improved also the realtime stats generation. Same with
	function get_server_info().

	* include/functions_config.php: Added new config tokens (not fully 
	implemented yet) for event, trap, strings and audit automatic purge.

	* include/functions_ui.php: Added new print_page_header() function to set
	the new standard header in all pages, using the "tabbed" format to show
	the title, subtitle and other options like help, or custom-tabs for the page

	* pandoradb.sql: Added tserver.stat_utimestamp field. Added indexes to 
	tsession table. Fixed typo in field name in tgroup_stat: agents_uknown to
	agents_unknown.

	* extensions/ext_backup: New directory to place "deleted" extensions.

	* extensions/dbmanager/dbmanager.css: Table names now are in it's original
	lowercase/uppercase format.

	* extensions/dbmanager.php: Updated headers, and now return "empty" when
	a search is empty, instead "error" as before.

	* extensions/users_connected.php
	extensions/module_groups.php
	extensions/plugin_registration.php
	extensions/pandora_logs.php
	operation/incidents/incident.php
	operation/snmpconsole/snmp_view.php
	operation/users/user.php
	operation/users/user_edit.php
	godmode/agentes/planned_downtime.php
	operation/events/events.php
	operation/visual_console/index.php
	operation/agentes/estado_generalagente.php
	operation/agentes/estado_agente.php
	operation/agentes/exportdata.php
	operation/agentes/ver_agente.php
	operation/agentes/status_monitor.php
	operation/agentes/alerts_status.php
	operation/users/user_statistics.php: Added new header format.

	* operation/agentes/estado_grupo.php: Removed old group view.

	* operation/agentes/tactical.php: Adapted to use new realtime/batch 
	statistical system. Placed events above server info. Showing only pending
	events and other minor changes.

	* operation/agentes/group_view.php: NEW screen, replacing old one. Probably
	most ugly, but much more useful than before.

	* operation/agentes/networkmap.php: Added title.

	* operation/messages/message.php: Added title and adding some exists in 	
	code was missing before.

	* operation/reporting/reporting_viewer.php: Added title.

	* operation/reporting/graph_viewer.php: Added title.

	* operation/reporting/custom_reporting.php: Added title.

	* operation/servers/view_server.php: 

	* operation/menu.php: Replaced old group view with new (this has english
	name). Removed autorefresh "by default" in server view.

	* extras/pandoradb_migrate_v3.0_to_v3.1.sql: Fixed typo.

	* extras/pandora_diag.php: Minor changes, removed some info and added other.

	* general/logon_ok.php: Minor aesthetic changes.

	* general/header.php: Fixed missing ";"

	* operation/extensions.php,
	godmode/extensions.php: Added support for delete extensions.

	* godmode/menu.php: New setup items.

	* godmode/setup/setup.php,
	godmode/setup/performance.php,
	godmode/setup/setup_visuals.php: Reordered setup options, new setup section	
	"Performance", added new performance options to set  "realtime" statistics
	or "batchmode" with it's own interval. Some setup info is now shared with
	the servers (but it it's any change in setup, servers should be restarted 
	anyway).


2010-02-19  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_gis.php: adapt to new tables.
	
	* include/javascript/openlayers.pandora.js
	
	* operation/gis_maps/render_view.php: adapt to new tables.
	
	* operation/gis_maps/ajax.php: adapt to new tables.
	
	* operation/agentes/gis_view.php: clean source code.

2010-02-18  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/agentes/configurar_agente.php:  fix the date to save into DB.

2010-02-18  Miguel de Dios  <miguel.dedios@artica.es>

	* operation/gis_maps/render_view.php: change to use new tables.

2010-02-18  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_gis.php: check in the function "addPath" if the agent
	haven't history data. And clean source code.
	
	* operation/agentes/gis_view.php: change to use new tables, and show
	messages when the agent haven't data GIS.
	
	* godmode/agentes/agent_conf_gis.php: change the message for agent without
	data GIS.

2010-02-18  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_html.php: hightlight that the parameter $script in
	function print_input_text_extended isn't in use.
	
	* include/functions_gis.php: create function "getDataLastPositionAgent"
	that return row of position and other data for id agent.
	
	* godmode/agentes/agent_conf_gis.php: add the validate fields and adapt
	to new tables.
	
	* godmode/agentes/configurar_agente.php: adapt to new tables.

2010-02-17  Pablo de la Concepción <pablo.concepcion@artica.es>

	* pandoradb.sql, extras/pandoradb_migrate_v3.0_to_v3.1.sql: Modified data
	model using a new table tgis_data_status to save the current GIS data and
	the table tgis_data_history to store the historical GIS data. That also
	means that the GIS related fields from the table tagente are now in the
	table tgis_data_status. The foreign key in the table tgis_map_layer to
	tgrupo has been droped because now it's possible to have layers without
	group, just agents.

2010-02-17 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_gis.php: add the parameter id layer in the function
	"makeLayer" for add the id layer (id of db) in the layer. Fill in the
	sourcecode  in the function "activateAjaxRefresh" that now show new
	agents in the map in real time and add make changes in this function.
	 
	* operation/gis_maps/render_view.php: use the new parameter in the call
	of function "makeLayer".

	* operation/gis_maps/ajax.php: add code to return new positions (and name
	and icon) when the ask the positions in "activateAjaxRefresh".

2010-02-16  Raúl Mateos <raulofpandora@gmail.com>

	* extensions/module_groups.php: Better description text. Changed font
	colour.

2010-02-16 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_gis.php: add the function "getMapConnection" get the row
	of connection for id connection, "updateMap" function update the all data in
	the DB, "validateMapData" function validate the map data previous update or
	save in the database and if it's invalid, write the css code for set colors
	and other styles, "getMapData" return all data about map for id map,
	"addConectionMapsInForm" tranlate the map connection array to html code and
	javascript for to write in the form when edit, "addLayerList" translate the
	layer array to html code and javascript for write in the form when edit.  
	
	* operation/gis_maps/render_view.php: fix the link to edit map.
	
	* godmode/gis_maps/configure_gis_map.php: change many parts of the source
	code for add the method the edit in the form and add more usability
	to form.
	
	* godmode/gis_maps/index.php: fix the links to edit and view map.

2010-02-15  Pablo de la Concepción <pablo.concepcion@artica.es>

	* extras/pandoradb_migrate_v3.0_to_v3.1.sql: Added cusstom colums (
	custom_string_1, custom_string_2, custom_string_3, custom_integer_1 and
	custom_integer_2) to tnetwork_component, added also some configuration 
	parameters that were missing. Reordering a bit. And fixed a missplaced ';'

2010-02-15 Eric Ross <eric.ross.c@gmail.com>
	
	First batch of changes to implement the new log4x data type.

	Modified files to show the new data type:

	* include/functions_html.php
	* operation/agentes/estado_ultimopaquete.php
	* operation/agentes/datos_agente.php
	* operation/agentes/estado_monitores.php

	* pandoradb.sql: New table
	* pandoradb_data.sql: New data for new module type

2010-02-15 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_gis.php: in the function "saveMap" set the first map
	as default.
	
	* godmode/setup/gis_step_2.php: minor stetic change the link of refresh by
	button.

	* godmode/gis_maps/index.php: add many alerts in the change the default map
	and delete any map. And fix the delete map parameter.

2010-02-12 Miguel de Dios  <miguel.dedios@artica.es>

	* include/javascript/pandora_modules.js: add support to snmp ver3 in the
	load network component.

2010-02-12 Miguel de Dios  <miguel.dedios@artica.es>

	* pandoradb.sql: add new fields to tnetwork_component for support the
	snmp ver 3.
	
	* godmode/modules/manage_network_components_form.php,
	godmode/modules/manage_network_components_form_network.php
	godmode/modules/manage_network_components.php: add support to snmp ver 3,
	add the fields for this use, and now can create and edit network
	component with snmp ver 3.

2010-02-12 Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/modules/manage_network_components_form.php: clean source code and
	set correct ident.

	*godmode/modules/manage_network_components_form_network.php: remove the end
	of source code that it's unused.

2010-02-11 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_gis.php: clean source code, delete javascript debug
	info messages for firebug.

	* godmode/agentes/module_manager_editor_network.php,
	godmode/agentes/configurar_agente.php: add support for SMNP ver3 in the
	forms to add or edit "Network module".

2010-02-10  Sancho Lerena <slerena@artica.es>

 	* godmode/db/db_main.php: Added new metrics about DB usage. Added
	last time pandora_db.pl was running in the system.

	* godmode/db/db_info.php: Added graphic from db_main

	* operation/reporting/reporting_viewer_pdf.php
	include/functions_reporting_pdf.php: Small fixes for PDF reporting. 
	Decode entities to show texts correctly in description of each element.

	* pandoradb.sql: new enterprise structures.

2010-02-10 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_gis.php: in function "saveMap" now save the default
	connection.
	
	* operation/gis_maps/ajax.php: add option "get_data_conexion" for get by
	ajax the data connection when pass id_connection.
	
	* godmode/gis_maps/configure_gis_map.php: now you can set the default
	connection and too load the data by default for each connection.

2010-02-10  Pablo de la Concepción <pablo.concepcion@artica.es>

	* godmode/gis_maps/index.php: Fixed regresion, standarized using map_id
	as parameter.

	* pandoradb.sql, extras/pandoradb_migrate_v3.0_to_v3.1.sql: Added column
	default_map to table tgis_map to mark the default map

2010-02-10  Sancho Lerena <slerena@artica.es>

	* events.php: Fixed a bad link with an invalid id_agent.

	* pandoradb.sql: Changes in several tables and new tgroup_stat table.
	Added several index and dropped some fields in tagente_datos and 
	tagente_datos_string tagent_access.
	
	* godmode/setup/setup.php, 
	* include/functions_config.php: Management of new timezone settings and
	realtime stats parameters.

	* include/config_process.php: New timezone management. Updated build.

	* pandoradb_data.sql: Build update. Added new tokens realtimestats and
	stats_interval.

	* install.php: Several changes: Now display GPL licence, better SQL error
	management, and steps are shown now as text instead a progress bar. Also 
	show version and build of the installer.

	* extensions/dbmanager.php: Removed some warnings

	* extras/pandoradb_migrate_v3.0_to_v3.1.sql: Updated with latest changs.

	* godmode/agentes/module_manager_editor_network.php
	godmode/agentes/configurar_agente.php
	godmode/agentes/module_manager_editor.php: Implemented partial support for
	SNMP v3. Miguel will finish the work :-)

	* index.php: Session close function deprecated, replaced by a more standard
	method with unset.

2010-02-10 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_gis.php: add in the function "getAgentMap" a new
	parameter "centerInAgent" (default true) for center the map in the last
	position of agent.
	
	* operation/agentes/ver_agente.php: clean source code.
	
	* godmode/agentes/agent_conf_gis.php: add page that you can change the
	position of agent.
	
	* godmode/agentes/configurar_agente.php: add the code to update the changed
	coords of agent, and show the tab to access the agent_conf_gis.php.

2010-02-10 Miguel de Dios  <miguel.dedios@artica.es>

	* include/styles/pandora.css: add lost style for disable button.
	
	* include/functions_gis.php: fix the function "getAgentMap" now back run.

	* include/functions_ui.php: clean source code.
	
	* operation/agentes/ver_agente.php: add require javascript
	openlayers.pandora.js.

2010-02-09 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_gis.php: clean source code, and extract the javascript
	code to openlayers.pandora.js.
	
	* include/javascript/openlayers.pandora.js: new file, have a source code of
	gis in javascript.
	
	* operation/gis_maps/render_view.php, operation/gis_maps/index.php,
	operation/agentes/gis_view.php, godmode/agentes/agent_manager.php,
	godmode/setup/gis.php, godmode/gis_maps/configure_gis_map.php,
	godmode/gis_maps/index.php: add the require javascript to 
	"openlayers.pandora.js".

	* godmode/setup/gis_step_2.php: add the source code to improve usability,
	now can set with the mouse points of center and default position for agents
	without gis data.

2010-02-08  Pablo de la Concepción <pablo.concepcion@artica.es>

	* general/header.php, extensions/module_groups.php: Applied patch from 
	Junichi Satoh to fix Bug #2946318 

2010-02-04 Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/menu.php: small stetical change in menu entry that I forget to
	commit in previus upload.

2010-02-04 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_gis.php: add javascript function "isInt" for test int
	values, rename some javascript functions for to avoid typing mistakes with
	similar name functions in PHP. Add the function "activateAjaxRefresh" and
	"getArrayListIcons".
	
	* operation/gis_maps/ajax.php: add new operation "get_new_positions" for
	ajax refresh the points.
	
	* operation/gis_maps/render_view.php: change the source code for to use new
	functions as "activateAjaxRefresh" for example.

2010-02-04 Miguel de Dios  <miguel.dedios@artica.es>

	* operation/agentes/ver_agente.php: fix the show icon agent view.
	* images/gis_map/icons/dot_bad.png, images/gis_map/icons/dot_ok.png,
	images/gis_map/icons/dot.png, images/gis_map/icons/dot_warning.png: add one
	more icons for agent in GIS system.

2010-02-04 Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/agentes/configurar_agente.php, godmode/agentes/agent_manager.php:
	add in the agent config form the fields Icon agent select and Ignore new
	GIS data.

2010-02-01  Sancho Lerena <slerena@artica.es>

	Changes ported from 3.0 branch.

	* include/javascript/pandora_visual_console.js: Thiner lines in maps.

	* include/functions_visual_map.php: Fixed several issues in visual maps
	(bad hierarchy status color, limited depth for recursion, get unknown
	for agents and modules, and line color is now always associated to
	parent status) and non-status elements like labels, graphs or progress
	bars now doesnt propagate module status to parents.

	* include/functions_db.php: Added parameter to get_db_all_rows_sql() to
	avoid use of cache. Function process_sql() was not properly checking if
	cache usage was disabled and was always using cache. Added support for
	checking unknown status in get_agentmodule_status() function.

	* extensions/dbmanager/dbmanager.css,
	  extensions/dbmanager.php: Fixed width of textarea.

	* operation/events/events.php: Fixed bug #2943907.

	* operation/agentes/exportdata.php: Fixed problem exporting CSV
	when data to export is TOO big, using an internal cache to read 
	data.


2010-02-01  Raúl Mateos <raulofpandora@gmail.com>

	* operation/agentes/estado_agente.php: Changed colour order for 
	module status.

	* include/help/en/help_agent_status.php: Improved help.

2010-01-29  Pablo de la Concepción <pablo.concepcion@artica.es>

	* operation/gis_maps/render_view.php: Fixed call to get_agent_names to
	get the names in the same case as they are in the DB.

	* operation/agentes/gis_view.php: Changed size of the map to be relative

	* include/functions_gis.php: Fixed the call to addPoint in getAgentMap
	to use the new parameters.

2010-01-29 Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/reporting/map_builder.php: use "clean_cache" in the deleting of
	visual map.

2010-01-28 Miguel de Dios  <miguel.dedios@artica.es>

	* operation/gis_maps/render_view.php: add the check if there aren't any
	connection to map.
	
	* operation/menu.php: change parameter "id" to "id_map". 

2010-01-28 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_gis.php: add function "deleteMap" for to delete the map
	and other rows in tables related.
	
	* godmode/gis_maps/index.php: use the "deleteMap" in link of delete map.
	
	* include/functions_db.php: add function "clean_cache" for clean the
	problematic (sometimes) cache.

2010-01-27 Miguel de Dios  <miguel.dedios@artica.es>

	* operation/gis_maps/ajax.php: clean source code, erased comment lines.
	
	* include/functions_gis.php, godmode/gis_maps/configure_gis_map.php: clean
	source, change the name of saveMap2 to saveMap.

2010-01-27  Pablo de la Concepción <pablo.concepcion@artica.es>

	* include/functions_gis.php: Modiffied addPoint and addPointExtent to 
	receive more parmeters so it's possible to use any kind of point.
	Modified comments on saveMap2

	* operation/gis_maps/render_view.php: Used map_id instead if id when 
	the parameter passed in the url is a map id.
	Fixed to work with the new function getMapConf.
	Improved "pure" view. Still some things are hardcoded and needs improvement

	* operation/gis_maps/ajax.php: Modified to suppor calls to get info of 
	different kind of points. Removed hardcoded data.

	* operation/gis_maps/index.php:  Used map_id instead if id when
	the parameter passed in the url is a map id.

2010-01-27 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_gis.php: fix a typing "print_r" in function "getMapConf"
	and fill with code the function saveMap2 and add the commment in format
	phpdoc.

2010-01-27  Pablo de la Concepción <pablo.concepcion@artica.es>

	* include/functions_gis.php: Updated getMapConf to work with the new 
	database model;

2010-01-27 Miguel de Dios  <miguel.dedios@artica.es>
	* include/functions_gis.php: add the prototipe of function "saveMap2" at
	the moment for to develop in next hours or days.
	* include/javascript/jquery.json.js: add json plugin for jquery.
	* godmode/gis_maps/configure_gis_map.php: rewrite all source code, change
	the form and adapt to new gis tables.
	* godmode/gis_maps/index.php: few changes for more correct source code.

2010-01-27  Pablo de la Concepción <pablo.concepcion@artica.es>

	* include/functions_gis.php: Added more Openlayers Controls to the case
	on the printMap function, fixed typo manual_placemen -> manual_placement,
	added gectConectionConf and getAgentMap functions (last one still with 
	some hardcoded values). Function get_agent_last_coords now also returns the
	agent name.

	* operation/agentes/estado_generalagente.php: Added last position 
	information, and timezone offset if is not 0

	* operation/agentes/gis_view.php: Added map with the last position of the
	agent and table with the previous positions of the agent.

	* operation/agentes/ver_agente.php: Used agent icon to show status 
	 if icon_path is defined.

2010-01-26 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_gis.php: add functions "saveMapConnection" and
	"deleteMapConnection".

	* godmode/setup/gis_step_2.php, godmode/setup/gis.php: add the forms to
	make, edit and delete map connections.

2010-01-25  Sancho Lerena <slerena@artica.es>

	* include/functions.php: Fixed problem in show_event_type() function
	who mades events.php to do a invalid filtering by event status.

	* operation/events/events_rss.php: Added optional (commented code)
	support for filtering RSS request by the API ACL. need to implement a switch
	in the config array to use here ACLs or not.

	* operation/events/events.php: Fixed problem filterings events by status 
	(warning, critical, normal and not-normal).


2010-01-25  Pablo de la Concepción <pablo.concepcion@artica.es>

	* extras/pandoradb_migrate_v3.0_to_v3.1.sql: Added group column to control
	ACLs as it was done in pandoradb.sql.

2010-01-25 Miguel de Dios  <miguel.dedios@artica.es>

	* pandoradb.sql: add the group column for SLA purposes.
	* operation/agentes/gis_view.php: page for GIS data in agents view.
	* operation/agentes/ver_agente.php: add the tab for GIS data.
	* operation/menu.php, godmode/menu.php: change the lines for show the
	entries in menu, now show the entries gis when it's set on.
	* godmode/setup/setup.php: add the field to set on or off the GIS features
	in the Pandora Console.

2010-01-25 Miguel de Dios  <miguel.dedios@artica.es>

	* include/config_process.php: small fix for to erase a alert message in php
	when call a ajax.php. 

2010-01-22 Sancho Lerena <slerena@artica.es>

	* include/help/es/help_alert_macros.php: Update spanish help for alet
	macros.

2010-01-22  Pablo de la Concepción <pablo.concepcion@artica.es>

	* include/functions_config.php: Modified to handle activate_gis 
	configuration parameter. And establish a default value.

2010-01-22  Pablo de la Concepción <pablo.concepcion@artica.es>

	* pandoradb.sql, extras/pandoradb_migrate_v3.0_to_v3.1.sql, 
	pandoradb_data.sql: Modified the GIS related tables, to make a better
	GIS Data model, also included the activate_gis config parameter on tconfig.
	Added column timezone_offset to table tserver_export so the export server
	can send timezone information

2010-01-21 Miguel de Dios  <miguel.dedios@artica.es>

	* include/config_process.php: use the flag "$develop_bypass" to change the
	method to show the php messages for developing purposes. 

2010-01-21 Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/setup/setup.php: fix bug that overwrite the row of "Attachment
	store" field when put the row of field "IP list with API access".

2010-01-21 Miguel de Dios  <miguel.dedios@artica.es>

	* ChangeLog: fix mistake with dates, sorry.

2010-01-21 Miguel de Dios  <miguel.dedios@artica.es>

	* include/styles/menu.css, godmode/gis_maps, godmode/menu.php,
	godmode/gis_maps/configure_gis_map.php, godmode/gis_maps/index.php: add the
	page to manipulate the GIS maps and add the page to create (and edit not at
	the moment) the GIS maps.
	* operation/gis_maps/render_view.php: small changes in the develop of
	render, add events and popups.
	* include/functions_gis.php: add code for respond to events, add function
	"saveMap" to save a map.

2010-01-21 Miguel de Dios  <miguel.dedios@artica.es>

	* include/javascript/OpenLayers/*: commit lost files of OpenLayer library.

2010-01-20  Ramon Novoa  <rnovoa@artica.es>

	* godmode/setup/file_manager.php: Added support for file and empty
	  directory deletion.

2010-01-20  Ramon Novoa  <rnovoa@artica.es>

	* include/functions_fsgraph.php: Fixed paths for Fusion Charts.

2010-01-18 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_gis.php, operation/gis_maps/ajax.php: code for GIS maps,
	now show correctly the path points and start to show the popup for this
	points.
	* include/javascript/OpenLayers/lib/Gears/gears_init.js,
	include/javascript/OpenLayers/lib/OpenLayers/Format/ArcXML/Features.js:
	some files of OpenLayers that I erased in the previous clean.
	* images/spinner.gif: image for ajax loading.

2010-01-18 Miguel de Dios  <miguel.dedios@artica.es>

	* operation/visual_console/render_view.php: fix style, add a white space.
	
	* include/styles/menu.css, include/styles/pandora.css: add styles for
	GIS maps.
	* operation/gis_maps/*, operation/menu.php, images/gis_map,
	godmode/setup/gis.php, godmode/menu.php: add first version of GIS maps.
	
2010-01-18 Miguel de Dios  <miguel.dedios@artica.es>

	* include/javascript/OpenLayers/*: include the OpenLayers library into the
	Pandora file system for GIS use.
	
2010-01-15  Pablo de la Concepción <pablo.concepcion@artica.es>

    * pandoradb.sql, extras/pandoradb_migrate_v3.0_to_v3.1.sql: Added column
    number_of_packages to tgis_data to track the number of data packages
    received while the agent is in the same position.

2010-01-15  Pablo de la Concepción <pablo.concepcion@artica.es>

	* pandoradb.sql, extras/pandoradb_migrate_v3.0_to_v3.1.sql: Modified DB
	schema to give a default value to start_timestamp on tgis_data, without
	it as is a timestamp MySQL sets the default value as CURRENT_TIMESTAMP
	and also sets the CURRENT_TIMESTAMP ON UPDATE, setting the DEFAULT 
	CURRENT_TIMESTAMP prevents MySQL to set the ON UPDATE CURRENT_TIMESTAMP.

2010-01-14  Pablo de la Concepción <pablo.concepcion@artica.es>

	* pandoradb.sql, extras/pandoradb_migrate_v3.0_to_v3.1.sql: Modified DB
	schema to add, group_id and zoom_level to the table tgis_map and set the
	primary keys of the new tables as autoincremet.

2010-01-13  Pablo de la Concepción <pablo.concepcion@artica.es>

	* pandoradb.sql, extras/pandoradb_migrate_v3.0_to_v3.1.sql: Modified DB
	schema to store more efficiently the GIS information,and added some
	comments to explain the use of the new columns. Also added the last 
	change on the graph weights to the migrate script.

2010-01-12  Pablo de la Concepción <pablo.concepcion@artica.es>

	* pandoradb.sql: Added GIS tables, and timezone_offset, 
	icon, and update_gis_data to tagente.

	* extras/pandoradb_migrate_v3.0_to_v3.1.sql: Added new migration script

	* extras/pandoradb_migrate_v2.x_to_v3.0.sql: Removed old migration script

2009-12-31  Sancho Lerena <slerena@artica.es>

	* pandoradb.sql: Custom graph weights now can be float.

	* include/config_process.php: Updated version to 3.1-dev

	This is the first commit of 3.1 version ! :-)
	
2009-12-29  Sancho Lerena <slerena@artica.es>

	* pandoradb.sql: upps, too small, in huge systems could give a 
	problem in the autoinsert ID.

	* extras/pandoradb_migrate_v2.x_to_v3.0.sql: Fixed a broken line
	that make problems in our upgrade script. Added upgrade for
	update manager from 2.x to 3.0 version URL.

	* include/Image/image_functions.php: PHP 5.2 and higher does 
	not support (deprecated) get_mimetype. Avoiding headers lets
	the browser to decide contents of stream and now this works
	on modern PHP, before not :(

	* extensions/hello: Removed sample.

	* include/functions_servers.php: Fixed notice (division by 0).

	* include/functions_visual_map.php: Fixed problem in graphs 
	embedded in the visual console maps (problem with &amp; in fgraph
	call !!?).

	* include/config_process.php: Added supression of DEPRECATED
	system messages for PHP 5.2.11 or higher insted 5.3

	* godmode/agentes/module_manager_editor_prediction.php: Fixed several
	missing fields in the prediction module edition.

2009-12-28  Sancho Lerena <slerena@artica.es>

	* module_manager_editor_common.php: Latest changes from mdtrooper break
	some code, reverted specific changes in order to work.

	* pandoradb.sql: tnetwork_component double(18,13) -> double (18,3) by
	a typo !¡¿?. That is the type for tagente_modulo.

	* includes/languages/* : Updated languages for 3.0 final release.

	* include/config_process: Fixed problems detected in system/user 
	language settings. Now use config["language"] avoiding use of old 
	token "language_code"
	
	* include/function_config.php: config["language"] is now a "stardard" 
	config token, avoding to use as special one, was giving a big headache in
	order to maintain old compatibility. Now will use config["language"] always
	and create it if doesnt exist using english as base lang.

	* pandoradb_data.sql: Token is not "language" instead "language_code"

	* godmode/setup/setup.php: Use config["language"], manage like other 
	variable in the sytem, avoiding conflicts and problems detected.

2009-12-27  Raúl Mateos  <raulofpandora@gmail.com>

	* extensions/users/menu.png, extensions/dbmanager/menu.png: New files

	* extensions/users_connected.php: Added icon and changed menu section.
	Added new godmode function that allows the user to be edited.

	* extensions/dbmanager.php: Added icon. Added link to the db menu.

	* extensions/pandora_logs.php, update_manager.php: Changed menu section.

2009-12-24  Raúl Mateos  <raulofpandora@gmail.com>

	* images/pandora_logo.jpg: New file, used in dashboard (dashboard should
	use the .png instead this .jpg.

2009-12-24  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/agentes/module_manager_editor_common.php,
	godmode/agentes/module_manager_editor_network.php,
	godmode/agentes/module_manager_editor_wmi.php,
	godmode/agentes/module_manager_editor_plugin.php,
	godmode/agentes/module_manager_editor_prediction.php: fix bug to call
	enterprise function without test if the enterprise install.

2009-12-24  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_ui.php: fix bug that show SQL error message and don't
	show the actions for compound alerts.
	* include/functions_alerts.php: in function "get_alert_agent_module_actions"
	add the parameter compound for search compound actions.

2009-12-24  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/agentes/module_manager_editor_common.php,
	godmode/agentes/module_manager_editor_network.php,
	godmode/agentes/module_manager_editor_wmi.php,
	godmode/agentes/module_manager_editor_plugin.php,
	godmode/agentes/module_manager_editor_prediction.php: change the lines to
	test if the form is for policy use. And clean source code.

2009-12-24  Sancho Lerena <slerena@artica.es>

	* DEBIAN/postinst: Fixed some perms on postinstall.

	* pandora_console_install: Fixed some perms on postinstall.

	* pandora_console.spec: Removed one blank space :-))

2009-12-23  Ramon Novoa  <rnovoa@artica.es>

	* include/functions_db.php: Fixed avg. calculation in custom reports. 

2009-12-23  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/agentes/planned_downtime.php: fixes bug in several fields of
	edit form downtime.
	Fixes: 2919938

2009-12-23  Sancho Lerena <slerena@artica.es>

	* include/config_process.php: Updated build.

	* godmode/agentes/planned_downtime.php: Fixed bad render when downtime
	is running.

2009-12-23  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_db.php: fix warning messages when pass only group as
	string or integer in the function "isAllGroups".
	* include/functions_reporting.php: fix ambiguous colummn in query in the
	function "get_group_stats".

2009-12-22  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_custom_graphs.php: fix the name of custom graphs in the
	config select box in widget.
	Fixes: 2918740

2009-12-22  Miguel de Dios  <miguel.dedios@artica.es>

	* include/config_process.php, include/functions_db.php: fix alert message
	when the history DB is'nt setup.
	
	* general/header.php: fix alert message when the custom logo didn't exit.

2009-12-22  Miguel de Dios  <miguel.dedios@artica.es>

	* include/fgraph.php: clean source code, fix when try show boolean without
	data, and some changes in "grafico_modulo_sparse".
	
	* operation/agentes/stat_win.php: clean source code.

2009-12-22  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_html.php: add debug function "f2str" that return as
	string any call of function, for example "var_dump".
	
	*include/fgraph.php: into function "grafico_modulo_boolean" re-add alarms,
	clean source code and show again the flash graph.
	
	*include/functions_db.php: fix the access to IP client, it used very
	deprecate var, that clean of notice php message of error for this cause.

2009-12-21  Ramon Novoa  <rnovoa@artica.es>

	* include/api.php: Added an Enterprise API.

2009-12-21  Miguel de Dios  <miguel.dedios@artica.es>

	* install.php: clean source code.
	
	* operation/agentes/datos_agente.php: fix bug, there was a wrong copy&paste,
	now there is correct parameters.
	Fixes: 2916332

2009-12-18  Sancho lerena <slerena@artica.es>

	* pandora_console.spec: Ypdated build.

	* pandora_console_upgrade: Applied patch for more verbose information, submitted in 
	Sourceforge.

	* pandoradb_data.sql: Updated version to FINAL build and version ;-)

	* include/config_process.php: Updated build.

2009-12-18  Miguel de Dios  <miguel.dedios@artica.es>

	* include/fgraph.php: fix the graph boolean, it's rewrite.
	Fixes: 2916195

2009-12-18  Ramon Novoa  <rnovoa@artica.es>

	* include/functions_reporting.php: Fixed SLA calculation. Was not working.

	* include/functions_fsgraph.php: Fixed bug #2913813.

	* include/functions_config.php, include/config_process.php,
	  include/fgraph.php, include/functions_db.php,
	  operation/events/export_csv.php, operation/agentes/export_csv.php,
	  operation/agentes/datos_agente.php, godmode/menu.ph: Added history
	  database support.

2009-12-17  Miguel de Dios  <miguel.dedios@artica.es>

	* pandora_console/godmode/reporting/graph_builder.php: fix blank row when
	redraw graph in builder, and fix the empty column agent name in table of
	modules.
	Fixes: 2916194

2009-12-17  Miguel de Dios  <miguel.dedios@artica.es>

	* pandora_console/extensions/update_manager/load_updatemanager.php: add more
	info (Pandora version and build) to statistics in update process.

2009-12-16  Raul Mateos  <raulofpandora@gmail.com>

	* include/config_process.php, DEBIAN/make_deb_package.sh: Preparing
	release	changing version to final.

2009-12-16  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/modules/manage_network_components.php: fix re-duplicate modules
	now only generate one copy.
	Fixes: 2915470

2009-12-16  Miguel de Dios  <miguel.dedios@artica.es>

	* include/fgraph.php: fix print image error as tag <image> instead content
	file when there is error in data string. And add new type of graph, error
	graph.
	Fixes: 2908174

2009-12-16  Miguel de Dios  <miguel.dedios@artica.es>

	* ChangeLog: fix the days in the last dates.

2009-12-16  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_servers.php: tiny fix (a zero division) the tactical
	view when start with a empty Pandora. 
	
2009-12-15  Miguel de Dios  <miguel.dedios@artica.es>

	* include/fgraph.php: fix in the function "grafico_modulo_boolean" for
	show correct graph, and clean source code.
	* include/functions_extensions.php: change include_once to require_once for
	more security.
	Fixes: 2883786

2009-12-15  Ramon Novoa  <rnovoa@artica.es>

	* include/functions_fsgraph.php: Fixed bug #2913813.

2009-12-14  Miguel de Dios  <miguel.dedios@artica.es>

	* ChangeLog: fix before copy&paste.

2009-12-14  Miguel de Dios  <miguel.dedios@artica.es>

	* include/swiftmailer/* : add the library "Swift Mailer" for make more
	easy and less bugs the source code.

2009-12-13  Raul Mateos  <raulofpandora@gmail.com>

	* include/styles/pandora.css: Changed some colours.

	* godmode/reporting/map_builder_wizard.php: Updated title.

2009-12-09  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_db.php: change the function
	"get_db_all_row_by_steps_sql", now it support more connection with
	parameter $new for new conection and $result for connection.
	
	* operation/events/export_csv.php: rewrite to adapt the new 
	"get_db_all_row_by_steps_sql".

2009-12-09  Raul Mateos  <raulofpandora@gmail.com>

	* images/god9.png: New image.

	* include/styles/menu.css: Added style for new menu item.

	* godmode/menu.php: New menu item.

	* godmode/reporting/map_builder.php: Updated internal links and title 
	because it will be a new entry in the menu.

	* operation/visual_console/render_view.php: Updated internal link for
	setup.

2009-12-09  Raul Mateos  <raulofpandora@gmail.com>

	* godmode/reporting/map_builder.php: Changed H1 to H3, to maintain coherence.

	* operation/visual_console/render_view.php: Added title.

2009-12-09  Raul Mateos  <raulofpandora@gmail.com>

	* godmode/reporting/reporting_builder.php: Print table of items only
	if the the tables has data, else print no items defined.

2009-12-09  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/reporting/reporting_builder.php: Test empty title report before on
	submit in javascript, and test empty this title in PHP.
	Fixes: 2910627

2009-12-09  Raul Mateos  <raulofpandora@gmail.com>

	* godmode/db/db_info.php: Added icon to download database info.

	* include/style/tip.css: Removed unused style. Still help style is in
	the file. Not removed, maybe used some day...

	* operation/agentes/estado_grupo.php: Added colours to the numbers.
	Added the text "modules".

2009-12-09  Raul Mateos  <raulofpandora@gmail.com>

	* include/fgraph2.php: Deleted test file, never used. Will ezComponents
	graph be used someday...?

2009-12-08  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_db.php: in function "create_user_profile" add the
	parameter $assignUser to set assign user in table. And add the function
	"get_db_num_rows" that return the num of rows get from SQL. 
	
	* include/functions_api.php: add functions for new calls in the API,
	"set_new_user" create new user, "set_delete_user" delete a user,
	"set_add_user_profile" attach a user into group and profile,
	"set_delete_user_profile" deattach a user into group and profile,
	"set_new_incident" add new incident, "set_new_note_incident" add into
	new note into incident.

2009-12-08  Raul Mateos  <raulofpandora@gmail.com>

	* include/auth/*.php: added style to error when accessing the files
	directly.

2009-12-08  Miguel de Dios  <miguel.dedios@artica.es>

	* operation/agentes/networkmap.php: fix style for to clean form in
	networkmap when active "No Overlap".
	Fixes: 2821967

2009-12-08  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_db.php: add in "get_db_all_rows_filter" new parameter
	$returnSQL for return the string formated SQL instead the data. And add new
	function "get_db_all_row_by_steps_sql" that return row by row the data of
	query.
	
	* operation/events/export_csv.php: fixed the memory overload when try save
	into CSV a 10000 events or more, now use "get_db_all_row_by_steps_sql" for
	extract row by row the data.
	Fixes: 2859758

2009-12-08  Miguel de Dios  <miguel.dedios@artica.es>

	* operation/events/events.php: fix notice undefined var message.

2009-12-08  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_agents.php, operation/agentes/tactical.php: fix notice
	undefined var message.

2009-12-07  Pablo de la Concepción <pablo.concepcion@artica.es>
	* Changelog: Changelog with the last changes that I forgot to include in 
	the last commit.

2009-12-07  Pablo de la Concepción <pablo.concepcion@artica.es>
	* include/functions_api.php, include/functions.php,
	extensions/plugin_registration.php, operation/events/events.php,
	operation/agentes/exportdata.php, operation/agentes/stat_win.php,
	godmode/setup/setup.php, godmode/agentes/configurar_agente.php,
	godmode/agentes/agent_manager.php, godmode/reporting/reporting_builder.php,
	godmode/reporting/map_builder.php, godmode/reporting/graphs.php,
	godmode/reporting/graph_builder.php, godmode/alerts/alert_list.php: English
	text strings updated to be more clear.

	* include/languages/index.pot: Regenerated with updated strings

2009-12-07  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_modules.php: in the function "create_agent_module" add
	new parameter $disableACL (by default false) for use in API.
	
	* include/functions_api.php: add new functions for add new features to
	api, functions: "set_new_agent" create agent, "set_delete_agent"
	delete agent, "set_create_network_module" create network module,
	"get_module_data" get module data as CSV format in a period time,
	"get_graph_module_data" get a image file of module data in a period time.
	
	* include/functions_db.php: in function "delete_agent" add new parameter
	$disableACL (by default false) for use in API for example.
	
	* operation/agentes/datos_agente.php: clean source code.

2009-12-07  Miguel de Dios  <miguel.dedios@artica.es>

	* operation/agentes/datos_agente.php: add a select box for select chunck to
	time to show data of agent module.

2009-12-05  Sancho Lerena <slerena@gmail.com>

	* operation/agentes/estado_monitores.php: Names and description
	was cutted and not shown as popup description. Fixed.

2009-12-05  Raul Mateos  <raulofpandora@gmail.com>

	* install.php: Modified description for XML_RPC.

	* extensions/pdate_manager/lib/libupdate_manager_client.php:
	Format error page if XML_PRC not found.

2009-12-05  Raul Mateos  <raulofpandora@gmail.com>

	* images/pandora.png, pandora_logo.jpg: Deleted old files.

	* images/image_problem: Change background with new logo.	

2009-12-04  Raul Mateos  <raulofpandora@gmail.com>

	* include/config_process.php: Solved notice when PHP < 5.3

	* general/header.php: Add some alts and title.

	* general/include/cluetip.css: Changed .gif to .png.

	* images/daarrow*.png: New files, converted from .gif files.

	* Changelog: Format dates.

2009-12-04  Miguel de Dios  <miguel.dedios@artica.es>

	* operation/agentes/datos_agente.php: fix the bug when you have a large,
	very large list of data of module. And add the pagination.
	Fixes: 2908241

2009-12-04  Sancho Lerena <slerena@artica.es>

	* extensions/users_connected.php: New extension that shows
	currently active users connected to console.

	* extensions/pandora_logs.php: New extension that show to the
	user the contents of main log files (console, and server logs)
	only for Pandora administrators, of course.

	* general/header.php: Removed text label, this give problems
	on some languages and doesn't give needed information.

	* include/styles/pandora.css: Modified style for 3.0

	* images/pandora_textlogo.png,
	images/pandora_header_logo_enterprise.png, 
	images/custom_logo/none.png	
	images/custom_logo/sourceforge.png
	images/custom_logo/artica_logo.png
	images/header.jpg
	images/pandora_header_logo.png
	images/pandora_logo.png: New logos and background for 3.0 style.

	* general/login_page.php: Updated style.

	* general/logon_ok.php: Removed small bug in the audit log block.

	* general/header.php: Pandora logo is now in left, and custom logo 
	at right. 
	
	* include/functions_config.php: By default custom logo is "none"

2009-12-04  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/alerts/alert_templates.php: use the function to translate the
	seconds time to "human time" for time threshold.
	Fixes: 2905968

2009-12-03  Miguel de Dios  <miguel.dedios@artica.es>

	* operation/agentes/estado_ultimopaquete.php: fix the column of data with
	a empty module string.
	Fixes: 2881181

2009-12-03  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/agentes/module_manager_editor_common.php: clean source code.
	* include/functions_reporting.php: fix the query to count bad modules for
	SLA.
	Fixes: 2908101

2009-12-03  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/reporting/map_builder.php: tiny fix the text for select all
	modules in select box.
	Fixes: 2897433

2009-12-01  Sancho Lerena <slerena@artica.es>

	* include/functions_reporting.php: Fixed some innacurate queries, skipping 
	non-init modules, async modules and keepalive modules. 

	* include/functions_servers.php: Improved LAG calculation algorithm, now
	is VERY precise. Added performance meter for local & remote checks.

	* include/config_process.php: error_reporting() has better default values
	now (skipping notices and non-important messages) for pandora_console.log

	* include/functions_agents.php: Fixing a problem in an alert SQL on function 
	get_agent_alerts_simple().

	* include/functions_db.php: get_server_info() moved to functions_servers.php

	* operation/events/events.php: Fixed a bug with pagination and other bug with
	user validated events search.

	* operation/agentes/status_monitor.php: Better management of async modules,
	non init and unknown modules. Now works as expected.

	* operation/agentes/estado_monitores.php: Removed blank space between icons to
	let table row more compact.

	* operation/agentes/tactical.php: Added performance information. Removed some
	information (not used) from snmp and recon servers.

	* general/header.php: Latest changes here don't work as expected. Rewritten
	and now works fine (enterprise/open logo in header).

	* godmode/admin_access_logs.php: Fixed pagination bug in tracker. Added table
	layout with two alternate colors (rowOdd method).

	* operation/servers/view_server.php,
	* godmode/servers/modificar_server.php: Added include to functions_servers.php
	to use the new server functions, moved from functions_db.php.

2009-12-01 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_alerts.php: fix the select box of correlation alerts,
	now it has the XOR operation.
	Fixes: 2849260

2009-12-01 Miguel de Dios  <miguel.dedios@artica.es>

	* extensions/module_groups.php: fix the style of page, adjust the with of
	table of modules, and fix the description text that fail in panoramic style.
	Fixes: 2866316 
	
2009-12-01  Sancho Lerena <slerena@artica.es>

	* include/functions_reporting.php: SLA readjust to be used in SLA view.

	* include/config_process.php,
	* include/functions_config.php: Added support for custom_logo option.

	* include/help/en/help_agent_access.php,
	include/help/en/help_custom_logo.php: New help topics.

	* include/functions_agents.php: Replaced audit_db with pandora_audit().

	* include/functions_db.php: pandora_audit() will replace audit_db().

	* operation/agentes/sla_view.php: now show render ok modules with min_critical
	defined and uses to calculate automatically a SLA based on it's critical
	definition.

	* operation/messages/message.php: Message view was not working!. Fixed
	
	* Some new images added:
		images/people_2.png
		images/MiniLogoArtica.jpg
		images/pandora_header_logo_enterprise.png
		images/custom_logo
		images/custom_logo/sourceforge.png
		images/custom_logo/artica_logo.png
		images/custom_logo/pandora_logo_head.png
		images/pandora_header_logo.png
		images/people_1.png: 

	* general/header.php: Changes to add new custom logo feature and replace
	logos with a image instead text.

	* godmode/setup/setup_visuals.php: now is possible to choose a custom logo
	to be displayed in header.

	*operation/agentes/ver_agente.php,
	* godmode/agentes/configurar_agente.php: Tabs do not have text at sides. This
	avoid problems in other languages different than english with long text strings.

2009-11-30  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_agents.php: added new parameter for order the result of
	query, $orderby.
	* operation/agentes/alerts_status.php, godmode/alerts/alert_list.php: use
	new parameter to order by module name.
	Fixes: 2902603

2009-11-30  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_ui.php: show the deault action with other style.
	Fixes: 2905966

2009-11-30  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_alerts.php: fix deletion of compound alerts in the
	function "delete_alert_agent_module".
	Fixes: 2902618
	* godmode/agentes/configurar_agente.php: use the "delete_alert_agent_module"
	instead the sql method.

2009-11-30  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/agentes/configurar_agente.php: delete the simple alerts
	asociated to deleted module.

2009-11-30  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_agents.php: fix now don't show alerts with
	delete pending modules. 
	* index.php: clean source code, end return that show in browser.

2009-11-30  Raul Mateos <raulofpandora@gmail.com>

	* godmode/servers/plugin.php, godmode/reporting/map_builder.php,
	godmode/profiles/profile_list.php, godmode/reporting/map_builder_wizard.php,
	godmode/agentes/module_manager.php, godmode/agentes/planned_downtime.php:
	Better use of icons in creating components, improving appearance.

	* DEBIAN/make_deb_package.sh: Changed version string from rc2 to RC3.

2009-11-27  Sancho lerena <slerena@artica.es>

	* operation/menu.php: User section has no ACL check, always can be seen.

	* index.php: Added suppor for user-defined custom language (this code was
	on my disk for 3 months, pending to be commited!).

	* include/functions_db.php,
	* include/functions_agents.php,
	* godmode/alerts/alert_list.php,
	* godmode/agentes/modificar_agente.php, 
	* godmode/agentes/configurar_agente.php: Added audit calls to several 
	management operations who don't have or have insufficient audit info.

	* godmode/users/configure_user.php: Fixed several annoyings bugs. Added
	custom language support, and added more audit info on management operations.

	* godmode/users/user_list.php: More audit info.

	* include/config_process.php: Add new debug option to render error log to
	/pandora_console.log. Also set timezone if not defined (this makes warnings
	on several PHP 5.x setups). Added user custom language support.

	* include/functions_events.php: More audit info. Fixed problems with HTML
	encoding render.

	* functions_io.php: Some cleaning.

	* include/functions_messages.php: Fixed problems with HTML
	encoding render.

	* functions_ui.php: Fixed problems with HTML encoding render in 
	print_string_substr() function.

	* auth/mysql.php: is_user_admin() functions seems to be broken ¿?¿!. Fixed.

	* styles/pandora.css: removed green colored left border in default style.

	* message.php, incident*:  Fixed problems with HTML encoding render.

	* user.php: Better ACL check before let user to view/edit another user.

	* user_edit: Removed some un-used form fields, some arrangements in layout,
	and FIXED forever problems with password change (new code written).  

	* users/user_statistics.php: Now user can see its own audit records.

2009-11-27  Miguel de Dios  <miguel.dedios@artica.es>
	
	* include/functions_html.php: add disabled parameter in functions,
	"print_input_password" and "print_checkbox". 
	* godmode/agentes/module_manager_editor_common.php,
	godmode/agentes/module_manager_editor_network.php,
	godmode/agentes/module_manager_editor_wmi.php,
	godmode/agentes/module_manager_editor_plugin.php,
	godmode/agentes/module_manager_editor_prediction.php: check the module is in
	any policy and disable some form fields.
	Fixes: 2902631

2009-11-26  Miguel de Dios <miguel.dedios@artica.es>

	* include/functions_alerts.php: add more values into function
	"get_alert_template_threshold_values", values as 1 week, 2 weeks, 1 month
	and 6 months.
	* godmode/alerts/configure_alert_template.php: change the default value
	to 1 day.
	Fixes: 2902458

2009-11-25  Miguel de Dios <miguel.dedios@artica.es>

	* include/functions_ui.php: fix the bug in the pagination that write wrong
	the url of pages.
	Fixes: 2903774

2009-11-25  Miguel de Dios <miguel.dedios@artica.es>

	* operation/events/events_rss.php: fix the bug in the creation of xml.
	Fixes: 2902134

2009-11-25  Miguel de Dios <miguel.dedios@artica.es>

	* operation/agentes/status_monitor.php: fix the what interval to check in
	the monitor.
	Fixes: 2902446

2009-11-25  Miguel de Dios <miguel.dedios@artica.es>

	* include/functions_filemanager.php: fix bug that the url content "//" in
	cases for example install in root of www directory. Only fix in this part
	of source code because the rest of sources run fine.
	Fixes: 2903005

2009-11-25  Miguel de Dios <miguel.dedios@artica.es>

	* index.php: clean source code, the blank end line in the end of document
	and show in the browser too.
	* include/functions_ui.php, operation/agentes/alerts_status.php: add new
	colummn, the action column that it show the actions of alert.
	* godmode/alerts/alert_templates.php: add the 'Time threshold' in the
	tooltip.

2009-11-25  Miguel de Dios <miguel.dedios@artica.es>

	* include/functions_modules.php: fix the deletion of module in the function
	"delete_agent_module" for change the name to avoid the row collision. This
	change is advised by Sancho lerena.

2009-11-25  Miguel de Dios <miguel.dedios@artica.es>

	* include/functions_io.php, include/functions.php: change and add functions
	for manage the input output with correct encoding and decoding.

	*include/functions_html.php, include/functions_ui.php,
	operation/agentes/status_monitor.php,
	operation/agentes/estado_ultimopaquete.php,
	operation/agentes/estado_monitores.php: change the function "salida_limpia"
	for "safe_output" and other changes.

2009-11-25  Miguel de Dios <miguel.dedios@artica.es>

	* godmode/alerts/alert_list.php: add column status of alert in alert
	management view in agent.

2009-11-22  Raul Mateos  <raulofpandora@gmail.com>

	* images/spinner.png, images/background-li.png: New images converted
	from gif.

	* *.php: Changed several files from spinner.gif to spinner.png.

	* extensions/update_manager/settings.php: Changed header.

2009-11-21  Raul Mateos  <raulofpandora@gmail.com>

	* godmode/alerts/alert_list.php, operation/events/events.php,
	operation/snmpconsole/snmp_view.php: Use down icon instead wand icon, 
	due to wand is reserved for creation purposes.

	* godmode/agentes/module_manager_editor.php: Added header and down icon.

2009-11-21  Raul Mateos  <raulofpandora@gmail.com>

	* extensions/*.php: Changed title for all extensions, improving common
	apparence. By the way... It's my brithday!!!

2009-11-19  Miguel de Dios <miguel.dedios@artica.es>

	* include/functions.php: change the "safe_input" for estandarize the input
	and clean bugs for this cause. Now Pandora Console depends of 5.2.3 PHP
	version or up.
	* extensions/dbmanager.php: change the source code to use correctly the
	"safe_input".

2009-11-19  Miguel de Dios <miguel.dedios@artica.es>

	* godmode/modules/manage_network_components_form_plugin.php: tiny fix in the
	size of field "plugin_parameter".

2009-11-18  Miguel de Dios <miguel.dedios@artica.es>

	* operation/agentes/exportdata.php: change "search_agents" in the ajax, now
	you can add paramater "add" as array json with the names of agents or other
	things that you want show in the box of result.
	* operation/events/events.php: change the select box for a ajax autocomplete
	box for agent form filter.

2009-11-16  Miguel de Dios <miguel.dedios@artica.es>

	* godmode/reporting/reporting_builder.php,
	godmode/reporting/graph_builder.php, godmode/alerts/alert_list.php: fix the
	bug that show the modules "pending delete" in more select box in some forms.
	Fixes: 2894921

2009-11-12  Miguel de Dios <miguel.dedios@artica.es>

	* godmode/db/db_sanity.php: fix typo error there was one "zero" more in
	query SQL.
	Fixes: 2895298

2009-11-12  Sancho lerena <slerena@artica.es>

	* include/help/en/help_web_checks.php: Added missing help.

	* include/help/en/help_alert_macros.php: Added missing macros.

2009-11-11  Miguel de Dios <miguel.dedios@artica.es>

	* include/functions_reporting.php: fix the debug trace I forget in source
	code.

2009-11-11  Miguel de Dios <miguel.dedios@artica.es>

	* godmode/agentes/configurar_agente.php: fix the web module, change the
	field to save the request retry.
	* godmode/agentes/configurar_agente.php: change the query for tactical view
	the counts of modules before count the disabled modules.

2009-11-10  Sancho Lerena <slerena@gmail.com>

	* pandora_console.spec: Fixed small problem with .spec

	* DEBIAN/control: Edited package description.

	* DEBIAN/make_deb_package.sh: Several changes, deletion and copy
	of files and .svn are not made with cp and xargs | rm: Faster.
	
2009-11-07  Sancho Lerena <slerena@gmail.com>

	* include/config_process.php: COme back to non-persistent pconnect 
	who seems to raise some "MySQL has gone away" in PHP 5.3.x

	* extensions/update_manager/sql/update_manager.sql: Updated update
	manager URL to point 3.0 version.

2009-11-07  Raul Mateos  <raulofpandora@gmail.com>

	* operation/servers/view_server_detail.php: Change title to show the
	father section and some added texts.

	* include/help/en/help_*.php: Several language fixes.

2009-11-06  Raul Mateos  <raulofpandora@gmail.com>

	* operation/agentes/tactical.php, general/logon_ok.php: Use the same
	order for summary, use the same colors (some from tango palette) in both
	files.

	* images/status_sets/default/server_ok.png: Use the same colour as the
	other OK status images (from tango palette).

	* DEBIAN/make_deb_package.sh: Improved english texts.

2009-11-06 Miguel de Dios <miguel.dedios@artica.es>

	* operation/snmpconsole/snmp_view.php: fix and optimize the query to traps
	in DB, because the old style didn't run with paginator and it was slow with
	much traps registers.
	* operation/agentes/status_monitor.php,
	godmode/alerts/configure_alert_compound.php: little fix arround the code
	style.

2009-11-04 Miguel de Dios <miguel.dedios@artica.es>

	* DEBIAN/control: fix dependencies, not necesary mysql-server, because the
	mysql can install in another machine.

2009-11-04  Ramon Novoa  <rnovoa@artica.es>

	* godmode/snmpconsole/snmp_alert.php: An agent, OID and custom OID may
	  be specified at the same time.

2009-11-04  Raul Mateos  <raulofpandora@gmail.com>

	* operation/agentes/alerts_status.php: different colour for table header.

	* operation/agentes/tactical.php: Use red colour from tango palette.

	* godmode/alerts/alert_lists.php, godmode/alerts/alert_compounds.php,
	godmode/alerts/configure_alerts.php: Added text if no alerts defined.

	* Changelog: Added missed change.

	* DEBIAN/make_deb_package.sh: Small change from rc1 to rc2.

2009-11-04  Miguel de Dios <miguel.dedios@artica.es>
	* DEBIAN/make_deb_package.sh: simplify the source code of script.

2009-11-03  Miguel de Dios <miguel.dedios@artica.es>
	* godmode/alerts/alert_list.php: fix notice alert php describe in the
	tracker of sourceforge.
	* godmode/alerts/alert_compounds.php: fix the SQL query bug in PHP when
	load this page without agent in Pandora.
	Fixes: 2891215

2009-11-03  Miguel de Dios <miguel.dedios@artica.es>
	* godmode/agentes/module_manager_editor_plugin.php: fix the size of field
	"Plugin parameters".
	Fixes: 2888996

2009-11-03  Miguel de Dios <miguel.dedios@artica.es>
	* godmode/users/configure_user.php: fix to set the admin user when
	you create new user.

2009-11-03  Miguel de Dios <miguel.dedios@artica.es>
	* DEBIAN/make_deb_package.sh: move the script to make the deb package into
	the DEBIAN and change some things into the sourcecode for the directory
	change.

2009-11-03  Raul Mateos  <raulofpandora@gmail.com>

	* godmode/alerts/configure*.php: Improving integrity of 
	appareance in title.

	* godmode/alerts/alert_actions.php, godmode/alerts/alert_templates.php: 
	Added text if no action or template defined.

	* godmode/alerts/alert_list.php: Small fix

	* include/styles/pandora.css: Use red colour from tango palette in error.

2009-11-02  Sancho Lerena <slerena@artica.es>

	* include/config_process.php: Updated build/version.

	* pandora_console.spec: Updated to release 2; preparing the rc2.

	* godmode/agentes/module_manager.php: Fixed a small problem, don't allow
	to create network modules if not have the snmpconsole due a bad SQL. Fixed.

	* include/api.php: Removed ending line.

2009-10-30  Ramon Novoa  <rnovoa@artica.es>

	* operation/snmpconsole/snmp_view.php: Added a status filter. Fixed
	  deletion confirmation.

2009-10-30  Miguel de Dios <miguel.dedios@artica.es>

	* include/functions_api.php: fix the tiny bug that not set the default
	separator in function "get_tree_agents".
	* godmode/reporting/reporting_builder.php: fix the bug that don't change the
	select box of module.
	Fixes: 2888988

2009-10-30  Miguel de Dios <miguel.dedios@artica.es>

	* DEBIAN/control, DEBIAN/md5sums, DEBIAN/postinst, DEBIAN/prerm,
	DEBIAN/conffiles: sorry, I had the permissions to directory DEBIAN not
	"755" and in the previus commit don't upload.

2009-10-29  Miguel de Dios  <miguel.dedios@artica.es>

	* DEBIAN/postinst: add the same message as RPM in the finish installation.

2009-10-29  Miguel de Dios  <miguel.dedios@artica.es>

	* DEBIAN/control, DEBIAN/md5sums, DEBIAN/postinst: debian base files for
	to make a .deb package.
	* make_deb_package.sh: shell script for make automatically the debs packages
	for standard installation in a Debian Lenny, this script make two packages
	"pandorafms.console_3.0.0.rc1.deb" and "php-xml-rpc_1.5.2-1_all.deb" the
	rest of packages dependencies is in official Debian repositories.
	
2009-10-27  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_api.php: extend the funcionality "returnError".

2009-10-27  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_api.php: add in the function "isInACL" the posibility
	to no filter if set in ACL the character "*".

2009-10-26  Ramon Novoa  <rnovoa@artica.es>

	* extensions/update_manager.php,
	  operation/incidents/incident.php,
	  operation/menu.php,
	  godmode/setup/links.php,
	  godmode/users/configure_user.php,
	  godmode/agentes/planned_downtime.php,
	  godmode/agentes/agent_manager.php,
	  godmode/reporting/reporting_builder.php,
	  godmode/reporting/map_builder.php,
	  godmode/reporting/graphs.php,
	  godmode/reporting/graph_builder.php,
	  godmode/alerts/alert_templates.php,
	  godmode/menu.php: Several ACL related fixes.

2009-10-26  Miguel de Dios  <miguel.dedios@artica.es>

	* pandora_console/godmode/agentes/module_manager_editor.php: fix the
	bug in when create a module manually in open versión of Pandora Console.

2009-10-26  Miguel de Dios  <miguel.dedios@artica.es>

	* pandora_console/include/functions_api.php,
	pandora_console/include/api.php: new feature, API to call by format url for
	values or CSV list of values to connect Pandora with your or other
	aplications. Please see the wiki for more information.
	* pandora_console/include/functions_agents.php,
	pandora_console/godmode/setup/setup.php: add the field ACL IP list for
	access API and change the function "update_config_value" for divide in
	chunks the list of IPs and save in serveral rows (if necesary). And change
	the function "process_config" to paste the chunks of rows in one config
	item. 
	* pandora_console/include/functions_config.php,
	pandora_console/include/functions_db.php: changes for engage the
	API with Pandora Console. The function "get_agent_alerts_simple" add
	parammeter "allModules" return all modules (disabled and enabled). The
	function "get_group_agents" add the parameter "noACL" for engage the API
	call.
	* pandora_console/godmode/agentes/agent_manager.php: fix typo and ident
	source code.

2009-10-26  Miguel de Dios  <miguel.dedios@artica.es>

	* pandora_console/operation/agentes/exportdata.php: fix the export data
	the order of dates were wrong.

2009-10-26  Miguel de Dios  <miguel.dedios@artica.es>

	* pandora_console/godmode/alerts/alert_list.php: fix bug that load ajax
	empty select of actions.
	Fixes: 2885901 
	
2009-10-21  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_ui.php: add param "style" in the function
	"print_agent_name" for set the css style in the agent name return html
	string.
	Add in the "format_alert_row" the features: show icon policy from
	enterprise and css grey disabled alert.
	*include/functions_agents.php: add in the function "get_agent_alerts_simple"
	and the function "get_agent_alerts_compound" the search "filter" param
	posibility "all_enabled".
	* operation/agentes/alerts_status, godmode/alerts/alert_list.php: add the
	show rows of disabled alert, and add the select the "all (enabled)" (by
	default show only alerts enabled). And add the icon of policy in the
	enterprise version.

2009-10-21  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_events.php: tiny fix, the icon for event not validate
	was old file.

2009-10-21  Miguel de Dios  <miguel.dedios@artica.es>

	* operation/search_results.php: fix interval agent in the search result
	list.

2009-10-21  Ramon Novoa  <rnovoa@artica.es>

	* include/functions_custom_graphs.php,
	  operation/snmpconsole/snmp_view.php,
	  operation/events/events.php,
	  godmode/servers/manage_export.php,
	  godmode/servers/manage_recontask.php,
	  godmode/servers/modificar_server.php: ACL related fixes.

2009-10-20  Sancho Lerena <slerena@artica.es>

	RC1 Release 

	* include/help/en/help_ff_threshold.php: Added missing help topic.

	* general/error_perms.php, general/error_install.php: Removed print of 
	version, don't know this variable at this point.

2009-10-20  Miguel de Dios  <miguel.dedios@artica.es>

	* pandora_console/operation/menu.php,
	pandora_console/godmode/reporting/graphs.php,
	pandora_console/godmode/reporting/graph_builder.php: clean debug trace
	functions.
	* pandora_console/godmode/agentes/module_manager.php,
	pandora_console/godmode/alerts/alert_list.php: add the enterprise column
	that it has a icon when the alert or module is make for policy.
	* pandora_console/godmode/agentes/agent_manager.php: fix bug that when
	create a new agent and in the md5 dir has a file with the next name
	d41d8cd98f00b204e9800998ecf8427e, that name is a md5 of empty string. When
	you has this file, the form take as conf file.

2009-10-20  Sancho Lerena <slerena@artica.es>

	* include/help/en/help_alert_macros.php: Updated help. 

	* include/fgraph.php, 
	include/functions_fsgraph.php: Solves a small problem with Flash graphs
	when pandora fms console install dir is "/".

	* include/functions_db.php: Fixed bug #2859919 (Transaction lock timeout).

	* include/error*: Fixed a formatting error and added better error
	message when mysql is up but credentials doesn't work.

2009-10-17  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_custom_graphs.php, operation/reporting/graph_viewer.php,
	godmode/reporting/graphs.php, godmode/reporting/graph_builder.php,
	godmode/menu.php: change the process to create graphs, now you can edit
	all parts of any grahps (edit, delete, add..) and has a list of graphs.
	Start to add ACL in graphs...only pending test.

2009-10-17  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/alerts/alert_list.php: set default action in alert combo box when
	you make a new alert.

2009-10-16  Raul Mateos  <raulofpandora@gmail.com>

	* include/config_process.php: Update build after last changes.

	* godmode/agentes/planned_downtime*.php: Improving integrity of 
	appareance in title.

	* Changelog: Correct some dates.

2009-10-16  Sancho Lerena <slerena@artica.es>

	* include/functions_db.php: Updated description for ACL flags.

2009-10-14  Miguel de Dios  <miguel.dedios@artica.es>

	* include/javascript/pandora_modules.js,
	godmode/agentes/module_manager_editor.php: add the type as parse in the
	module data in the local component, in the ajax (request in php and load
	in js).

2009-10-14  Miguel de Dios  <miguel.dedios@artica.es>

	* operation/agentes/status_monitor.php: fix, show only monitor in unknow
	status when you click in the "Unknown monitors" in tactical agent view.

2009-10-14  Miguel de Dios  <miguel.dedios@artica.es>

	* general/ui/agents_list.php: remove the pass-by-reference in the two calls
	to "render_agent_field" because it are not necesary that in the function
	"render_agent_field" there aren't any change in the $agent param.

	* include/styles/pandora.css: fix minor bug that the path to arrow.png was
	wrong.

2009-10-13  Sancho Lerena <slerena@artica.es>

	* operation/events/events.php: Replaced old icon (red cross) by a 
	white tick.

	* images/tick_off.png: White tick.

	* include/config_process.php: Ooopps, this is RC1 !

	Upps, Tuesday #13, bad day for a last commit before launch RC1 ! :-S
	
	* general/logon_ok.php: Fixed ugly format of table showing last activity 
	(has a too wide table width).
	
	* godmode/admin_access_logs.php: Removed that crappy div fashion code and
	replaced by old and reliable table-based-code :-) to fix the mess with the
	pagination.
	
	* godmode/agentes/configurar_agente.php: fixed problem with postprocess 
	values very bug (like 0.0000000123), parameter is now passed as string 
	because PHP is passing the value as scientific notation and mYsql don't 
	understand that.
	
	* operation/agentes/exportdata.php, 
	* operation/search_results.php, 
	* godmode/reporting/map_builder.php, 
	* godmode/agentes/agent_manager.php,
	* godmode/reporting/graph_builder.php,
	* godmode/agentes/modificar_agente.php: Added non-case search SQL code for make 
	agent searches non case sensitive (nombre COLLATE utf8_general_ci LIKE...)
	
	* module_manager_editor_common.php: More size for postprocess field.
	
	* pandora_console/godmode/alerts/configure_alert_action.php: More width for
	field2 in action form.
	
	* godmode/alerts/configure_alert_command.php: Command field has more width
	and added a help icon for macro subtitutions.
	
	* include/functions_db.php: get_agent_name() now defaults to non uppercase
	the agent names, because 3.0 has case sensitive agent names, and all
	data must show the real Case.
	
	* include/styles/pandora.css: removed uppercase transition for menu items
	and agent tabs.
	
	* operation/agentes/estado_agente.php: Agent is not shown in uppercase 
	anymore.
	
	* operation/agentes/estado_generalagente.php: Agent name and parent name 
	is not in uppercase. OS version shows only last 15 characters or full string
	if strlen() < 15.
	
	* operation/agentes/status_monitor.php: Agent name is not in uppercase
	 anymore.
	 
2009-10-08  Ramon Novoa  <rnovoa@artica.es>

	* include/functions_ui.php,
	  include/functions_incidents.php,
	  operation/incidents/incident_detail.php: Security related fixes.
	  Thanks to ~finalbeta and ~remove from the Global-Evolution Security
	  Group.

2009-10-07  Miguel de Dios  <miguel.dedios@artica.es>

	* pandoradb.sql, extras/pandoradb_migrate_v2.x_to_v3.0.sql: change the field
	"name" in the table "tagente" to binary varchar.
	* include/functions_events.php, operation/events/events.php: add new
	columns, the severity colummn and the validate colummn.
	* images/tag_red.png, images/tick.png,
	images/status_sets/default/severity_informational.png,
	images/status_sets/default/severity_maintenance.png,
	images/status_sets/default/severity_critical.png,
	images/status_sets/default/severity_warning.png,
	images/status_sets/default/severity_normal.png: add the new files to use in
	the events list new colummns.
	* include/help/en/help_eventview.php: change the content in this help for
	show help info of new colummns.
	Comments: I hate the massive and mixed commits...but I have not choice, and
	in this commit there are two parts, the changes in the sql table and the
	changes in the event list colummn. 

2009-10-06  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/reporting/reporting_builder.php: fix in part the bug #2870769,
	exactly the second and third paragraph.

2009-10-06  Miguel de Dios  <miguel.dedios@artica.es>

	* operation/agentes/estado_generalagente.php,
	operation/agentes/estado_agente.php: change the intervals, and use the
	new function "getNextAgentContact" for interval in agent view.

2009-10-06  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_agents.php: add the function "getNextAgentContact"
	that return the percentage of time for next contanct of agent (pass as
	id_agent).

2009-10-06  Miguel de Dios  <miguel.dedios@artica.es>

	* include/fgraph.php: lost in the last commit this file, fix the path for
	javascript.

2009-10-06  Miguel de Dios  <miguel.dedios@artica.es>

	* operation/agentes/stat_win.php: fix the jquery lost in the last commit, fix
	the auto-refresh graph, fix z-index level for calendar and fix the set begin
	data for graph.
	Fixes: 2857280

2009-10-06  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/agentes/agent_manager.php: change the textbox interval for
	"print_extended_select_for_time" widget.
	* include/styles/pandora_minimal.css, operation/agentes/stat_win.php: change
	the period widget for "print_extended_select_for_time" too, and change
	the css for enlarge the float menu for new item.

2009-10-06  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions.php: add "exactly" param to "human_time_description_raw"
	for return the time in time fractions as example "1 day 23:23:2".

2009-10-06  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_html.php: add new function for add extend widget
	"print_extended_select_for_time", that write a two html control a
	select and textbox and scripting for interconet twice components and
	when change the textbox and save add the value in select and when
	change the selected put in textbox.

2009-10-05  Sancho Lerena   <slerena@artica.es>

	* include/fgraph.php: Solved ticks in X label for boolean graphs.

	* operation/agentes/datos_agente.php: Show absolute timestamp and
	data with format_numeric() filter.

	* operation/agentes/estado_monitores.php: Solved typo.


2009-10-01  Miguel de Dios  <miguel.dedios@artica.es>

	* pandora_console/godmode/reporting/reporting_builder.php: change the
	agent select html for ajax autocomplete ajax. Fix in part the bug
	#2870769, exactly 1º paragraph.

2009-10-01  Miguel de Dios  <miguel.dedios@artica.es>

	* pandora_console/godmode/alerts/alert_list.php: fix small bug that throw
	notice message for a array uninitialize.

2009-09-30  Sancho Lerena  <slerena@artica.es>

	* pandora_console.spec: Updated spec for a more complete  uninstall. 

2009-09-29  Miguel de Dios  <miguel.dedios@artica.es>

	* include/javascript/pandora_mod, include/javascript/pandora.js: cleanup
	the sourcecode and add more funcionality to funciton "html_entity_decode".

2009-09-29  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/alerts/configure_alert_template.php:

2009-09-29  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/alerts/configure_alert_template.php: fix small typing bug.

2009-09-28  Sancho Lerena <slerena@artica.es>

	* include/help/en/help_alert_macros.php: Updated macros help

	* pandoradb.sql: Added id_group to talert_action, talert_templates and   
	tplanned_downtime to be able to segregate all pandora functions for
	different groups/users. Need to implement in interface code.

 	* extras/pandoradb_migrate_v2.x_to_v3.0.sql: Updated migration script 
	for latest SQL changes.

2009-09-28  Sancho Lerena  <slerena@artica.es>

	* godmode/agentes/module_manager_editor_common.php: Postprocess field
	is now bigger.

	* godmode/servers/manage_export_form.php: Export servers was incorrectly
	assigned. Fixed.

2009-09-26  Raul Mateos  <raulofpandora@gmail.com>

	* include/config_process.php: Update build after last changes.

	* operation/agentes/alerts_status.php, operation/agentes/sla_view.php: 
	Unify titles improving integrity of appearance.

	* operation/search_results.php: Add style to not found message.

2009-09-25  Miguel de Dios  <miguel.dedios@artica.es>

	* include/javascript/pandora_modules.js: fix the js and add more entities
	for decode.

2009-09-25  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/modules/manage_network_components.php: change the duplicate
	method and delete method, before it's a form with post and now it's a
	link with get.

2009-09-25  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/agentes/configurar_agente.php: add the feature to delete remote
	conf file in the agent configuration.

2009-09-25  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_db.php: fix the delete the conf and md5 files of agent
	to delete, before try delete conf and md5 files with name in uppercase.

2009-09-25  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_html.php: add second parameter for trace a log in server
	file (plain text).

2009-09-25  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/agentes/module_manager.php: add checkbox to multiple delete
	modules in agent managent. And add class style css for disabled modules.
	* include/styles/pandora_minimal.css, include/styles/pandora_red.css,
	include/styles/pandora.css: Add "disabled_module" class for use this style.

2009-09-25  Sancho lerena <slerena@artica.es>

	* pandoradb.sql: SUSE is not very happy with some comments, fixed.

2009-09-24  Sancho Lerena  <slerena@artica.es>

	* pandora_console/operation/agentes/datos_agente.php: Data in dataview 
	must be complete data, not "rounded" data.

2009-09-21  Sancho Lerena  <slerena@artica.es>

	* include/functions_network_components.php,
	godmode/modules/manage_network_components.php: add icon duplicate (and
	necesary code...functions), that it's use for duplicate with easy the local
	components.

2009-09-21  Sancho Lerena  <slerena@artica.es>

	* install.php: Updated  version in the main screen (2.0 > 3.0)

2009-09-18  Sancho Lerena  <slerena@artica.es>

	* pandoradb.sql: more changes to schema :(. Added id_group to custom graph
	
	* pandoradb_data.sql: Updated build number of DB schema,

	* extras/pandoradb_migrate_v2.x_to_v3.0.sql: Added new field for upgrade
	script.

2009-09-18  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_modules.php: change the function "update_agent_module"
	for to add the update only that not delete pending.
	* godmode/agentes/massive_edit_modules.php: fix form to set disabled and
	history data as select box instead checkbox that this had bug because
	it was disabled didn't set false or true in db.
	Fixes: 2860987

2009-09-17  Miguel de Dios  <miguel.dedios@artica.es>

	* pandora_console/godmode/reporting/map_builder.php: add parameter to ajax
	for filter the modules disabled.
	Fixes: 2857374

2009-09-17  Miguel de Dios  <miguel.dedios@artica.es>

	* pandora_console/godmode/reporting/map_builder.php: fix small bug when
	there are'nt any elements in the map and it try loop foearch.

2009-09-17  Miguel de Dios  <miguel.dedios@artica.es>

	* pandora_console/include/functions_events.php: fix the insert event,
	before Pandora console inserted timestamp as string timestamp, now Pandora
	console insert the event with clean and numeric unix timestamp.
	* pandora_console/include/functions_alerts.php: cleanup the sourcecode.
	Fixes: 2854087

2009-09-16  Miguel de Dios  <miguel.dedios@artica.es>

	* operation/agentes/estado_agente.php, godmode/alerts/alert_list.php: fix
	bug when there aren't not defined or attach action in template alert. Before
	it was showing the loading ajax gif, now it show the select box with none.

2009-09-16  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_reporting.php, include/functions_agents.php: cleanup
	sourcecode, and important optimize, because the old querys was very huge
	when the query have consult with all agent ids. That affect when login
	as admin into Pandora Console in systems with few resources (more or
	less 1Gb RAM in a desktop computer).
	* include/functions_db.php: add function "isAllGroups" that test if the
	array pass as parameter is all groups in DB, and return true o false. And
	cleanup source code.
	Fixes: 2824327

2009-09-16  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_db.php: cleanup the source code.

2009-09-16  Miguel de Dios  <miguel.dedios@artica.es>

	* operation/events/events.php: cleanup the source code and add many
	comments

2009-09-15  Miguel de Dios  <miguel.dedios@artica.es>

	* include/javascript/pandora_alerts.js: fix the id for access to jquery
	in the field3.
	* godmode/alerts/configure_alert_action.php: fix the id for access to jquery
	in the event keyup.
	Fixes: 2845692

2009-09-15  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_db.php: add function "get_db_value_sql" for use in
	alert_list.php and in futures uses. This function returns the first column
	and first row from a query pass as parameters.
	* godmode/alerts/alert_list.php: fix bug that you can't add new alerts.
	Fixes: 2859264

2009-09-15  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/agentes/module_manager.php: change the method for test if a
	module is a numeric, and can normalize. Now obtain the ids from modules tipe
	that it's not proc or string, and this ids use to test.
	Fixes: 2849325

2009-09-15  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/reporting/map_builder.php: change (at the moment) the ajax for
	delete elements by html static form with select, because sometimes (when you
	try delete elements with bigger dimensions fail).
	Fixes: 2815063

2009-09-14  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/agentes/modificar_agente.php: fix the pagination when it has
	a search, and fix the pagination and delete element in the page.
	Fixes: 2857846

2009-09-14  Miguel de Dios  <miguel.dedios@artica.es>

	* operation/agentes/exportdata.php, godmode/agentes/agent_manager.php,
	godmode/reporting/map_builder.php, godmode/reporting/graph_builder.php,
	godmode/alerts/alert_list.php: fix the bug that the div of autocomplete
	don't show.
	Fixes: 2856945

2009-09-14  Miguel de Dios  <miguel.dedios@artica.es>

	* include/styles/pandora.css, godmode/alerts/alert_list.php: minor fixes
	for styles warnings.

2009-09-14  Sancho Lerena <slerena@artica.es>

	* general/error_dbconfig.php, 
	  general/error_authconfig.php
	  general/error_emptyconfig.php: Error messages have it's own page.

	* config_process.php, functions_config.php: Removed "inline" error pages, 
	and moved out. Auto_update is not set to ON if not present, just once, and
	this is managed by extension itself.

	* functions.php: Added function "return_graphtype" to calculate graphtype
	depending on id_module_type.

	* styles/install.css: Some style fixes.

	* operation/agentes/estado_monitores.php: Some code cleanup using the new 
	function to get graphtype.

	* operation/agentes/estado_ultimopaquete.php: Some code cleanup with the
	new function to get graphtype and fixed a bug in data timestamp calculation.

	* operation/agentes/status_monitor.php: monitor list now show quick links 
	to graph and show latest data, like the main agent view.

2009-09-11  Miguel de Dios  <miguel.dedios@artica.es>

	* operation/events/events.php: change the order to include and write
	"<script>" in file for don't affect to ajax requests.
	Fixes: 2848523

2009-09-11  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/agentes/configurar_agente.php: fix bug for character "`" in
	name also in description, translate to html entitie.
	Fixes: 2838129

2009-09-11  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/alerts/alert_list.php: fix bug in "Alerts » Manage alerts" when
	you choose the agent the module select did'nt change to enable.

2009-09-09  Sancho Lerena <slerena@artica.es>

	* operation/agentes/estado_monitores.php: Main view now also show last
	data and a quick links to today graphs and data view. This feature has
	been added because was requested by some users, and we think it's really
	useful.
	
2009-09-09  Miguel de Dios  <miguel.dedios@artica.es>

	* operation/agentes/estado_agente.php: add ajax request for actions.
	* godmode/alerts/alert_list.php: change the checkboxs for a ajax
	select for actions. And fix messages when you try make two times the same
	alert.
	Fixes: 2843852

2009-09-09  Miguel de Dios  <miguel.dedios@artica.es>

	* include/javascript/pandora_modules.js: clean code.
	* include/javascript/pandora.js: fix bug in ie6 that it remove the "\n".


2009-09-09  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_network_components.php: add bool param $localComponent
	for to filter the tree when it's a local component.

2009-09-09  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/agentes/massive_edit_modules.php: add the last required field
	(Export) in the form.
	Fixes: 2848951

2009-09-09  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/agentes/massive_edit_modules.php: add more (user and pass for
	wmi or plugin) fields to massive edit.

2009-09-09  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_db.php: add new function "get_all_groups", this function
	return all groups.
	* operation/agentes/ver_agente.php: add another code block for to respond
	new ajax request (new select in form massive_edit_modules.php).
	* godmode/agentes/massive_edit_modules.php: Fix in part bug #2848951 in
	tracker sourceforge, rest things for to do is add more fields.

2009-09-07  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/agentes/massive_edit_modules.php: now the select of
	Module name have got all modules but you can filter in the select of
	Module type. Fix in part bug #2848951 in tracker sourceforge, exactly
	the first paragraph of bug.
	
2009-09-07  Miguel de Dios  <miguel.dedios@artica.es>

	* include/javascript/pandora_modules.js: add events for selects in
	local modules form:
	* godmode/agentes/module_manager_editor.php: add ajax request for local
	modules form.

2009-09-04  Sancho Lerena <slerena@artica.es>

	* pandoradb.sql: Commented server type codes.

	* godmode/servers/manage_export_form.php: Fixed problem assigning 
	export server because wasn't using the new server_type field.

2009-09-04  Raul Mateos  <raulofpandora@gmail.com>

	* include/config_process.php: Update build after last changes.

	* godmode/modules/manage_nc_groups*.php,
	godmode/modules/manage_network_components_form*.php: Unify titles
	improving integrity of appearance.

2009-09-04  Miguel de Dios  <miguel.dedios@artica.es>

	* images/status_sets/default/module_warning_ball.png,
	images/status_sets/default/module_ok_ball.png,
	images/status_sets/default/module_critical_ball.png: change the size of
	image.

2009-09-03  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_menu.php: fix bug that introduce obligatory autorefresh
	and maybe some extension run bad with autorefresh.
	
	*include/functions_reporting.php: add function
	"get_agent_module_info_with_filter", this function is similar more or less
	at "get_agent_module_info" but the function can set SQL filter for
	tune the result.
	*include/functions_ui.php: add more features at function "print_group_icon"
	can set style and only icon not link.
	*images/so_aix_small.png, images/network_small.png, images/so_bsd_small.png,
	images/so_solaris_small.png, images/so_other_small.png, 
	images/so_cisco_small.png, 
	images/status_sets/default/agent_critical_ball.png,
	images/status_sets/default/module_warning_ball.png,
	images/status_sets/default/module_ok_ball.png,
	images/status_sets/default/alert_fired_ball.png,
	images/status_sets/default/agent_warning_ball.png,
	images/status_sets/default/agent_no_data_ball.png,
	images/status_sets/default/alert_disabled_square.png,
	images/status_sets/default/agent_no_monitors_ball.png,
	images/status_sets/default/agent_down_ball.png,
	images/status_sets/default/agent_ok_ball.png,
	images/status_sets/default/alert_disabled_ball.png,
	images/status_sets/default/module_critical_ball.png,
	images/status_sets/default/alert_not_fired_ball.png,
	images/so_win_small.png, images/so_hpux_small.png, images/so_mac_small.png,
	images/so_linux_small.png: add many icons for many purposes and new
	features near in the time.

2009-09-03  Sacnho Lerena <slerena@artica.es>

	* extensions/plugin_registration.php: Added two new parameter
	(pre command and post command to ini parsing).

	* general/header.php: Page looks ugly at 1024x because header width,
	fixed.

2009-09-02  Sancho Lerena <slerena@artica.es>

	* attachment/plugin: New directory to place console uploaded server
	plugins (from the new extension).
	
	* extensions/plugin_registration.php: New extension to upload and register
	using a new format of packaged plugins (.pspz) files who register 
	automatically the plugin and add network components defined to use that 
	plugin. .pspz format are defined in our wiki at 
	http://openideas.info/wiki/index.php?title=Pandora_3.0:New_options_in_development_version

	* include/styles/pandora.css: Adjusted notify text format.

2009-09-02  Ramon Novoa  <rnovoa@artica.es>

	* include/help/en/help_alert_macros.php,
	  include/help/es/help_alert_macros.php: Added to repository. Alert
	  macro help files.

	* godmode/alerts/configure_alert_template.php: Show alert macro help.

2009-09-01  Sancho Lerena <slerena@artica.es>

	* pandoradb_data.sql: Updated version, added two new module groups and 
	some cleanup.
	
	* pandoradb.sql: Added cascade_protection field in tagente and removed 
	old server information from 2.x scheme.
	
	* extras/pandoradb_migrate_v2.x_to_v3.0.sql: Added new fields (trecon_task 
	and tagente) and drop old server information from tagente table.
	
	* configurar_agente.php, agent_manager.php: Added cascade protection 
	GUI checkbox and logic.
	
	* images/help: Added graph directory for help.
	
	* help/en/cascade_protection.php: Added help topic.

2009-08-01  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_menu.php: add lines of code that I forget in the
	previus commits. Now the menu show correctly the extensions.

2009-08-01  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_db.php: add external Module group "Not assigned"
	because there are modules with this module group as agent software.
	* extensions/module_groups.php: fix bug that the count are very wrong. And
	add the link to Full list of monitors with filter.

2009-08-30  Raul Mateos  <raulofpandora@gmail.com>

	* extensions/update_manager/main.php: Change Pandora FMS text to 3.0

	* extensions/update_manager/settings.php, godmode/alerts/extensions.php,
	godmode/alerts/alert_list.php, godmode/servers/plugin.php,
	godmode/db/db_sanity.php, godmode/snmp_console/snmp_alert.php,
	godmode/setup/*.php: Unify titles improving integrity of appearance.

2009-08-29  Raul Mateos  <raulofpandora@gmail.com>

	* include/config_process.php: Update build after last changes

	* operation/events/event_statistics.php, operation/extensions.php,
	godmode/alerts/alert*.php, godmode/alerts/configure_alert_compound.php:
	Unify titles, adding parent and change from h1 to h2.

	* operation/agentes/networkmap.php: Added style when agents not found.

2009-08-28  Miguel de Dios  <miguel.dedios@artica.es>

	* extensions/module_groups, extensions/module_groups/icon_menu.png,
	extensions/module_groups.php: add extension to show table of modules where
	the columns is the modules group and the rows is the agents group. And
	this extension use as example in wiki openideas.	

2009-08-28  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_db.php: add function get_all_model_groups for to
	get all rows of table "tmodule_group".

2009-08-27  Ramon Novoa  <rnovoa@artica.es>

	* include/functions_db.php,
	  godmode/agentes/modificar_agente.php,
	  godmode/agentes/manage_config_remote.php,
	  godmode/agentes/agent_manager.php: Remote config .conf and .md5 files
	  are now stored in different subdirectories.

2009-08-27  Miguel de Dios  <miguel.dedios@artica.es>

	* index.php: add comments for more readable.
	* include/functions_extensions.php, extensions/update_manager.php,
	extensions/hello, extensions/hello/icon.png, extensions/hello.php,
	operation/menu.php, godmode/menu.php: change the mecanic to add extensions
	into menu, now you can add extension with icon and into the submenu in any
	position of submenu. Change the example "hello" for to show as be.

2009-08-26  Miguel de Dios  <miguel.dedios@artica.es>

	* operation/extensions.php, godmode/extensions.php: fix hidden bug that show
	a warning when try to show the extension that not is of operation or the
	other. And add feature can load invible (in menu) extensions.

2009-08-26  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_extensions.php: add the small description in the
	load_extensions function for phpdoc.

2009-08-26  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_menu.php, include/functions_html.php,
	include/functions_events.php, include/functions_messages.php,
	include/functions_modules.php, include/functions_exportserver.php,
	include/functions_reporting.php, include/functions_filemanager.php,
	include/pchart_graph.php, include/pandora_graph.php, include/auth/ldap.php,
	include/auth/mysql.php, include/config.inc.php,
	include/functions_networkmap.php, include/functions_servers.php,
	include/functions_network_profiles.php, include/gettext.php,
	include/functions_network_components.php, include/functions_visual_map.php,
	include/fgraph2.php, include/Image/image_functions.php,
	include/functions_config.php, include/config_process.php,
	include/functions_ui.php, include/htmlawed.php,
	include/functions_custom_graphs.php, include/fgraph.php,
	include/functions_incidents.php, include/functions.php,
	include/functions_agents.php, include/functions_db.php,
	include/functions_themes.php, include/streams.php,
	include/functions_fsgraph.php, include/functions_alerts.php,
	include/functions_reports.php, include/functions_extensions.php,
	include/functions_ui_renders.php: change or add the subpackage in phpdoc
	comment blocks for to organize more the result phpdoc files. Start to
	document undocument functions. 

2009-08-25  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_menu.php, include/functions_html.php,
	include/functions_events.php, include/functions_messages.php,
	include/functions_modules.php, include/functions_exportserver.php,
	include/functions_reporting.php, include/functions_filemanager.php,
	include/pchart_graph.php, include/pandora_graph.php, include/auth/dev.php,
	include/auth/ldap.php, include/auth/mysql.php, include/config.inc.php,
	include/functions_networkmap.php, include/functions_servers.php,
	include/FusionCharts/FusionCharts_Gen.php,
	include/FusionCharts/FusionCharts.php,
	include/functions_network_profiles.php, include/gettext.php,
	include/functions_network_components.php, include/functions_visual_map.php,
	include/fgraph2.php, include/Image/image_functions.php,
	include/functions_config.php, include/help/en/help_plugin_parameters.php,
	include/help/en/help_snmpcommunity.php, include/help/en/help_wmiquery.php,
	include/help/en/help_postprocess.php,
	include/help/en/help_prediction_source_module.php,
	include/help/en/help_date_format.php, include/help/en/help_recontask.php,
	include/help/en/help_alert-matches.php, include/help/en/help_tcp_send.php,
	include/help/en/help_wmifield.php, include/help/en/help_duplicateconfig.php,
	include/help/en/help_agent_status.php,
	include/help/en/help_manage_alerts.php, include/help/en/help_wmikey.php,
	include/help/en/help_alert_type.php,
	include/help/en/help_network_component.php,
	include/help/en/help_time_stamp-comparation.php,
	include/help/en/help_eventview.php, include/help/en/help_timesource.php,
	include/help/en/help_alert_validation.php,
	include/help/en/help_map_builder.php,
	include/help/en/help_alert_recovery.php,
	include/help/en/help_module_type.php,
	include/help/en/help_planned_downtime.php,
	include/help/en/help_serverlag.php, include/help/en/help_alerts.php,
	include/help/en/help_snmpwalk.php,
	include/help/en/help_module_definition.php,
	include/help/en/help_plugin_definition.php,
	include/help/en/help_wminamespace.php, include/help/en/help_snmpoid.php
	include/help/en/help_manageconfig.php,
	include/help/es/help_alert_validation.php,
	include/help/es/help_plugin_parameters.php,
	include/help/es/help_snmpcommunity.php, include/help/es/help_wmiquery.php,
	include/help/es/help_map_builder.php, include/help/es/help_postprocess.php,
	include/help/es/help_date_format.php,
	include/help/es/help_alert_recovery.php,
	include/help/es/help_prediction_source_module.php,
	include/help/es/help_module_type.php,
	include/help/es/help_planned_downtime.php,
	include/help/es/help_alert-matches.php, include/help/es/help_recontask.php,
	include/help/es/help_alerts.php, include/help/es/help_serverlag.php,
	include/help/es/help_snmpwalk.php,
	include/help/es/help_module_definition.php,
	include/help/es/help_tcp_send.php, include/help/es/help_duplicateconfig.php,
	include/help/es/help_wmifield.php, include/help/es/help_manage_alerts.php,
	include/help/es/help_wmikey.php, include/help/es/help_plugin_definition.php,
	include/help/es/help_alert_type.php, include/help/es/help_snmpoid.php,
	include/help/es/help_wminamespace.php,
	include/help/es/help_network_component.php,
	include/help/es/help_time_stamp-comparation.php,
	include/help/es/help_manageconfig.php, include/help/es/help_timesource.php,
	include/config_process.php, include/functions_ui.php, include/htmlawed.php,
	include/functions_custom_graphs.php, include/fgraph.php,
	include/functions_incidents.php, include/functions.php,
	include/functions_agents.php, include/functions_db.php,
	include/functions_themes.php, include/streams.php,
	include/functions_fsgraph.php, include/functions_alerts.php,
	include/functions_reports.php, include/functions_extensions.php,
	include/functions_ui_renders.php: change comments blocks for delete the
	warnings to construct phpDoc Files, give a struct and order in the
	phpDoc files.

2009-08-24  Sancho Lerena <slerena@artica.es>

	* operation/agentes/alerts_status.php: Show description instead name,
	and help icon better placed.

2009-08-24  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/reporting/map_builder.php,
	pandora_console/include/functions_visual_map.php: Fixed bug in visual map,
	in edit and view, this bug relate with add agent graphic element without
	module defined.
	
2009-08-20  Sancho Lerena  <slerena@artica.es>

	* godmode/agentes/configurar_agente.php: Fixed bug with agent address 
	edition (return 0 when no address was supplied).

	* godmode/modules/manage_network_components.php: Fixed typo.

2009-08-19  Sancho Lerena  <slerena@artica.es>

	* pandoradb.sql: A missing table was necessary to be added to allow recon
	to make scans depending on TCP ports profile (recon_ports field).

	* manage_recontask.php, manage_recontask_form.php: Added recon_port field
	to recon management system. Added some links and some aditional formatting.
	
	* include/funcions_db.php: Improved format_array_to_where_clause_sql()
	to accept condicionals like > and < in the array field.
	
	* operation/servers/view_server_detail.php: Quick link to recontask server
	admin.

2009-08-18  Miguel de Dios  <miguel.dedios@artica.es>
	
	* install.php: change the style of "div#wizard", "div#install_img" and add
	the div clear for grow the box.
	Fixes: #2815089

2009-08-19  Manuel Arostegui <manuel@todo-linux.com>

	* pandora_console.spec: Changed email.

2009-08-18  Sancho Lerena  <slerena@artica.es>

	* pandora_console.spec: A lot of changes, included new dependencies (thinking
	in SUSE 11), and a lot of corrected stuff. Now works 100%.

	* pandoradb_data.sql: Minor updates, version, new SMS alert, new SO type 
	(octopus).


2009-08-18  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_config.php: add to save the attachment_store config
	value.


2009-08-18  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/reporting/reporting_builder.php: add filter parameter in ajax that
	pick the modules for select in form. The parameter is filter that don't
	search rows are pending to delete.
	Fixes: 2824695

2009-08-18  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/agentes/agent_template.php: refine the query to extract modules
	from DB, now the query don't search modules are pending to delete.
	Fixes: 2826447

2009-08-18  Miguel de Dios  <miguel.dedios@artica.es>

	* ChangeLog: add comments of last commits, I forget update file.

	* godmode/reporting/map_builder.php: add check in javascript for form for to
	catch the try to save a item without name and withnout image.
	Fixes: 2815062

2009-08-17  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_db.php, godmode/alerts/configure_alert_compound.php:
	add function "get_agent_module_id" for optain id_agent from id_agent_module.
	And add new column in correlation condition that containts the name (and
	link) of agent. And change ajax of page for show this column in the search
	form in the bottom.
	Fixes: 2838000

2009-08-17  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/reporting/map_builder.php: totaly fix the bug of map builder, now
	you can use new ajax input to search the agent for item map.
	Fixes: 2838013 

2009-08-17  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/reporting/map_builder.php: partially fix the bug ID: 2838013, now
	you can move the items in the map and Pandora console save the position. But
	the edition of item data is'nt working although I am working in it.

2009-08-14  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/agentes/agent_manager.php, godmode/agentes/massive_config.php,
	godmode/alerts/alert_list.php, godmode/reporting/graph_builder.php,
	godmode/reporting/map_builder.php, include/functions_db.php,
	include/functions_html.php, operation/agentes/exportdata.php,
	operation/agentes/ver_agente.php: very changes for add input text
	autocomplete with ajax jquery for agent input in several forms. Add to form
	this exportdata, graph_builder, map_builder.

2009-08-14  Miguel de Dios  <miguel.dedios@artica.es>

	* index.php: add another ob_start for html result is with good order.
	
2009-08-14  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_html.php: fixes hidden bug in attribute array list,
	for input text.

2009-08-12  Jorge Gonzalez  <jorgegonz@artica.es>

	* include/languages/es.po, include/languages/es.mo: Updated Spanish
	translation

2009-08-12  Jorge Gonzalez  <jorgegonz@artica.es>

	* include/languages/es.po, include/languages/es.mo: Updated Spanish
	translation

2009-08-11  Sancho Lerena  <slerena@artica.es>

	* pandora_console_install: New installer for console.
	
	* pandora_console.spec, install.php: minimal fixes.
	
	* pandora.css: Color change for table dual colors.
	
	* events.php: Added help and removed legend from table bottom.
	
	* include/help/en/help_eventview.php:  Help added.

2009-08-11  Miguel de Dios  <miguel.dedios@artica.es>

	* general/header.php: change the short php tags for standar php tags.

2009-08-11  Miguel de Dios <miguel.dedios@artica.es>

	* godmode/servers/manage_recontask_form.php,
	godmode/servers/manage_recontask.php, include/help/en/help_recontask.php,
	operation/servers/view_server_detail.php: change strings for more easy
	understand.

2009-08-11  Miguel de Dios <miguel.dedios@artica.es>

	* godmode/agentes/configurar_agente.php: change string for more easy
	understand.

2009-08-07  Miguel de Dios <miguel.dedios@artica.es>

	* operation/visual_console/index.php,
	pandora_console/operation/users/user.php, operation/incidents/incident.php,
	operation/agentes/status_monitor.php, operation/agentes/estado_agente.php,
	operation/agentes/alerts_status.php, include/styles/pandora.css,
	include/styles/pandora_black.css,include/styles/pandora_blackmetal.css,
	include/styles/pandora_width.css, include/styles/pandora_minimal.css,
	include/styles/pandora_red.css: the table list now has rows with alternate
	colours for easy see the data.
	
2009-08-10  Jorge Gonzalez  <jorge.gonzalez@artica.es>

	* include/languages/es.po, include/languages/es.mo: Updated Spanish
	* translation

	*  include/languages/index.pot: Updated PO template.

	* operation/search_results.php: Modified a i18n string.

2009-08-07  Miguel de Dios <miguel.dedios@artica.es>

	* include/functions_html.php: add options at html widgets for disable.

2009-08-07  Miguel de Dios <miguel.dedios@artica.es>

	* index.php: Fix error with writting buffer after ob_start and before
	Pandora console don't change the http header.
	Fixes: 2833710 

2009-08-05  Sancho Lerena <slerena@artica.es>

	* include/styles/pandora.css: Adjusted head and removed small heigh 
	problems in some tabs (agent and search sections).
		
	* include/javascript/pandora.js: winopeng call for module graph is now 
	widther.
	
	* index.php: Now defined a default search for agents().
	
	* general/header.php: Redesign of header.
	
	* general/pandora_help.php: Some visual changes in background and footer.
	
	* godmode/modificar_agente.php: Create button replaced.
	
	* fgraph.php: Fixed the string graphs and fixed a lot other issues.
	
	* include/functions_visual_map.php: Module images are shown in pure mode 
	(without title) and adding the title defined by user in map definition.
	
	* include/pandora_graph.php: Added default colors (up to 9) for combined
	graphs.

	* include/pchart_graph.php: Created a new method to render datetime
	data in X axis legend. Reformatted combined and static graph to remove
	transparent background, title and other issues reported. Also combined
	stack graph now works adding data from one series to another. 
	
	* include/help/en/help_agent_status.php: new help file for agent status.
	
	* include/pChart/pChart.class: Added new method for format datetime in two 
	lines with full date and time information.
	
	* operation/search_results.php: reformatted tabs.
	
	* operation/agentes/estado_agente.php: removed status information legend 
	and added a help icon.
	
	* godmode/reporting/graph_builder.php,
	  operation/reporting/graph_viewer.php: Added new graph mode: stacked line.
	
2009-07-29  Miguel de Dios  <miguel.dedios@artica.es>

	* operation/search_results.php: fix a query for search alerts. And changed
	the visual result (old it was simple list items) to a detailed table for all
	elements to search, also added pagination options for results. And make
	some style in tabs (added images).

2009-07-29  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/alerts/alert_list.php: clear and coment some parts of source
	code. Fix bug that send more data from other forms (I forget close
	the tag form). And change the combo box of agents to input text rich with
	ajax for source code is more light and I give more usability to form. 
	
2009-07-28  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/alerts/alert_list.php, include/functions_agents.php: changes
	for to add filter (and html form to set filter) in the list of alerts. 
	* include/styles/pandora.css, include/functions_html.php: minor changes to
	fix minor bug css and clean the source code.
	
2009-07-27  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_visual_map.php: changes for support maps as widget in
	dashboard of Pandora Enterprise.
	* include/Image/image_functions.php: script content functions and code
	for manage image thumbnails and resize images.

2009-07-24  Miguel de Dios  <miguel.dedios@artica.es>

	* index.php: fix mistake, add lost lines between my "dirty installation" and
	"clean project". 
	Fixes: 2826478

2009-07-23  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/modules/manage_network_components_form.php: add comments for
	clarify mecanics of code, and add default group when choose make new
	WMI.
	* godmode/modules/manage_network_components_form_wmi.php: fix the bug,
	change files to add the html table, it was a probably typing mistake.
	Fixes: 2808211

2009-07-22  Miguel de Dios  <miguel.dedios@artica.es>

	* operation/agentes/tactical.php: fix bug, and now show another column
	with the type of server.
	Fixes: 2825426

2009-07-22  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/modules/manage_network_templates_form.php: fix bug that the column
	group had incorrect content.
	Fixes: 2815118

2009-07-22  Miguel de Dios  <miguel.dedios@artica.es>

	* general/header.php, images/lupa_15x15.png, include/functions_html.php
	include/styles/pandora.css, operation/search_results.php: add global
	search bar in the header for searching Agents, Maps, Reports, Graphs,
	Alerts and Users...if you user have access level...

2009-07-20  Miguel de Dios  <miguel.dedios@artica.es>

	* operation/agentes/tactical.php, operation/agentes/status_monitor.php: add
	link to list monitors "not init".
	Fixes: 2815098

2009-07-20  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_reporting.php: fix bad merge with local installation.
	
2009-07-20  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_reporting.php: fix bug the any number of modules in
	unknown status for any agent paint with its colour in the list of
	agents. Now for the agent has a box colour with color for unknown, it must
	has all modules in unknown status.
	Fixes: 2805029

2009-07-17  Miguel de Dios  <miguel.dedios@artica.es>

	* operation/agentes/status_monitor.php: fix bug default group in form.

2009-07-17  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/agentes/modificar_agente.php: fix bug that appear two times the
	group "All".
	Fixes: #2822999

2009-07-16  Ramon Novoa  <rnovoa@artica.es>

	* include/functions_networkmap.php: Added to repository. Functions used
	  to draw network maps.

	* operation/agentes/networkmap.php: Moved network map generation
	  functions to functions_networkmap.php.

2009-07-16  Pablo de la Concepción <pablo.concepcion@artica.es>

	*  include/functions_agents.php: fixed repeated empty test and safe_int call

2009-07-16  Jorge Gonzalez  <jorgegonz@atica.es>

	* godmode/servers/manage_recontask_form.php: fixed wrong group
	  assignation.

2009-07-16  Jorge Gonzalez  <jorgegonz@artica.es>

	* godmode/servers/manage_recontask_form.php: fixed wrong period
	  strings.

	* include/languages/es.po, include/languages/es.mo: Updated Spanish
	translation.

	* include/languages/index.pot: Updated po template.

2009-07-15  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_modules.php: fix bug that the function
	copy_agent_module_to_agent didn't copy the modules what was previus
	delete.

2009-07-16  Jorge Gonzalez  <jorgegonz@artica.es>

	* godmode/servers/manage_recontask_form.php: Changed sql query to
	  remove "All" os from the recon task selection form.

2009-07-15  Miguel de Dios  <miguel.dedios@artica.es>

	* Changelog: date error in last change.

2009-07-15  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/db/db_sanity.php: remove "cambio" column in query, this column use
	in old version of pandora (read pandoradb_migrate_v2.x_to_v3.0.sql line 20).
	Fixes: #2810974

2009-07-15  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/agentes/manage_config_remote.php: fix name of colums in query.

2009-07-09  Manuel Arostegui <manuel@todo-linux.com>

	* pandora_console.spec: Removed unnecessary dependency.

2009-07-08  Jorge Gonzalez  <jorgegonz@artica.es>

	* include/languages/es.po, include/languages/es.mo: Updated Spanish
	* translation.

	* include/languages/index.pot: Updated po template.

2009-07-08  Ramon Novoa  <rnovoa@artica.es>

	* include/functions_fsgraph.php: Use the user defined date format in
	  module and combined charts.

	* operation/agentes/estado_ultimopaquete.php: Fixed the chart URL.

	* operation/agentes/stat_win.php: Show the agent name in the window
	  title.

2009-07-06  Jorge Gonzalez  <jorgegonz@artica.es>

	* include/languages/es.po, include/languages/es.mo: Updated Spanish
	* translation.

	* include/languages/index.pot: Updated po template.

2009-07-06  Jorge Gonzalez  <jorgegonz@artica.es>

	* include/languages/es.po, include/languages/es.mo: Updated Spanish
	* translation.

	* include/languages/index.pot: Updated po template.

2009-07-01  Sancho Lerena  <slerena@artica.es>

	* include/functions_config.php: Fixed setup problem for fontpath token.
	
	* godmode/setup/setup.php, setup_visuals.php: Moved some items to other
	file (fontpath, flashgraph and agent graph options).
	
	* godmode/db/db_main.php: Bigger image.
	
2009-07-01  Ramon Novoa  <rnovoa@artica.es>

	* include/functions_custom_graphs.php, include/fgraph.php,
	  include/functions_fsgraph.php: Small fixes, mostly path related.

2009-07-01  Jorge Gonzalez  <jorgegonz@artica.es>

	* include/languages/es.po, include/languages/es.mo: Updated Spanish
	* translation.

	* include/languages/index.pot: Updated po template.

	* godmode/reporting/map_builder.php,
	* godmode/reporting/graph_builder.php: Updated translatable period
	* strings to reduce its number and make them more compliant with the
	* rest.

2009-06-30  Jorge Gonzalez  <jorgegonz@artica.es>

	* include/languages/es.po, include/languages/es.mo: Updated Spanish
	* translation.

	* include/languages/index.pot: Updated po template.

	* operation/agentes/estado_generalagente.php: Changed a string to
	* reuse previous translation.

2009-06-30  Ramon Novoa  <rnovoa@artica.es>

	* include/fgraph.php: Limit the number of agents in modules per agent
	  charts.

2009-06-30  Ramon Novoa  <rnovoa@artica.es>

	* include/functions_fsgraph.php: Truncate long names for flash charts.

2009-06-30  Ramon Novoa  <rnovoa@artica.es>

	* include/fgraph.php: Added support for mixing flash/image charts.
	
	* include/functions_fsgraph.php: Use user defined colors in module
	  charts.

2009-06-30  Ramon Novoa  <rnovoa@artica.es>

	* include/FusionCharts,
	  include/FusionCharts/FCF_Column3D.swf,
	  include/FusionCharts/FCF_Pie3D.swf,
	  include/FusionCharts/FusionCharts.js,
	  include/FusionCharts/FCF_MSLine.swf,
	  include/FusionCharts/FusionCharts_Gen.php,
	  include/FusionCharts/FCF_StackedArea2D.swf,
	  include/FusionCharts/FCF_Area2D.swf,
	  include/FusionCharts/FCF_MSArea2D.swf,
	  include/FusionCharts/FusionCharts.php: Added to repository. Fusion
	  Charts Free.

	* include/functions_fsgraph.php: Added to repository. Fusion Charts
	  chart generation functions for Pandora FMS.
	
	* include/pchart_graph.php, include/pandora_graph.php,
	  include/fgraph2.php, include/pChart, include/Image,
	  include/fgraph.php: Moved from reporting to include.

	* operation/agentes/stat_win.php: Moved from reporting to
	  operation/agentes.

	* reporting: Deleted from repository.

	* general/logon_ok.php, godmode/setup/setup.php,
	  godmode/admin_access_logs.php, godmode/db/db_main.php,
	  godmode/db/db_info.php, godmode/db/db_purge.php,
	  godmode/reporting/graph_builder.php,
	  operation/reporting/reporting_xml.php,
	  operation/reporting/reporting_viewer.php,
	  operation/servers/view_server.php,
	  operation/servers/view_server_detail.php,
	  operation/incidents/incident_statistics.php
	  operation/users/user_statistics.php,
	  operation/events/event_statistics.php, operation/events/events.php,
	  operation/agentes/estado_ultimopaquete.php,
	  operation/agentes/estado_generalagente.php,
	  operation/agentes/tactical.php, include/functions_config.php,
	  include/functions_custom_graphs.php,
	  include/functions_visual_map.php,
	  include/functions_reporting.php: Added flash charts.


2009-06-29  Jorge Gonzalez  <jorgegonz@artica.es>

	* include/languages/index.pot: Updated po template.

	* include/languages/cs.po, include/languages/pt_BR.po,
	include/languages/nl.mo, include/languages/pl.mo,
	include/languages/it.mo, include/languages/ko.po,
	include/languages/sl.mo, include/languages/sk.po,
	include/languages/uk.po, include/languages/ro.po,
	include/languages/pt.mo, include/languages/ast.mo,
	include/languages/bn.po, include/languages/ar.po,
	include/languages/cs.mo, include/languages/pt_BR.mo,
	include/languages/ko.mo, include/languages/fr.po,
	include/languages/sk.mo, include/languages/uk.mo,
	include/languages/ro.mo, include/languages/ca.po,
	include/languages/da.po, include/languages/tr.po,
	include/languages/sv.po, include/languages/de.po,
	include/languages/ja.po, include/languages/zh_TW.po,
	include/languages/bn.mo, include/languages/he.po,
	include/languages/fi.po, include/languages/ar.mo,
	include/languages/hi.po, include/languages/zh_CN.po,
	include/languages/fr.mo, include/languages/te.po,
	include/languages/eu.po, include/languages/hu.po,
	include/languages/ca.mo, include/languages/da.mo,
	include/languages/tr.mo, include/languages/de.mo,
	include/languages/sv.mo, include/languages/ru.po,
	include/languages/ja.mo, include/languages/zh_TW.mo,
	include/languages/he.mo, include/languages/fi.mo,
	include/languages/hi.mo, include/languages/zh_CN.mo,
	include/languages/el.po, include/languages/gl.po,
	include/languages/te.mo, include/languages/eu.mo,
	include/languages/nl.po, include/languages/hu.mo,
	include/languages/pl.po, include/languages/it.po,
	include/languages/sl.po, include/languages/pt.po,
	include/languages/ru.mo, include/languages/ast.po,
	include/languages/el.mo, include/languages/gl.mo: Updated
	translations thanks to all contributors from Rosetta.

2009-06-29  Miguel de Dios  <miguel.dedios@artica.es>

	* reporting/pChart/pData.class: fix lost var ($url) in
	function grafico_eventos_grupo and at constants.
	* reporting/fgraph.php: fix, it's assumed that the arrays was numerical
	indexes.
	Fixes: #2805807

2009-06-25  Manuel Arostegui <marostegui@artica.es>

	* pandora_console.spec: RPM spec file for 3.0 version.
	Packages built succesfully for: Centos5, Fedora 11, 
	RHEL5, SLE9, SLE10, SLE11, OpenSuse 10.3, OpenSuse 11, 
	OpenSuse 11, OpenSuse Factory. We still need to check
	the exactly names in Suse distros for dependencies.

2009-06-25  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_db.php: optimice the search agent in DB, quit option
	to search for description.

2009-06-25  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/agentes/massive_delete_agents.php,
	godmode/agentes/massive_delete_agents.php: changes for clarity
	and maintenance code.

2009-06-25  Jorge Gonzalez  <jorgegonz@aartica.es>

	* include/languages/es.po, include/languages/es.mo: Updated Spanish
	* translation.

	* include/languages/index.pot: Updated po template.

2009-06-25  Jorge Gonzalez  <jorgegonz@artica.es>

	* include/functions_db.php, operation/snmpconsole/snmp_view.php,
	* operation/agentes/status_monitor.php,
	* operation/agentes/estado_grupo.php,
	* operation/agentes/estado_ultimopaquete.php,
	* operation/agentes/alerts_status.php,
	* operation/agentes/estado_generalagente.php,
	* operation/agentes/estado_agente.php,
	* operation/agentes/exportdata.php,
	* operation/agentes/estado_monitores.php,
	* operation/agentes/tactical.php, operation/agentes/networkmap.php,
	* operation/reporting/reporting_viewer.php, reporting/fgraph.php,
	* general/pandora_help.php, general/logoff.php,
	* general/logon_failed.php, godmode/setup/setup.php,
	* godmode/setup/links.php, godmode/snmpconsole/snmp_alert.php,
	* godmode/profiles/profile_list.php, godmode/db/db_main.php,
	* godmode/db/db_audit.php, godmode/db/db_refine.php,
	* godmode/db/db_info.php, godmode/db/db_event.php,
	* godmode/db/db_purge.php,
	* godmode/agentes/massive_delete_agents.php,
	* godmode/agentes/massive_config.php,
	* godmode/agentes/massive_delete_alerts.php,
	* godmode/agentes/massive_edit_modules.php,
	* godmode/agentes/module_manager.php,
	* godmode/agentes/massive_delete_modules.php,
	* godmode/agentes/configurar_agente.php,
	* godmode/agentes/planned_downtime.php,
	* godmode/modules/manage_network_templates_form.php,
	* godmode/modules/manage_network_components.php,
	* godmode/reporting/map_builder.php,
	* godmode/reporting/map_builder_wizard.php,
	* godmode/servers/manage_export.php,
	* godmode/servers/manage_export_form.php,
	* godmode/servers/plugin.php, godmode/servers/modificar_server.php,
	* godmode/servers/manage_recontask_form.php,
	* godmode/alerts/alert_compounds.php, godmode/menu.php: Some
	* translatable strings reused to simplify i18n work.

	* include/languages/es.po, include/languages/es.mo: Updated Spanish
	* translation.

	* include/languages/index.pot: Updated po template.

2009-06-24  Sancho Lerena  <slerena@artica.es>

	* operation/agentes/estado_generalagente.php, 
	godmode/setup/setup.php: Added support for new option for have enabled or 
	disabled the agent access data/graphs.

	* include/functions_db.php: Modified the agent_delete function to don't delete
	all data, just delete agent and mark modules for deletion. This increase a lot
	the massive agent deletion. This fixes bug #2809015. 

	* include/config_process.php: Updated version/build. 

	* include/functions_config.php: Added autoupdate to config check for
	non-existant values. Added new agentaccess config token.

2009-06-24  Miguel de Dios  <miguel.dedios@artica.es>

	* include/styles/pandora.css: fix sintaxis error in comment.

2009-06-24  Miguel de Dios  <miguel.dedios@artica.es>

	* operation/agentes/estado_monitores.php: add organization list of monitors, add
	row in table with title the monitor group.
	* include/styles/pandora.css: add new class for cell used monitor group title
	in the list of monitors in estado_monitores.php.
	Fixes: #2805001

2009-06-24  Jorge Gonzalez  <jorgegonz@artica.es>

	* include/functions_reporting.php, include/functions_ui.php,
	* operation/incidents/incident.php,
	* operation/snmpconsole/snmp_view.php, operation/events/events.php,
	* operation/agentes/tactical.php, godmode/users/user_list.php,
	* godmode/users/configure_user.php,
	* godmode/profiles/profile_list.php,
	* godmode/agentes/module_manager_editor_wmi.php,
	* godmode/agentes/massive_edit_modules.php,
	* godmode/agentes/manage_config_remote.php,
	* godmode/modules/manage_network_components_form_network.php,
	* godmode/modules/manage_network_components_form_wmi.php,
	* godmode/servers/manage_export.php,
	* godmode/servers/manage_recontask.php,
	* godmode/servers/modificar_server.php: Some translatable strings
	* reused to simplify i18n work.

	* include/languages/es.po, include/languages/es.mo: Updated Spanish
	* translation.

	* include/languages/index.pot: Updated po template.
	
2009-06-24  Miguel de Dios <miguel.dedios@artica.es>

	* pandora_console/godmode/groups/group_list.php: fix group without image
	don't print image tag. 
	Fixes: #2810299
	
2009-06-23  Miguel de Dios  <miguel.dedios@artica.es>

	* operation/incidents/incident.php: fix parameters to pass function
	pagination. 
	Fixes: #2805804
	
2009-06-23  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/agentes/modificar_agente.php: add another "create agent" before
	the list for more usability
	
2009-06-23  Miguel de Dios  <miguel.dedios@artica.es>

	* include/styles/menu.css: Fixed style for elements menu
	that it have large text.
	Fixes: #2808843

2009-06-22  Manuel Arostegui  <marostegui@artica.es>

	* include/functions_filemanager.php: Fixed ugly warning, the 
	languanges path was incorrect.

2009-06-22  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/admin_access_logs.php: Fix fall the table of logs to
	bottom page.
	Fixes: #2805812

2009-06-22  Miguel de Dios  <miguel.dedios@artica.es>

	* Fix the error introduced by Miguel de Dios in 2009-06-18, The error
	was add repeated rows with language_code in DB.

2009-06-19 Jorge Gonzlaez  <jorgegonz@artica.es>

	* AUTHORS: Fixed typo.

2009-06-18  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_config.php: Fix save change language in setup.
	Fixes: #2777463

2009-06-10  Esteban Sanchez  <estebans@artica.es>

	* operation/events/events.php: Removed all events on select elements.
	Fixes #2797203.

2009-06-10  Esteban Sanchez  <estebans@artica.es>

	* include/functions_reporting.php: Return false if no data were found
	on get_agentmodule_sla(). Fixes #2777541

	* operation/reporting/reporting_viewer.php: Style correction.

2009-06-10  Esteban Sanchez  <estebans@artica.es>

	* godmode/modules/manage_network_templates_form.php: Applied
	Zdenek Janda's patch. Fixes #2802589

2009-06-10  Esteban Sanchez  <estebans@artica.es>

	* operation/agentes/networkmap.php: Avoids a warning when no nodes
	were found on generate_dot(). Shows a message when no nodes were
	found. Fixes #2786516. 

	* operation/menu.php: Changed label of network maps.

2009-06-09  Esteban Sanchez  <estebans@artica.es>

	* include/javascript/pandora_modules.js: Fixed variable name.

2009-06-09  Esteban Sanchez  <estebans@artica.es>

	* godmode/agentes/agent_manager.php: Fixed string filter when
	searching agents. Avoids a PHP notice when none found

	* godmode/agentes/configurar_agente.php: Solved a mess with variable
	names.

	* godmode/agentes/module_manager_editor_prediction.php: Improved
	the prediction module selection, adding a filter for agents and
	module. Fixes #2707907

	* include/javascript/jquery.pandora.controls.js: Returns
	whenever callbackBefore returns false.

	* include/javascript/pandora_modules.js: Check for module selection
	when creating a prediction one.

	* include/styles/pandora.css: Added style to prediction module
	selection.

	* godmode/alerts/alert_list.php: callbackBefore on pandora.controls
	elements must return true now.

	* godmode/agentes/module_manager_editor_common.php: Added moduletype
	hidden input to be used in javascript.

	* godmode/agentes/module_manager_editor.php: Use pandora.controls and
	added a string for javascript.

2009-06-09  Esteban Sanchez  <estebans@artica.es>

	* godmode/reporting/reporting_builder.php: Fixed a couple of typo
	errors when adding a SLA report.

2009-06-09  Esteban Sanchez  <estebans@artica.es>

	* include/functions_visual_map.php: Removed debug that causes maps to
	work strangely.

2009-06-09  Esteban Sanchez  <estebans@artica.es>

	* godmode/agentes/agent_manager.php: Added autocomplete support
	to parent selection, which is no a dropdown anymore. Partial fix for
	#2707924.

	* godmode/agentes/configurar_agente.php: Parent data is now the
	agent name, not the agent id.

	* include/javascript/jquery.ajaxqueue.js,
	include/javascript/jquery.autocomplete.js,
	include/javascript/jquery.bgiframe.js: Added to repository.
	Autocompleter jQuery plugin.

	* include/styles/pandora.css: Added autocomplete styles.

	* include/functions_db.php: Added more support for search
	parameter to get_group_agents() so you can pass a filter array now.

	* operation/agentes/estado_agente.php: Style correction.

2009-06-09  Esteban Sanchez  <estebans@artica.es>

	* include/styles/help.css, include/styles/pandora_minimal.css,
	include/styles/ie.css, include/styles/menu.css,
	include/styles/install.css, include/styles/pandora_red.css,
	include/styles/pandora_black.css, include/styles/pandora_width.css:
	Removed an extra close comment character that causes broken CSS.

2009-06-08  Sancho Lerena <slerena@artica.es>

	* Massive header update.

2009-06-08  Esteban Sanchez  <estebans@artica.es>

	* include/functions.php: Added encoding checking on safe_input().
	Fixes #2797399.

2009-06-08  Esteban Sanchez  <estebans@artica.es>

	* godmode/reporting/reporting_builder.php: Replaced SQL with pandora
	database functions. Do not order period values. Some style to delete
	icons.

	* include/functions_reports.php: Tiny fix on update_report() when
	checking if report exists. Fixes #2791058.

2009-06-08  Esteban Sanchez  <estebans@artica.es>

	* godmode/setup/file_manager.php: Many fixes to the interface. Removed
	the dropdown menu when uploading a file, it now uploads it to the
	current dir, which is more natural. Do not show "No files found"
	anymore, because user may want to create subdirs. Fixes image for
	previous dir and show it again.

	* include/javascript/jquery.ui.datepicker.js: Changed default date
	format.

	* include/functions_filemanager.php: Changed
	get_file_manager_available_directories() to add subdirs too.
	Changed is_file_manager_writable_dir() to check if parent dir is
	writable.

	* operation/agentes/estado_agente.php: Use array filters instead
	of SQL code chunks.

	* operation/reporting/reporting_viewer.php: Fixed link to timeentry
	jQuery file.

	* images/status_sets/color_text/*, images/status_sets/default/*,
	images/pixel_yellow.png, images/pixel_gray.png,
	images/pixel_fucsia.png, images/pixel_red.png,
	images/pixel_black.png: Use Tango palette. Softer and cleaners
	colors.

2009-06-01  Sancho lerena <slerena@artica.es>

	* extras/pandora_diag.php: Diagnostic tool. This reports some  
	details of database usage, configuration and version who can
	Pandora FMS dev. team some hints about possible problems.

2009-05-29  Esteban Sanchez  <estebans@artica.es>

	* godmode/agentes/massive_edit_modules.php: Renamed ff_event field
	to min_ff_event to match tagente_modulo field name. Better code for
	process_manage_edit(). Fixes #2785011.

	* include/functions_modules.php: Fixed an error on
	update_agente_module() when no name was given, also added extra
	check for empty values.

2009-05-29  Esteban Sanchez  <estebans@artica.es>

	* include/functions_menu.php: Added menu_icon class.

	* include/styles/menu.css: Split background style for menu icons.
	Recovered menu colors.

	* include/styles/pandora.css: Added body.pure element.

	* include/styles/pandora_blackmetal.css,
	include/styles/pandora_black.css: Improve to reuse pandora.css

	* include/functions_ui.php: Use pure class on body element
	on process_page_body(). Better comment when creating the css array on
	process_page_head().

2009-05-28  Esteban Sanchez  <estebans@artica.es>

	* godmode/reporting/map_builder.php: Replaced exit with return. Use
	jquery.pandora_controls extensions to manage agent dropdown.
	Fixes #2784397

	* include/javascript/jquery.pandora.controls.js: Exclude delete pending
	modules on pandoraSelectAgentModule.

	* include/javascript/pandora.js: Removed php code on a javascript file.

2009-05-28  Esteban Sanchez  <estebans@artica.es>

	* include/functions_db.php: Return -1 on get_agent_status() on case
	the agent last contact has exceed the agent interval.

	* include/functions_visual_map.php: Call get_agent_status() when
	an element is to monitor a whole agent. Fixes #2761712

2009-05-28  Esteban Sanchez  <estebans@artica.es>

	* install.php: Use server address if the db host is not localhost.
	Fixes #2796790.

	* include/functions_agents.php: Fixed an array cast on
	get_agent_alerts_compound().

	* include/functions_events.php: Critical and warning colors where
	swapped on print_events_table().

	* include/functions_reporting.php: Fixed alerts count on
	get_group_stats() and count combined alerts too. Fixes #2791577

	* operation/agentes/tactical.php: Style corrections.

2009-05-27  Evi Vanoost  <vanooste@rcbi.rochester.edu>

	* godmode/agentes/configurar_agente.php: Should fix bug #2785154. Wasn't
	clear on how to duplicate but from what I understand this should fix it.

2009-05-27  Esteban Sanchez  <estebans@artica.es>

	* godmode/agentes/configurar_agente.php: Style correction.

	* operation/snmpconsole/snmp_view.php: Fixed creation link when
	the agent is not found by address. Fixes #2777409

	* godmode/agentes/agent_manager.php: Use address as name on creation
	when it's given.

2009-05-27  Esteban Sanchez  <estebans@artica.es>

	* general/header.php: Added code to ignored parameters. Fixes #2779381

	* include/functions_ui.php: Ignore form operations on get_url_refresh()

2009-05-27  Esteban Sanchez  <estebans@artica.es>

	* godmode/agentes/configurar_agente.php: Use pandora functions to
	create and update modules. Some fixes when these operations could
	not be done so the editor appears again. Fixes #2762316

	* godmode/agentes/module_manager_editor.php: Some patches to work
	better with configurar_agente.php

	* include/functions_modules.php: Avoid setting an empty name on
	update_agent_module()

2009-05-27  Esteban Sanchez  <estebans@artica.es>

	* reporting/fgraph.php: Do not short agent name on
	graphic_combined_module(). It was causing collisions. Fixes #2785193.

	* reporting/pchart_graph.php: Use AddSerie on combined_graph().

2009-05-27  Esteban Sanchez  <estebans@artica.es>

	* include/functions_visual_map.php: Problem fixed on
	get_layout_status() with label elements. Fixed definitely
	#2787197.

2009-05-27  Esteban Sanchez  <estebans@artica.es>

	* include/functions_db.php: return_status_agent() renamed to
	get_agent_status(). Improved get_agentmodule_status() documentation
	and code.

	* include/functions_visual_map.php: Styles correction. Use a switch
	instead of many ifs. Fixed get_layout_status() so the bad values have
	preference. Fixes #2787197.

2009-05-25  Esteban Sanchez  <estebans@artica.es>

	* godmode/modules/manage_network_components.php: Fixed a typo on
	onsubmit paramter that was avoiding asking for confirmation.

2009-05-25  Esteban Sanchez  <estebans@artica.es>

	* general/ui/agents_list.php: Fixed pagination javascript selector
	to avoid collisions.

	* godmode/modules/manage_nc_groups.php,
	godmode/modules/manage_nc_groups_form.php: Rewritten to use pandora
	functions. Code cleanup.

	* godmode/modules/manage_network_components.php: Fixed string search
	query.

	* include/functions_network_components.php: Added
	get_network_component_group().

2009-05-25  Jorge Gonzalez  <jorgegonz@artica.es>

	* include/languages/es.po, include/languages/es.mo: Updated Spanish
	* translation.

	* include/languages/index.pot: Updated PO template.

2009-05-22  Esteban Sanchez  <estebans@artica.es>

	* include/javascript/pandora_modules.js: Set values of plugin
	component when one of this kind is selected.

2009-05-22  Esteban Sanchez  <estebans@artica.es>

	* extras/pandoradb_migrate_v2.x_to_v3.0.sql,
	pandoradb.sql: Added id_plugin. Database breakage requested and
	approved.

	* godmode/modules/manage_network_components_form_common.php,
	godmode/modules/manage_network_components_form_plugin.php: Added
	to repository. New editor for network components.

	* godmode/modules/manage_network_components_form_network.php,
	godmode/modules/manage_network_components_form_wmi.php,
	godmode/modules/manage_network_components.php: Adapted to changes
	in component editors and missing fields. Added option to create
	plugin components.

	* godmode/modules/manage_network_components_form.php: Make the 
	different network component editors to reutilize the code and
	have a common UI.

	* godmode/agentes/module_manager_editor.php: Style correction.

	* include/styles/pandora.css: Style for network component editor.

	* include/functions_ui.php: Security fix in get_url_refresh() to
	avoid showing login info.

2009-05-21  Esteban Sanchez  <estebans@artica.es>

	* include/functions_network_components.php: Added to repository.
	Functions relative to network components moved here. Added
	create_network_component(), update_network_component() and
	delete_network_component().

	* include/functions_db.php: Removed
	gve_network_component_group_name(), duplicated in
	functions_network_components.php.

	* include/functions_modules.php: Moved functions relative to
	network components to functions_network_components.php.

	* godmode/modules/manage_nc_groups_form.php,
	godmode/modules/manage_network_templates_form.php,
	godmode/modules/manage_nc_groups.php: Use
	get_network_component_group_name() instead of deprecated
	give_network_component_group_name().

	* godmode/modules/manage_network_components.php: Rewritten
	to use pandora functions. Added pagination and better filtering
	and UI.

	* godmode/modules/manage_network_components_form_network.php,
	godmode/modules/manage_network_components_form_wmi.php,
	godmode/modules/manage_network_components_form.php: Some
	changes to adapt from manage_network_components file. Use
	pandora functions.

	* godmode/agentes/module_manager_editor_common.php,
	godmode/agentes/module_manager_editor.php: Include new
	functions_network_components.php file.

2009-05-20  Esteban Sanchez  <estebans@artica.es>

	* include/functions_alerts.php: Changed interface of
	get_alert_templates() to allow custom filters.

	* godmode/alerts/alert_list.php,
	godmode/agentes/massive_delete_alerts.php: Changes in
	get_alerts_templates().

	* godmode/alerts/alert_templates.php: Added pagination and a search
	form.

2009-05-20  Esteban Sanchez  <estebans@artica.es>

	* general/ui/agents_list.php: Fixed searching filter. Added pagination
	via AJAX.

	* godmode/alerts/configure_alert_template.php: Typo error.

	* images/application_edit.png, images/suc.png, images/err.png: Tiny
	changes.

	* images/application_not_writable.png: Added to repository.

	* include/styles/pandora.css: Make success and error messages a little
	bit narrower. Typo error.

	* include/functions.php: Style corrections in safe_input().

2009-05-19  Evi Vanoost  <vanooste@rcbi.rochester.edu>

	* include/functions_incidents.php: Removed upgrade_inc13to21. An old
	function that shouldn't be there anymore.
	
	* include/functions_agents.php: Fixed documentation. Fixed some bugs in
	get_agents () when empty values were passed.
	
	* include/functions_ui.php: Added $config['ignore_callback']. Useful if
	you decide to flush the buffers (eg. to offer a download)
	* include/functions_db.php: Cleaned up get_db_all_rows_filter and added
	some documentation and todo's. Added get_agentmodule_data to get all
	datapoints of a module. Cleaned up get_agentmodule_data_average	
	
	* include/functions_html.php: Some situations generated a warning when alt
	wasn't specified (can't add keys on non-arrays)
	
	* include/exportdata.php: Rewritten. Added filters for group. Works using
	functions and export into HTML, CSV and Excel with the option for 
	expansion (specify the delimiter values)
svn co
2009-05-19  Esteban Sanchez  <estebans@artica.es>

	* operation/agentes/status_monitor.php: Many fixes in the code for
	pagination. Fixes #2762175

	* images/networkmap/4.png, images/networkmap/firewall.png,
	images/networkmap/7.png, images/networkmap/9.png,
	images/networkmap/printer.png: Updated with tango icons.

2009-05-19  Esteban Sanchez  <estebans@artica.es>

	* godmode/agentes/massive_delete_alerts.php: Fixed an error when selecting
	multiple agents. Changed some strings. Deleted "None" from the agents list.
	Style corrections.

	* godmode/agentes/massive_delete_modules.php: Changed the way it works.
	Fixes #2707976.

	* images/download.png, images/star.png, images/note.png: More tango icons.

	* include/functions_alerts.php: Style corrections.
	
	* include/functions_modules.php: Added get_agents_with_module_name().

2009-05-19  Esteban Sanchez  <estebans@artica.es>

	* include/functions_alerts.php: Added get_agents_with_alert_template().
	Added extra filter to delete_alert_agent_module().

	* godmode/agentes/massive_delete_alerts.php: Completely changed the way it
	works. Fixes #2707976.
	
	* images/mod_keepalive.png: Replaced with tango icon.

2009-05-18  Esteban Sanchez  <estebans@artica.es>

	* images/mod_async_string.png, images/mod_async_inc.png,
 	images/mod_data.png, images/file.png, images/mod_image_png.png,
 	images/mod_async_data.png, images/config.png, images/mod_tcp_inc.png,
 	images/so_other.png, images/dot_magenta.png, images/so_hpux.png,
 	images/lock.png, images/plugin.png, images/mod_proc.png,
 	images/dot_green.png, images/mod_icmp_data.png, images/tip.png,
 	images/so_win.png, images/mod_async_proc.png, images/pill.png,
 	images/mod_snmp_string.png, images/mod_snmp_inc.png,
 	images/lightning_go.png, images/mod_tcp_data.png,
 	images/wrench_orange.png, images/dot_yellow.png, images/up.png,
 	images/dot_white.png, images/upd.png, images/mod_snmp_data.png,
 	images/recon.png, images/mod_icmp_proc.png, images/mod_tcp_string.png,
 	images/page_white.png, images/wrench.png, images/clock.png,
 	images/wmi.png, images/mod_string.png, images/mod_tcp_proc.png,
 	images/network.png, images/god2.png, images/god4.png, images/god6.png,
 	images/mod_snmp_proc.png, images/page_lightning.png,
 	images/mod_image_jpg.png, images/so_aix.png,
 	images/groups_small/plugin.png, images/groups_small/computer.png,
 	images/groups_small/database_gear.png, images/groups_small/heart.png,
 	images/groups_small/firewall.png, images/groups_small/bricks.png,
 	images/groups_small/chart_organisation.png,
 	images/groups_small/drive_network.png, images/groups_small/house.png,
 	images/groups_small/lightning.png, images/groups_small/printer.png,
 	images/groups_small/applications.png, images/groups_small/email.png,
 	images/groups_small/application_osx_terminal.png,
 	images/groups_small/world.png, images/groups_small/lock.png,
 	images/groups_small/network.png, images/groups_small/server_database.png,
 	images/groups_small/clock.png, images/photo.png, images/dot_blue.png,
 	images/dot_red.png, images/cross.png: Updated to tango icons.

2009-05-18  Esteban Sanchez  <estebans@artica.es>

	* images/award_star_bronze_1.png, images/award_star_bronze_2.png,
	images/award_star_bronze_3.png, images/award_star_gold_2.png,
	images/award_star_silver_1.png, images/bullet_add.png,
	images/bullet_black.png, images/bullet_blue.png,
	images/bullet_delete.png, images/bullet_disk.png,
	images/bullet_error.png, images/bullet_go.png,
	images/bullet_green.png, images/bullet_key.png,
	images/bullet_white.png, images/bullet_wrench.png,
	images/bullet_yellow.png, images/dot_down.png, images/exclamation.png,
	images/flag_blue.png, images/flag_green.png, images/flag_yellow.png,
	images/help_small.jpg, images/lock_open.png, images/mod_udp_proc.png,
	images/newspaper.png, images/phone_sound.png, images/pixel_blue.png,
	images/plugin_disabled.png, images/plugin_enabled.png,
	images/pulpo_lupa.png, images/shield.png, images/so_beos.png,
	images/status_busy.png, images/status_online.png, images/user_female.png,
	images/user_gray.png, images/user_orange.png, images/user_red.png,
	images/webcam.png: Deleted from repository. Unused icons.

	* images/agents_group.png: Added to repository. New icon.

	* godmode/agentes/configurar_agente.php,
	operation/agentes/ver_agente.php: Replaced icon for agent group.

	* include/functions_db.php: Replaced icons for data server. Style
	correction.

	* include/functions_ui.php: Cast block_size value for sanity.
	
	* ChangeLog: Added some lines of a previous commit.

2009-05-14  Esteban Sanchez  <estebans@artica.es>

	* images/go_first.png, images/go_last.png, images/go_next.png
	images/go_previous.png, images/page_refresh.png: Added to repository.

	* images/b_blue.png, images/b_green.png, images/binary.png,
	images/b_magenta.png, images/b_red.png, images/brick.png,
	images/bricks.png, images/bug.png, images/b_white.png,
	images/b_yellow.png, images/cog.png, images/comments.png,
	images/computer_error.png, images/computer.png, images/database_gear.png,
	images/database_lightning.png, images/database.png,
	images/database_refresh.png, images/disk.png, images/god3.png,
	images/god5.png, images/god7.png, images/god8.png,
	images/lightbulb_off.png, images/lightbulb.png,
	images/lightning.png, images/network.png, images/plugin.png,
	images/reporting_edit.png, images/setup.png: Update to tango theme.
	Some of them were repainted using tango palette.

	* images/control_end_blue.png, images/control_fastforward_blue.png
	images/control_rewind_blue.png, images/control_start_blue.png
	images/transmit.png: Deleted. Unused icons.

	* general/header.php: Changed refresh icon.

2009-05-14  Esteban Sanchez  <estebans@artica.es>

	* godmode/agentes/massive_edit_modules.php: Fixed title.

	* images/printer.png, images/chart_curve.png, images/target.png,
	images/suc.png, images/rss.png, images/error.png, images/err.png:
	Updated with tango icons.

	* images/anchor.png, images/accept.png: Deleted from repository. Unused
	icons.

2009-05-13  Sancho Lerena <slerena@gmail.com>

	* include/styles/pandora_blackmetal.css: New style with custom headers
	image (used for custom logo). 

	* include/styles/menu.css,
	include/styles/pandora_red.css
	include/styles/pandora_black.css
	include/styles/pandora_width.css
	include/styles/pandora.css: Improved old themes.

	* include/functions_ui.php: Custom style CSS loads last, to allow rewrite
	some CSS menu styles.

	* install.php: Ask if want to DROP database if this exists. Show better
	message about the created password. Don't drop database if not marked in
	step #3.

	* images/black_header.png: Image for blackmetal style.

	* images/MiniLogoArtica.jpg: Image for blackmetal style.

	* general/header.php: Some changes for style. Now displays OpenSource version
	or Enterprise version depending of version.

2009-05-13  Esteban Sánchez  <estebans@artica.es>

	* images/attachment.png: Added to repository.
	
	* images/chart_curve.png, images/chart_bar.png: Replaced with tango icons.

	* operation/incidents/incident.php: Use attachment icon.

2009-05-13  Esteban Sánchez  <estebans@artica.es>

	* images/clean.png, images/fullscreen.png, images/local_component.png,
	images/log-out.png, images/normalscreen.png,
	images/server_export.png: Added to repository. New tango icons.

	* images/application_osx_terminal.png, images/arrow_refresh.png,
	images/asterisk_yellow.png, images/attach.png,
	images/drive_network.png, images/drive_user.png,
	images/page_white_acrobat.png, images/rainbow.png,
	images/telephone.png: Deleted from repository. Unused images.

	* images/add.png, images/application_double.png,
	images/application_edit.png, images/application.png,
	images/book_edit.png, images/calendar_view_day.png,
	images/camera.png, images/email_open.png, images/email.png,
	images/god3.png, images/group.png, images/heart.png,
	images/house.png, images/lupa.png, images/monitor.png,
	images/mouse.png, images/package.png, images/page_white_magnify.png,
	images/page_white.png, images/page_white_text.png,
	images/paste_plain.png, images/pdf.png,
	images/refresh.png, images/reporting.png, images/rosette.png,
	images/script.png, images/server_database.png, images/server.png,
	images/world.png, images/zoom.png: Updated to use tango icons.

	* general/ui/agents_list.php: Added pagination.

	* general/header.php: Logout icon replaced.

	* include/styles/pandora.css: Some styles for tabs.

	* include/functions_db.php: Changed export server icon.

	* operation/events/events.php, operation/snmpconsole/snmp_view.php,
	operation/visual_console/render_view.php,
	operation/agentes/networkmap.php: Changed fullscreen icons.

	* godmode/agentes/configurar_agente.php,
	include/functions_modules.php,
	include/functions_agents.php: Style correction.

2009-05-12  Raul Mateos  <raulofpandora@gmail.com>

	* include/config_process.php: Update build after last changes.
	
	* install.php: Added code to remove database if exists. This was removed
	in a previous commit.

	* images/console/icons/*.png: Updated some icons and added others.

	* pandoradb_data.sql: Updated header.

2009-05-11  Esteban Sánchez  <estebans@artica.es>

	* operation/agentes/estado_agente.php: Sets a variable outside an if.
 	Fixes #2785018

2009-05-11  Evi Vanoost  <vanooste@rcbi.rochester.edu>

	* operation/agentes/estado_agente.php: Fixed limits (again)
 	
2009-05-11  Esteban Sánchez  <estebans@artica.es>

	* godmode/agentes/agent_manager.php: Show "None" if no server is assigned.
	Fixes #2768723
	
	* godmode/agentes/configurar_agente.php: Removed direct link to
	farscap.artica.es server. Fixed group tab selection.
	
	* godmode/alerts/alert_list.php: Fixed a notice when there are no agents.
	Fixes #2786519.
	
	* general/header.php: Fixed an error when updating agent configuration
	which was showing all the config in the header. Should be improved for
	other textarea fields.

2009-05-07  Esteban Sánchez  <estebans@artica.es>

	* include/funtions_ui.php: Added get_full_url(). Some changes in
	get_url_refresh() to make it more powerful. The URL is now optional
	in pagination(). It's also possible to give the parameter name
	of the offset so there could be more than one paginations now.

	* operation/agentes/estado_agente.php,
	general/header.php: Changes in get_url_refresh().

	* godmode/agentes/massive_operations.php: Changed edit icon.

	* godmode/agentes/module_manager.php: Enterprise API changes.

	* godmode/agentes/module_manager_editor_network.php: Style corrections.

	* include/styles/pandora.css: Added conf_error class to textarea
	elements.

	* include/functions.php: Added index_array(). Useful to manage database
	results.

	* include/functions_alerts.php: Cast some values to integer.

	* operation/agentes/alerts_status.php: Removed offset parameters,
	used default value.

2009-05-04  Evi Vanoost  <vanooste@rcbi.rochester.edu>
	
	* godmode/agentes/configurar_agente.php: get_agent_id changed and caused
	erroneous behaviour. Fixed it.

2009-05-04  Esteban Sánchez  <estebans@artica.es>

	* extensions/dbmanager.php: Code cleanup, making it easier an without
	unneded loops. Added error message support when querying.
	
	* extensions/dbmanager/dbmanager.css: Use CSS inheritance for cells and
	header of the table.

2009-05-04  Esteban Sánchez  <estebans@artica.es>

	* include/functions_agents.php: Added create_agent(), 
	
	* include/functions_db.php: Renamed dame_agente_id() to get_agent_id ().
	Added process_sql_begin(), process_sql_rollback() and process_sql_commit()
	and use MySQL functions directly because the Pandora cache was avoiding
	more than one execution.

	* include/functions_incidents.php, include/functions_messages.php,
	godmode/agentes/massive_delete_agents.php,
	godmode/agentes/massive_delete_alerts.php,
	godmode/agentes/massive_delete_modules.php,
	godmode/agentes/massive_edit_modules.php,
	godmode/db/db_purge.php,
	include/functions_events.php: Use new transaction functions.
	
	* include/functions_modules.php: Sanitize some values. Added
	create_agent_module_from_network_component(), create_agent_module()
	and get_network_component().
	
	* godmode/agentes/configurar_agente.php: Use get_agent_id() and transaction
	functions.
	
	* reporting/fgraph.php, operation/reporting/reporting_viewer.php: Use
	get_agent_id(). 
	
	* godmode/setup/file_manager.php: Removed unnecesary variable.
	
	* operation/agentes/ver_agente.php: Replaced exit with return on ajax
	operation.
	
	* include/config_process.php: Updated build number.
	
	* include/functions_network_profiles.php: Fixed documentation.

2009-05-02  Sancho Lerena <slerena@artica.es>

	* extensions/dbmanager.php: Fixed problems with quotes.

	* operation/agentes/status_monitor.php: Used module_interval insted deprecated
	tagente_estado.current_interval.

	* operation/agentes/estado_grupo.php: Same as above.

	* operation/agentes/estado_monitores.php: same as above.

	* godmode/agentes/module_manager.php: Uses new server_type field instead old
	server fields.

	* godmode/agentes/configurar_agente.php: Added tab in godmode/edit agent
	to go to a filtered list view per groups from the agent edit view.

2009-05-01  Sancho Lerena  <slerena@artica.es>

	* extensions/dbmanager*: New extensions to interface with Pandora database
	using native SQL syntax. Only for administrator (Godmode extension).

2009-04-30  Jorge Gonzalez  <jorgegonz@artica.es>

	* pandoradb_data.sql: Fixed wrong ';' values from my last commit.

2009-04-29  Jorge Gonzalez  <jorgegonz@artica.es>

	* pandoradb_data.sql: Added 'Web Server' to tconfig_os, Added 'Web' to
	tgrupo, and added 'Pandora FMS Manual' to tlink.

2009-04-29  Jorge Gonzalez  <jorgegonz@artica.es>

	* install.php: fixed typos.

2009-04-29  Jorge Gonzalez  <jorgegonz@artica.es>

	* include/languages/es.po, include/languages/es.mo: Updated spanish
	translation.

	* include/languages/index.pot: Updated po template.

	* godmode/admin_access_logs.php,
	godmode/agentes/module_manager_editor.php: changed the separator
	character to &raquo;

	* godmode/reporting/map_builder.php: removed dirty characters at the
	begining.

	* godmode/agentes/planned_downtime.php: modified a i18n string.

2009-04-24  Esteban Sánchez  <estebans@artica.es>

	* godmode/agentes/module_manager.php: Added extra parameter to
	enterprise_hook call.
	
	* include/functions_modules.php: Added get_network_component_group_name()
	
2009-04-24  Manuel Arostegui <marostegui@artica.es>

	* operation/agentes/status_monitor.php: Fixed bug #2779382

2009-04-24  Esteban Sánchez  <estebans@artica.es>

	* extras/pandoradb_migrate_v2.x_to_v3.0.sql: Removed local components table
	
	* godmode/servers/manage_recontask_form.php: Added "any" option to
	operating system combo.
	
	* godmode/snmpconsole/snmp_alert.php: Changed alert templates with actions.

2009-04-23  Jorge Gonzalez  <jorgegonz@artica.es>

	* include/functions_reporting.php,
	  operation/reporting/graph_viewer.php, godmode/setup/news.php,
	  godmode/agentes/planned_downtime.php,
	  godmode/modules/manage_network_components.php,
	  godmode/modules/manage_nc_groups.php,
	  godmode/reporting/map_builder.php: Fixed strings to make them
	  standard for translation.

	* include/languages/es.po, include/languages/es.mo: Updated Spanish
	  translation.

	* include/languages/index.pot: Updated PO template.

2009-04-22  Manuel Arostegui <marostegui@artica.es>

	* godmode/servers/manage_recontask_form.php: Fixed bug #2777351

2009-04-22  Manuel Arostegui <marostegui@artica.es>

	* godmode/menu.php: Fixed bug #2770383

2009-04-22  Jorge Gonzalez  <jorgegonz@artica.es>

	* include/languages/es.po, include/languages/es.mo: Updated Spanish
	  translation.

	* include/languages/index.pot: Updated PO template.

	* godmode/alerts/configure_alert_template.php: Fixed typos.

2009-04-22  Esteban Sánchez  <estebans@artica.es>

	* pandoradb_data.sql: Use 3.0 for version number
	
	* include/javascript/jquery.pandora.controls.js: Duplicated
	pandoraSelectGroup renamed to pandoraSelectGroupAgent.
	
	* godmode/agentes/massive_config.php,
	godmode/agentes/massive_delete_agents.php,
	godmode/agentes/massive_delete_alerts.php,
	godmode/agentes/massive_delete_modules.php,
	godmode/alerts/alert_compounds.php, godmode/alerts/alert_list.php,
	godmode/reporting/reporting_builder.php: pandoraSelectGroup renamed to
	pandoraSelectGroupAgent.
	
	* godmode/agentes/modificar_agente.php: Tiny changes in remote agent config
	link.

2009-04-22  Manuel Arostegui <marostegui@artica.es>

	* install.php: Fixed bug #2777317

	* godmode/agentes/planned_downtime.php: Fixed bug #2777475

	* godmode/reporting/map_builder.php: Fixed bug #2777347

2009-04-22  Manuel Arostegui <marostegui@artica.es>

	* operation/agentes/sla_view.php: Fixed bug #2777504

2009-04-21  Evi Vanoost <vanooste@rcbi.rochester.edu>

	* include/functions_ui.php: Added get_url_refresh which gets the correct
	url to refresh a page against instead of manually reconstructing for each
	form. Modified process_page_head to use this new function
	
	* general/header.php: Use of new function get_url_refresh. Fixes some
	minor annoyances I had with this refresh when groups were selected with
	a post
	
	* ajax.php: Error message didn't display the right page name
	
	* operation/agentes/estado_agente.php: Fixed bug #2770377

2009-04-21  Sancho Lerena <slerena@gmail.com>

	* operation/servers/view_server.php: New stats for server (threads,
	modules in queue) and new render view (more useful and with tips in head).

	* functions_db.php: Server info server[img] don't return "master" icon.
	This icon is now stored in server[master_img].

2009-04-21  Jorge Gonzalez  <jorgegonz@artica.es>

	* include/languages/pt_BR.po, include/languages/it.mo,
	  include/languages/sk.po, include/languages/pt.mo,
	  include/languages/pt_BR.mo, include/languages/fr.po,
	  include/languages/sk.mo, include/languages/fr.mo,
	  include/languages/ru.po, include/languages/it.po,
	  include/languages/pt.po, include/languages/ru.mo: Updated
	  Brazilian Portuguese, Italian, Slovak, French, Russian and
	  Portuguese translations thanks to Rosetta translators.

	* include/languages/index.pot: Updated po template.

2009-04-21  Jorge Gonzalez  <jorgegonz@artica.es>

	* include/languages/es.po, include/languages/es.mo: Updated
	  Spanish translation.

	* include/languages/index.pot: Updated po template.

2009-04-21  Jorge Gonzalez  <jorgegonz@artica.es>

	* include/languages/es.po, include/languages/es.mo: Updated
	  Spanish translation.

	* include/languages/index.pot: Updated po template.

	* godmode/agentes/module_manager_editor_network.php,
	  godmode/agentes/module_manager_editor_plugin.php: moved an
	  assigned translatable string down to avoid error at language
	  compilation.

2009-04-20  Esteban Sanchez  <estebans@artica.es>

	* godmode/agentes/module_manager_editor.php,
	godmode/agentes/module_manager_editor_common.php,
	godmode/agentes/module_manager_editor_data.php,
	godmode/agentes/module_manager_editor_network.php,
	godmode/agentes/module_manager_editor_plugin.php,
	godmode/agentes/module_manager_editor_prediction.php,
	godmode/agentes/module_manager_editor_wmi.php,
	godmode/agentes/module_manager.php: Some fixes to allow form
	reutilization.
	
	* include/javascript/jquery.pandora.controls.js: Fixed a typo. Added 
	pandoraSelectGroup control.
	
	* include/javascript/jquery.pandora.js: Separate between auto executed code
	and document ready function.
	
	* include/javascript/pandora_modules.js: Added to repository. Functions to
	use on module editors.
	
	* include/functions_agents.php: Added get_agents().
	
	* include/functions_db.php: Added get_user_first_group(). Changed
	user_access_to_agent() parameters order.
	
	* include/functions_reporting.php: Style corrections.
	
	* include/functions_ui.php: Added doc to print_status_image(). Added 
	print_ui_agents_list() to print a list of agents with a search form and
	a lot of configuration options easily.
	
	* include/functions_ui_renders.php: Added to repository. New API for
	renders on UI components.
	
	* operation/agentes/estado_agente.php: Make table wider.
	
	* godmode/reporting/reporting_builder.php: Replaced exit with return. Use
	pandoraSelectGroup control.
	
	* godmode/servers/manage_recontask_form.php: Style corrections to fit
	Pandora styles.
	
	* godmode/servers/modificar_server.php: Removed a notice from a typo.
	
	* godmode/setup/setup.php: Fixed table data indexes. Removed javascript
	code from visual setup.
	
	* godmode/setup/setup_visuals.php: Some strings changed. Style correction.
	
	* godmode/menu.php: Added policies enterprise menu option.
	
	* images/policies.png: Added to repository.
	
	* godmode/agentes/modificar_agente.php: Style correction by using pandora
	functions.

	* godmode/agentes/massive_operations.php: Fixed tab styles that was showing
	wrong the .

	* godmode/agentes/manage_config_remote.php: Changes in
	user_access_to_agent()

	* general/ui/agents_list.php: Added to repository. Reusable render for an
	agent list.

2009-04-20  Jorge Gonzalez  <jorgegonz@artica.es>

	* include/languages/es.po, include/languages/es.mo: Updated Spanish
	  translation.

	* include/languages/index.pot: Updated PO template.

	* operation/messages/message.php: Fixed typo.

2009-04-18  Sancho Lerena <slerena@artica.es>

	* include/functions_reporting.php: Altered order of agent icon
	status (unknown shown after waerning and critical, not before)

	* operation/agentes/estado_generalagente.php: Agent group is
	not shown twice.

	* operation/agentes/estado_agente.php: module status count shown
	only when > 0.

	* operation/agentes/estado_monitores.php: Dont show module type.

	* godmode/agentes/module_manager.php: Show icon of non-init module
	in godmode view, to easily identify non-init modules.

	* godmode/servers/manage_recontask_form.php: Fixed server assigment
	on recon task.

2009-04-17  Jorge Gonzalez  <jorgegonz@artica.es>

	* include/languages/es.po, include/languages/es.mo: Updated Spanish
	  translation.

	* include/languages/index.pot: Updated PO template.

2009-04-14  Esteban Sanchez  <estebans@artica.es>

	* operation/servers/view_server.php: Removed notice message when no
	servers were found.
	
	* reporting/fgraph.php: Use get_db_value_filter().
	
	* include/styles/pandora.css: Updated copyright date.
	
	* include/styles/menu.css: Added policies enterprise style.
	
	* reporting/pChart/pChart.class: Fixed a infinite loop that happened
	sometimes on drawScale().
	
	* include/config_process.php: Updated build version 
	
2009-04-13  Evi Vanoost  <vanooste@rcbi.rochester.edu>

	* include/htmlawed.php: HTML cleaner-upper. If compact_header is set 
	will actually strip the HTML for less bandwidth usage.
	
	* include/functions_ui.php: If compact_header is set, it will strip 
	whitespace out of the included files
	
	* include/functions_config.php, godmode/setup/setup_visuals.php,
	godmode/setup/setup.php: Made checkboxes into radioboxes. Split
	files were resetting the values every time.

2009-04-13  Ramon Novoa  <rnovoa@artica.es>

	* operation/agentes/networkmap.php: Added support for group filtering
	  and node navigation (clicking on the edges).

2009-04-13  Esteban Sanchez  <estebans@artica.es>

	* godmode/agentes/agent_manager.php: Fixed an error when an agent was
	created without name. Added support for new server assignment via server
	name instead of lot of comboboxes. Added os preview.
	
	* godmode/agentes/configurar_agente.php: Added support for new server
	assignment via server name. Do not show tabs on creation mode. Some 
	translatable strings replaced with common ones.
	
	* godmode/agentes/modificar_agente.php: Use Pandora agents.
	
	* godmode/modules/manage_nc_groups.php,
	godmode/setup/news.php,
	godmode/modules/manage_network_components.php,
	godmode/reporting/map_builder.php,
	godmode/agentes/planned_downtime.php: Some translatable strings replaced
	with common ones.
	
	* godmode/servers/modificar_server.php: Updated to changes in tserver. Use
	get_server_info() for that.
	
	* include/functions_db.php: Updated to changes in tserver about
	server_type field on get_server_info(). Style correction.
	
	* include/functions_servers.php: Added to repository. Servers API.
	
	* operation/servers/view_server.php: Style correction.
	
	* extras/pandoradb_migrate_v2.x_to_v3.0.sql, pandoradb.sql: Less space on
	server_name field on tagente.

2009-04-13  Sancho Lerena  <slerena@artica.es>

	* images/console/icons/server_warning.png: Added missing icon.
	
2009-04-13  Jorge Gonzalez <jorgegonz@artica.es>

	* images/console/icons/smalldot.png: Modified icon for the maps.

2009-04-13  Jorge Gonzalez  <jorgegonz@artica.es>

	* images/console/background/white_boxed.jpg,
	  images/console/background/white_boxed2.jpg: Added/modified one
	  background for the maps.

2009-04-13  Jorge Gonzalez  <jorgegonz@artica.es>

	* images/console/icons/gateway.png,
	images/console/icons/routerap.png,
	images/console/icons/pbx_warning.png,
	images/console/icons/pbx_ok.png, images/console/icons/hub_bad.png,
	images/console/icons/bridge_ok.png,
	images/console/icons/gateway_warning.png,
	images/console/icons/routerap_warning.png,
	images/console/icons/nat_bad.png,
	images/console/icons/gateway_ok.png,
	images/console/icons/routerap_ok.png,
	images/console/icons/bridge_bad.png,
	images/console/icons/pbx_bad.png,
	images/console/icons/gateway_bad.png,
	images/console/icons/hub_ok.png,
	images/console/icons/routerap_bad.png,
	images/console/icons/nat_ok.png, images/console/icons/hub.png,
	images/console/icons/nat.png, images/console/icons/bridge.png,
	images/console/icons/hub_warning.png,
	images/console/icons/nat_warning.png,
	images/console/icons/bridge_warning.png,
	images/console/icons/pbx.png: Added several images for the maps.

2009-04-13  Esteban Sanchez  <estebans@artica.es>

	* godmode/setup/file_manager.php: Fixed javascript code on directory
	select.

2009-04-13  Esteban Sanchez  <estebans@artica.es>

	* general/footer.php: Removed Firefox icon. Style correction.

	* godmode/agentes/agent_manager.php: Replaced &gt; with &raquo;. Style
	correction when setting bold attributes.

	* godmode/agentes/manage_config_remote.php,
	godmode/agentes/modificar_agente.php, godmode/agentes/module_manager.php,
	godmode/alerts/alert_list.php, godmode/db/db_audit.php,
	godmode/db/db_event.php, godmode/db/db_info.php, godmode/db/db_main.php,
	godmode/db/db_purge.php, godmode/db/db_refine.php,
	godmode/groups/configure_group.php, godmode/groups/group_list.php,
	godmode/modules/manage_nc_groups.php,
	godmode/modules/manage_network_components.php,
	godmode/modules/manage_network_templates.php, 
	godmode/modules/manage_network_templates_form.php,
	godmode/modules/module_list.php, godmode/profiles/profile_list.php,
	godmode/reporting/graph_builder.php, godmode/reporting/map_builder.php,
	godmode/reporting/reporting_builder.php, godmode/servers/manage_export.php,
	godmode/servers/manage_export_form.php,
	godmode/servers/manage_recontask.php,
	godmode/servers/manage_recontask_form.php,
	godmode/servers/modificar_server.php, godmode/setup/setup_visuals.php,
	godmode/setup/links.php, godmode/setup/news.php,
	godmode/snmpconsole/snmp_alert.php, godmode/users/configure_user.php,
	godmode/users/user_list.php, operation/agentes/alerts_status.php,
	operation/agentes/estado_generalagente.php,
	operation/agentes/estado_agente.php, operation/agentes/estado_grupo.php,
	operation/agentes/estado_ultimopaquete.php,
	operation/agentes/exportdata.php, operation/agentes/networkmap.php,
	operation/agentes/status_monitor.php, operation/agentes/tactical.php,
	operation/events/events.php, operation/incidents/incident.php,
	operation/incidents/incident_detail.php,
	operation/incidents/incident_statistics.php,
	operation/messages/message.php, operation/reporting/custom_reporting.php,
	operation/reporting/graph_viewer.php,
	operation/reporting/reporting_viewer.php, operation/servers/view_server.php,
	operation/users/user.php, operation/users/user_edit.php, 
	operation/users/user_statistics.php, operation/visual_console/index.php,
	godmode/agentes/agent_template.php: Replaced &gt; with &raquo;

	* operation/agentes/datos_agente.php: Return instead of exit

	* include/javascript/jquery.pandora.controls.js: Added pandoraSelectOS
	control to preview the OS icon on a select.

	* include/functions_reports.php: Fixed a bug on delete_report() that
	returns error when the report has no content.

	* include/functions_ui.php: Removed border attribute on print_os_icon().
	Some fixes to meta refresh element on process_page_head(). Fixed 
	format_filesize() when length is zero.
	
	* godmode/menu.php: Replaced link to file manager. Added enterprise hook.

	* godmode/setup/file_manager.php: Renamed from obfuscated name filemgr.php

	* include/styles/pandora.css: Textarea width reduced to 99%

	* godmode/setup/setup.php: Added get_os_icon AJAX operation.
	
	* images/mimetypes/, images/mimetypes/zip.png, images/mimetypes/image.png,
	images/mimetypes/unknown.png, images/mimetypes/directory.png: Added to
	repository. Mime type icons.

	* extras/pandoradb_migrate_v2.x_to_v3.0.sql: Removed date comments.
	
	* include/functions_filemanager.php: Added to repository. Minimal API for
	file manager system.

2009-04-10  Evi Vanoost  <vanooste@rcbi.rochester.edu>

	* include/functions_db.php: get_group_agents fixed search
	
	* operation/agentes/estado_agente.php: Small style changes and bugfixes

2009-04-09  Evi Vanoost  <vanooste@rcbi.rochester.edu>

	* include/functions_reporting.php: Added get_agent_module_info which gives
	valuable information that can be re-used and expanded
	
	* include/functions_events.php, include/functions_ui.php: The chunk_split 
	only works with set width removed for wide css. General cleanup
	
	* include/functions_db.php: get_group_agents allows search now
	
	* include/styles/pandora_width.css, include/styles/pandora.css, 
	include/styles/menu.css: The menu for the agent editor is now even with the
	operation menu and also takes up the whole width
	
	* operation/agentes/tactical.php: Changed for width. Now takes up the wide
	
	* operation/agentes/estado_agente.php: Rewritten. Now outputs variable
	width table and is cleaner

2009-04-08  Jorge Gonzalez  <jorgegonz@svn.gnome.org>

	* images/console/icons/dotmin_ok.png,
	  images/console/icons/appliance_ok.png, 
	  images/console/icons/ap_ok.png,
	  images/console/icons/dotmin.png, 
	  images/console/icons/appliance.png,
	  images/console/icons/dotmin_bad.png, 
	  images/console/icons/ap.png,
	  images/console/icons/switch.png,
	  images/console/icons/appliance_bad.png,
	  images/console/icons/ap_bad.png,
	  images/console/icons/switch_bad.png,
	  images/console/icons/switch_ok.png: Added icons for the visual
	  console.

2009-04-07  Esteban Sanchez  <estebans@artica.es>

	* operation/snmpconsole/snmp_view.php: Fixed full screen links. Fixes
	#2728007

2009-04-06  Evi Vanoost <vanooste@rcbi.rochester.edu>

	* reporting/fgraph.php: Simplified agent access to reduce looping
	
	* reporting/pChart/pChart.class: Found problem where the graph was
	looping with certain data when the Scale1 was exactly 1

2009-04-06  Sancho Lerena <slerena@artica.es>

	* godmode/setup/setup.php
	* godmode/setup/setup_visuals.php
	* include/config_process.php,
	* include/functions_config.php: Added new parameter for status icons. 
	Old config (fontpath and attachment dir are now manageable in setup).

	* include/functions_ui.php,
	godmode/servers/modificar_server.php
	operation/agentes/status_monitor.php
	operation/agentes/estado_agente.php
	operation/agentes/bulbs.php
	operation/agentes/estado_monitores.php
	operation/agentes/tactical.php
	operation/servers/view_server.php: Added support for custom status
	images.

	* images/status_sets: Added three new status images pack: Default color
	icons, faces and color with text.
	
	* reporting/fgraph.php: Temporal FIX for problem in access graphs that
	takes 100% Apache CPU !!!. Need final fix for this.
	
2009-04-03  Sancho Lerena <slerena@artica.es>

	*  include/functions_alerts.php: Fixed another notice.

	* include/functions_reporting.php,
	* include/functions_db.php: Fixed a notice who breaks the PDF report.
	Added homeurl preffix to some includes that breaks PDF reporting.

	* pandora_console_upgrade: Fixedd issue with old-style config.php.

	* godmode/alerts/alert_list.php: Fixed bad combo values (ID insted names).

2009-04-02  Sancho Lerena <slerena@artica.es>

	* pandoradb.sql: Final DB changes proposed for closing this month the DB
	scheme. tagente-> new server_name field to assign server (old fields will
	be removed).  talert_templates has two new types (warning, critical).
	tevento has "user_comment" new field. Tserver has three new fields, 
	server_type (so some old fields will be deleted), threads and queued_modules
	this last two are for statistical options. Tusuario add language type to
	override global language.
	
	* update_manager/main.php: Minor changes for correct ACL usage. Non PM
	users could see in what revision it the system, but only that.
	
	* pandoradb_migrate_v2.x_to_v3.0.sql: Updated script for new DB changes.
	
	* general/noaccess.php: Added footer and ending div. Page was very ugly
	when showing noaccess errors, nobody see it ???.
	
	* godmode/menu.php: A LOT of ACL fixes on several options.
	
	* godmode/agentes/agent_manager.php: Fixed a crazy floating icon.
	
	* godmode/agentes/manage_config_remote.php: A LOT of changes, rewriting
	stuff, because was not working. This also adds a lot of ACL checks. 
	
	* godmode/agentes/massive_config.php, massive*: ACL changes.
	
	* godmode/agentes/modificar_agente.php: Fixed ACL problems.
	
	* godmode/agentes/module_manager_editor.php: Fixed bad module categories for
	some types (data, plugin and prediction).
	
	* godmode/alerts/alert_list.php: Fixed ACL problem.
	
	* godmode/reporting/graph_builder.php: Added ACl restriction for 
	non-viewable agents for current user. Seems to be a problem with data
	with more than 2 sources.
	
	* godmode/reporting/map_builder.php: ACL checks improved.
	
	* godmode/reporting/reporting_builder.php: ACL checks added (was missing), 
	some code ported from 2.1, other is new. New fields shown in list.
	
	* include/functions.php: Fixed the annoying bug of "bad counters" in
	function human_time_description_raw(). Function used,format_numeric() should
	not be used never to calculate nothing, only to print formatted strings.
	
	* include/functions_db.php: Added function user_access_to_agent() to know
	if a given user has access to a given agent.
	
	* include/functioins_report.php: get_report() should let admin to watch any
	report. Fixed.
	
	* agentes/alerts_status.php: Fixed ACL problem for view alert.
	
	* operation/incidents/incident.php: Bad call for pagination() was giving
	problems to pagination call. Somebody changes pagination() interface and 
	make this broken. Please if you change any interface, be sure that is compatible
	with old code or make a post in the list about this !
		
	* godmode/users/user_edit.php: Additional ACL check to do not let anybody
	to watch non accesible users. Even for see the username or description.
	
	* reporting/pchart_graph.php:Progress bar shown text in white when > 60%.
	
2009-04-02  Esteban Sanchez  <estebans@artica.es>

	* includandora_console/godmode/agentes/massive_config.phpe/functions_config.php: Fixed a bug when the theme was not
	given on update_config().

	* godmode/setup/setup.php: Removed unneccesary include of
	functions_themes.php

2009-04-02  Esteban Sanchez  <estebans@artica.es>

	* include/functions_reporting.php: Added alert API on
	get_agent_alerts_reporting_table() to solve a notice error.

2009-04-02  Esteban Sanchez  <estebans@artica.es>

	* extras/pandoradb_migrate_v2.x_to_v3.0.sql: Removed id on tconfig
	inserts.

	* godmode/agentes/configurar_agente.php: Min and max module values
	were not being updated.

	* godmode/alerts/configure_alert_template.php: Removed duplicated
	example. Added support for next warning and critical template types.

	* include/functions_ui.php, include/functions_alerts.php: Added new
	alert template types.

	* include/functions_db.php: temp_sql_delete() moved out of
	delete_agent() because there were errors if it was calling more than
	once.

	* include/functions_reports.php: Fixed doc for get_reports().

	* include/config_process.php: Updated build number.

2009-04-02  Esteban Sanchez  <estebans@artica.es>

	* reporting/fgraph.php: Removed id_agente reference on combined
	graphs. Fixes #2724895

2009-04-01  Esteban Sanchez  <estebans@artica.es>

	* godmode/alerts/alert_compounds.php: Fixed group All.

	* godmode/alerts/configure_alert_compound.php: Fixed group All.
	"Compound" labels renamed to "Correlated".

	* include/styles/pandora.css: Removed invisible class, which was
	duplicated from common.css.

	* include/functions_db.php: safe_acl_group() now handles group All.
	Fixes #2725019 and #2723089

2009-04-01  Esteban Sanchez  <estebans@artica.es>

	* pandoradb.sql, extras/pandoradb_migrate_v2.x_to_v3.0.sql: Added
	priority field to talert_templates and removed from
	talert_template_module.

	* godmode/alerts/alert_list.php: Fixed SQL notice when fetching
	groups.

	* godmode/alerts/alert_templates.php: Added priority to the template
	tooltip.

	* godmode/alerts/configure_alert_template.php: Added priority field to
	alert templates.

	* include/functions_db.php: Style correction.

2009-04-01  Jorge Gonzalez  <jorgegonz@artica.es>

	* include/languages/pt_BR.po, include/languages/es.po,
	  include/languages/it.mo, include/languages/ro.po,
	  include/languages/pt_BR.mo, include/languages/es.mo,
	  include/languages/fr.po, include/languages/ro.mo,
	  include/languages/de.po, include/languages/he.po,
	  include/languages/zh_CN.po, include/languages/fr.mo,
	  include/languages/de.mo, include/languages/ru.po,
	  include/languages/he.mo, include/languages/zh_CN.mo,
	  include/languages/it.po, include/languages/ru.mo: Updated
	  Brazilian Portuguese, Spanish, Romanian, French, Hebrew, German,
	  Simplified Chineese, Italian, and Russian translations thanks to
	  rosetta contributors.

	* include/languages/index.pot: Updated po template.

2009-03-31  Esteban Sanchez  <estebans@artica.es>

	* godmode/agentes/module_manager_editor_plugin.php: Added plugin
	components select. Fixes #2707900.

	* godmode/alerts/alert_list.php: Fixed an error when showing agents
	list.

	* include/functions_events.php: Added get_similar_events_ids() to get
	events which are similars (same description and agent module). Renamed
	process_event_delete() and process_event_validate(). Added
	similars flag to both delete_event() an validate_event().

	* include/functions_reporting.php: Added timestamp parameter to select
	statements to fix #2707841.

	* include/functions_ui.php: Added a class to pagination divs.

	* operation/agentes/estado_generalagente.php: Style correction.
	Removed period on agent access graph.

	* operation/agentes/exportdata.php: Fixed many notices by including
	config.php instead of using global. Style corrections.

	* operation/events/events.php: When the events were grouped and
	deleted or validated, only one was being updated. Added AJAX support
	to validate and delete single operations. Style corrections. Fixed
	#2707872

	* reporting/fgraph.php: Many fixes on agent access graph. Fixes
	#2707856

	* reporting/pandora_graph.php: Added a couple of properties to the
	class.

	* reporting/pchart_graph.php: Do not add the grid or axis labels on
	charts if asked. Show no progress bar if value is 0 and a title is
	shown. Style corrections.

	* include/styles/pandora_width.css: Renamed to panoramic theme. Added
	style for event_control element.

	* include/styles/pandora.css: Added style for event_control element.

	* godmode/modules/manage_network_components.php: Fixed table width for
	panoramic theme.

	* ajax.php: Added remote_addr to config array.

2009-03-31  Sancho Lerena  <slerena@artica.es>

	* include/functions_visual_map.php,
	 godmode/reporting/map_builder.php: Two new types of items for map graphs:
	Simple value and progress bar. Progress bar uses height to set the higher 
	possible limit of the value to calculage the percentile. 

	* reporting/pchart_graph.php: Progress bars now have percentile text without
	shadow (more readable). Fixed round cut of prev. commit.

2009-03-31  Sancho Lerena  <slerena@artica.es>

	* include/styles/menu.css: Added icons for dashboard option (enterprise).
	
	* include/functions_config.php: Added support for round_corner option.
	
	* include/functions_db.php: Temporal support (not really work) for enterprise
	servers webcheck/goliat and inventory. This code should be corrected when
	make final dbstruct changes for new server_type numeric field.
	
	* include/functions_reports.php: Fixed an annoying notice.
	
	* index.php: Dashboard is not entered automatically on login in enterprise.
	
	* operation/events/events.php: Events from group 0 always displayed.
	
	* operation/servers/view_server.php: Icon for server status is now smaller.
	
	* operation/menu.php: New enterprise hook for Dashboard menu entry.
	
	* reporting/pchart_graph.php: Round corners on progressbar acording to
	setup option. Color of border is smoother.
	
	* godmode/setup/links.php: Fixed ACL condition (AND -> OR).
	
	* godmode/setup/setup.php: Fixed ACL. Moved visual options to other setup.
	
	* godmode/setup/filemgr.php: Fixed ACL condition (AND -> OR).
	
	* godmode/agentes/modificar_agente.php: Support for IP address search.
	
	* godmode/menu.php: Added new setup section for visual options.
	
	* godmode/setup/setup_visuals.php: New setup section for visual options.
	
	* images/mod_web_proc.png,
	  images/screenshot_not_found.jpg,
	  images/mod_web_data.png,
	  images/server_web.png: New icons added for enterprise options.

2009-03-31  Sancho Lerena <slerena@artica.es>

	* operation/events/events.php: Fixed and allow to everybody to see
	events coming from group 0 (Old server code put events here).

2009-03-30  Esteban Sanchez  <estebans@artica.es>

	* include/functions_ui.php: Added print_message(),
	print_error_message() and print_success_message().

	* godmode/users/configure_user.php,
	operation/users/user_edit.php,
	godmode/reporting/map_builder_wizard.php: Use print_error_message() or
	print_success_message() when there was no other option.

	* godmode/modules/manage_network_templates.php: Fixed CSV export
	notice errors. Style corrections.

	* godmode/modules/manage_network_templates_form.php: Style
	corrections.

	* include/functions_network_profiles.php: Added to repository. Network
	profiles function API.

2009-03-27  Evi Vanoost  <vanooste@rcbi.rochester.edu>

	* include/functions_db.php: Fixed group functions that would return
	data even if the user didn't have access to the group. Added 
	safe_acl_group which filters out groups the user doesn't have access to
	out of an array of groups. Added check_acl which deprecates give_acl
	(new naming scheme)

2009-03-27  Esteban Sanchez  <estebans@artica.es>

	* include/functions_ui.php: Put template details icon on the left of
	the cell.

	* operation/agentes/alerts_status.php: Fixed validation errors. Moved
	validation to the top before reading the alerts. Added some size info
	to the tables.

2009-03-27  Esteban Sanchez  <estebans@artica.es>

	* pandoradb.sql, extras/pandoradb_migrate_v2.x_to_v3.0.sql: Fixed
	constraint restrictions on alert actions.

	* godmode/users/configure_user.php: Many bugfixes when creating and
	editing.
	
	* include/auth/mysql.php: Fixed return value on create_user() because
	it does not return an insert id.

	* include/functions_db.php: Call debug() on SQL errors to get a
	backtrace.

	* include/functions_ui.php: Added a return value to debug().

	* operation/users/user_edit.php: Renamed user_update().

2009-03-26  Evi Vanoost  <vanooste@rcbi.rochester.edu>

	* include/functions_reporting.php: Fixed security vulnerability
	in get_group_stats. Thanks to Eric Ross for pointing it out.

2009-03-26  Sancho Lerena <slerena@artica.es>

	* pandoradb.sql: SLA parameters now accept float values.
	
	* extras/pandoradb_migrate_v2.x_to_v3.0.sql: SLA parameters now accept 
	float values after a table update.
	
	* godmode/setup/filemgr.php: New feature: a file manager, accesible only by
	pandora Administrators. Have some security checks but is not intended to be
	used by anyone not admin.
	
	* godmode/menu.php: Added filemanager and fixed minor problem under SNMP
	Godmode (fake submenu).

2009-03-26  Esteban Sanchez  <estebans@artica.es>

	* include/javascript/jquery.ui.dialog.js: Added to repository.

	* index.php, general/header.php: Replaced overlay with jquery UI
	dialog.

	* godmode/agentes/module_manager.php: Use print_moduletype_image().

	* images/close.png, images/transparent.png,
	include/javascript/jquery.overlay.js: Removed from repository.

	* include/javascript/jquery.pandora.js: Use dialog instead of overlay.

	* include/styles/images/dialog-*: Added to repository. Dialog images.

	* include/styles/pandora.css: Removed overlay styles.

	* include/styles/dialog.css: Added to repository. Dialog styles.

	* include/functions_ui.php: Show description on
	print_moduletype_icon() title.

	* operation/agentes/estado_agente.php: Return control instead of exit.

	* operation/agentes/estado_ultimopaquete.php: Style corrections and
	usage of pandora database functions.

2009-03-26  Esteban Sanchez  <estebans@artica.es>

	* godmode/reporting/reporting_builder.php: Some small fixes which
	didn't allow creating reports or adding contents.

2009-03-26  Esteban Sanchez  <estebans@artica.es>

	* godmode/users/configure_user.php: Complete rewritten to fix minor
	errors and fit the Pandora style.

	* include/auth/ldap.php: Removed process_user_isadmin(). Renamed
	process_user_password() to update_user_password(). Renamed
	process_user_info to update_user(). update_user_password() does not
	require old password anymore.

	* include/functions_db.php: Added empty checks on
	create_user_profile().

	* include/functions_ui.php: print_error_message() renamed to
	print_result_message().

	* godmode/agentes/configurar_agente.php,
	godmode/alerts/alert_actions.php, godmode/alerts/alert_commands.php,
	godmode/alerts/alert_compounds.php, godmode/alerts/alert_list.php,
	godmode/alerts/alert_templates.php,
	godmode/alerts/configure_alert_template.php,
	godmode/modules/manage_nc_groups.php,
	godmode/modules/manage_network_templates.php,
	godmode/modules/manage_network_templates_form.php,
	godmode/reporting/map_builder_wizard.php,
	godmode/reporting/reporting_builder.php,
	operation/agentes/alerts_status.php, operation/events/events.php,
	operation/incidents/incident.php,
	operation/incidents/incident_detail.php,
	operation/messages/message.php, operation/snmpconsole/snmp_view.php,
	operation/users/user_edit.php: Renamed print_result_message(). Some
	translatable strings reused to simplify i18n work.
	
	* godmode/users/user_list.php: Renamed print_result_message(). Use
	cross.png for deletion links. Style corrections.

	* godmode/setup/news.php: Renamed print_result_message(). Use
	process_sql_delete() instead of direct mysql_query.

	* godmode/reporting/map_builder.php: Renamed print_result_message().
	Style correction on process_sql_update().

	* godmode/alerts/configure_alert_compound.php: Renamed
	print_result_message(). Fixed steps_clean div.
	
	* godmode/setup/setup.php: Return control to index instead of exit.

2009-03-25  Evi Vanoost  <vanooste@rcbi.rochester.edu>

	* operation/incidents/incident.php: Fixed small issue

2009-03-25  Sancho Lerena <slerena@artica.es>

	* estado_agente.php: Correct agent down status bug. Added search
	on description also, and search text parameter is moved on pagination links
	
	* estado_generalagente.php: Agent access graph has more height now.
	
	* event_statistics.php: removed unnecesary header. Better layout.

	* include/functions.php: human_time_description_raw() return "now" when
	data is 0 or empty.
	
	* db/db_main.php: Bigger graph.
	
2009-03-25  Evi Vanoost  <vanooste@rcbi.rochester.edu>

	* include/functions_db.php: Made get_server_info more informational
	
	* operation/servers/view_server.php: Uses new get_server_info layout
	
	* operation/agentes/tactical.php: Use print_table and get_server_info
	
	* operation/menu.php: Removed incident search
	
	* operation/incidents/incident_search.php: Removed - now sits in incident
	
	* operation/incidents/incident.php: Added more search capabilities
	
	* operation/visual_console/index.php: Relative width and alignment
	
	* operation/visual_console/render_view.php: Small fixes

2009-03-25  Sancho Lerena <slerena@artica.es>

	*  extras/pandoradb_migrate_v2.x_to_v3.0.sql: Added field missing in 
	ttrap (This gives the problems with SNMP Alerts in trunk version (Manu!)).


2009-03-25  Esteban Sanchez  <estebans@artica.es>

	* include/functions_alerts.php: Typo errors on "proces". Fixed an
	error on create_alert_command() parameters.

	* godmode/alerts/alert_commands.php: Fixed sec parameter on delete
	link.
	
	* godmode/alerts/configure_alert_command.php,
	godmode/alerts/configure_alert_compound.php,
	godmode/alerts/configure_alert_template.php,
	godmode/alerts/configure_alert_action.php: Fixed textarea sizes.

2009-03-25  Esteban Sanchez  <estebans@artica.es>

	* include/functions_alerts.php: Finished the alerts API by removing
	useless and focus of problems clean_*(). All the functions now uses
	process_sql_*().

	* godmode/alerts/alert_actions.php,
	godmode/alerts/alert_commands.php: Adapted to changes in
	functions_alerts.php.

	* godmode/alerts/configure_alert_template.php: Fixed default action
	updating when it's set to None. Fixed textarea height.

	* include/functions_reports.php: Added to repository. API to manage
	user reports.

	* include/functions_db.php: Moved get_reports() to
	functions_reports.php. Escape ` on get_db_value(). Use
	format_array_to_update_sql() on process_sql_update().

	* godmode/reporting/reporting_builder.php: Use functions from reports
	API.

2009-03-25  Esteban Sanchez  <estebans@artica.es>

	* include/auth/mysql.php: Fixed an error on get_user_id() which was
	returning integer values.

2009-03-24  Evi Vanoost  <vanooste@rcbi.rochester.edu>

	* include/functions_db.php: Made get_server_info more accurate as far as
	exact module types etc.
	
	* operation/servers/view_server.php: Return dash in case there is no lag
	
	* operation/servers/view_server_detail.php: Style fixes

2009-03-24  Esteban Sanchez  <estebans@artica.es>

	* general/pandora_help.php: Added support for enterprise help files.

	* include/javascript/pandora.js: Renamed pandora_help() to
	open_help().

	* include/functions_ui.php: Renamed event function on
	print_help_icon(). Removed deprecated pandora_help().

	* godmode/agentes/module_manager.php: Added enterprise hooks.

	* godmode/agentes/module_manager_editor.php: Added categories
	construction here. Added enterprise hooks.

	* godmode/agentes/module_manager_editor_common.php: Replaced
	deprecated pandora_help() with print_help_icon(). Moved categories
	construction to module_manager_editor.

	* include/config_process.php: Updated build version.

	* include/styles/pandora.css: Fixed textarea height.

	* godmode/agentes/manage_config_remote.php,
	godmode/agentes/massive_config.php,
	godmode/agentes/massive_edit_modules.php,
	godmode/agentes/module_manager_editor_network.php,
	godmode/agentes/module_manager_editor_plugin.php,
	godmode/agentes/module_manager_editor_prediction.php,
	godmode/agentes/module_manager_editor_wmi.php,
	godmode/agentes/planned_downtime.php, godmode/alerts/alert_list.php,
	godmode/alerts/configure_alert_compound.php,
	godmode/modules/manage_network_components_form_network.php,
	godmode/modules/manage_network_components_form_wmi.php,
	godmode/reporting/map_builder.php,
	godmode/servers/manage_export_form.php,
	godmode/servers/manage_recontask_form.php, godmode/servers/plugin.php,
	godmode/setup/setup.php, operation/agentes/alerts_status.php,
	operation/agentes/tactical.php,
	godmode/agentes/agent_manager.php: Replaced deprecated pandora_help()
	with print_help_icon().

2009-03-24  Esteban Sanchez  <estebans@artica.es>

	* godmode/alerts/configure_alert_compound.php: Fixed clean up div for
	variable width styles. Min and max fire values commented because it's
	not implemented yet.

	* include/config_process.php: Keep database connection resource in
	config.

	* include/functions.php: Use mysql_real_escape_string(), replacing
	deprecated function.

	* include/functions_alerts.php: Updated to use process_sql_*
	functions. Many fixes done such as updating a template name or
	escaping the value when duplicating a template.

	* include/functions_ui.php: Fixed an error on refresh header when
	using other web servers like Cherokee.

	* operation/agentes/estado_agente.php: Style corrections.

	* reporting/fgraph.php: Fixed a typo on grafico_db_agentes_paquetes().

	* pandoradb.sql, extras/pandoradb_migrate_v2.x_to_v3.0.sql: Added
	foreign key on treport_content and id field on
	talert_compound_actions.

2009-03-24  Sancho Lerena  <slerena@gmail.com>

	* module_manager_editor.php,
	module_manager_editor_common.php: Fixed problem with id_module
	affecting plugin, wmi and prediction modules.

2009-03-23  Esteban Sanchez  <estebans@artica.es>

	* godmode/agentes/massive_edit_modules.php: The module selection is
	now done using cascade selects instead of having a confusing tree on
	the select.

	* godmode/alerts/alert_list.php: Fixed a bug when getting the latest
	module value.

	* godmode/alerts/alert_templates.php: Fixed an error that didn't allow
	deletion on some cases. Added an option to duplicate a template
	easily.

	* godmode/alerts/configure_alert_template.php: Added template
	duplication support. Fixed a mismatch on field1, field2 and field3
	which required to have a default action to be updated. This values are
	not loaded anymore from default action.

	* godmode/db/db_purge.php: Many styles correction. Use pandora
	functions for the bottom table.

	* include/functions_alerts.php: Added duplicate_alert_template().

	* include/functions_db.php: Added a parameter to get_agent_modules()
	to enable or disable the return of indexed values.

	* operation/agentes/sla_view.php: Style correction.

	* operation/agentes/ver_agente.php: Added support for indexed flag on
	get_agent_modules_json AJAX operation.

2009-03-20  Evi Vanoost  <vanooste@rcbi.rochester.edu>

	* include/functions_incidents.php: Style change
	
	* include/functions.php: Never is not correct in some cases. Unknown is 
	a better expression.
	
	* include/functions_ui.php: Added style attribute (default to nowrap)
	
	* include/functions_db.php: get_server_info now processes modules outside
	the loop. Less queries and now returns load as well
	
	* include/functions_html.php: print_submit_button now accepts arrays
	
	* operation/servers/view_server.php, operation/incidents/incident.php: 
	Better use of functions and style

2009-03-18  Esteban Sanchez  <estebans@artica.es>

	* godmode/agentes/massive_edit_modules.php: Added to repository. New
	interface to update modules massively. Should be improved lately.

	* reporting/pchart_graph.php: Fixed mess with color pallete.

	* godmode/agentes/massive_operations.php: Fixed sec parameter on
	links. Changed label. Added link to the new modules editor.

	* godmode/agentes/module_manager.php: Fixed an error when showing
	module group titles.

	* godmode/agentes/module_manager_editor.php: Decode values from
	components.
	
	* godmode/agentes/module_manager_editor_wmi.php: Bigger WMI query
	input text.

	* include/functions_db.php: Fixed a bug when using group on
	format_array_to_where_clause_sql().

	* include/functions_modules.php: Fixed an error on
	get_network_components() which was not filtering fine. Many fixes in
	get_network_component_groups() so it works better now. Added
	update_agent_module().

2009-03-18  Esteban Sanchez  <estebans@artica.es>

	* godmode/alerts/alert_list.php: Put tooltip before the template name
	so it's always in the same place.

	* include/javascript/jquery.pandora.controls.js: Fixed a bug on
	pandoraSelectAgentModule which was getting wrong fields.

	* include/functions_html.php: Do not add id counter on checkboxes if
	it's 0.

	* operation/agentes/estado_agente.php: Create agent button was going
	to a wrong place.

	* reporting/fgraph.php: Fixed graphic_agentaccess() which was not
	showing anything.

	* pandoradb_data.sql: Removed Compound only from talert_commands.

2009-03-17  Esteban Sanchez  <estebans@artica.es>

	* reporting/fgraph.php: Fixed a bug on graphic_error() which always
	showed image_problem.png. Fixed period labels shorter than days. Fixed
	an error when fetching data on grafico_modulo_sparse() which was
	causing to show nothing. Do not show a legend on graph_event_module().
	Fixed x axis interval on boolean charts.

2009-03-17  Esteban Sanchez  <estebans@artica.es>

	* godmode/agentes/massive_operations.php: Added to repository. New
	page to group massive operations in a single page.

	* godmode/agentes/massive_config.php: Renamed from manage_config.php.

	* godmode/agentes/massive_delete_agents.php: Renamed from
	manage_delete.php.
	
	* godmode/agentes/massive_delete_modules.php: Added to repository.
	Interface to delete modules.

	* godmode/agentes/massive_delete_alerts.php: Added to repository.
	Interface to delete alerts.

	* godmode/agentes/agent_manager.php: Fixed table width to make it
	variable.

	* godmode/agentes/module_manager.php: Rewritten to use Pandora
	functions.

	* include/javascript/jquery.pandora.controls.js: Added
	pandoraSelectAgentAlert. Renamed pandoraSelectAgent to
	pandoraSelectAgentModule. Get only needed fields to make it quicker
	and avoid showing disabled modules.

	* godmode/alerts/alert_list.php: Adapted to changes in
	jquery.pandora.controls.js.

	* godmode/menu.php: Group some pages into new "Massive operation"
	submenu.

	* images/copy.png: Replaced with a better icon.

	* images/delete_agents.png, images/delete_alerts.php,
	images/delete_modules.php: Added to repository.

	* include/styles/pandora.css: Set color on input.sub

	* include/styles/pandora_width.css: Make menu_tab_frame wider.

	* include/functions_db.php: Removed deprecated
	dame_nombre_grupomodulo(). Added support to __() to receive multiple
	parameters so translatable strings can handle now printf format
	characters.

	* include/functions_modules.php: Added delete_agent_module().

	* operation/agentes/ver_agente.php: Allow fields to be passed to
	get_agent_modules_json AJAX operation.

	* reporting/fgraph.php: Replaced sprintf() with __(). Some casts
	added. Show a sparse chart even if it has no max/min value.

	* godmode/modules/manage_network_components_form_network.php,
	operation/agentes/estado_ultimopaquete.php,
	godmode/modules/manage_network_components_form_wmi.php: Use
	get_modulegroup_name().

	* godmode/agentes/configurar_agente.php,
	godmode/modules/manage_network_components.php: Style correction.

2009-03-17  Evi Vanoost  <vanooste@rcbi.rochester.edu>

	* operation/snmpconsole/snmp_view.php: Fixes bug #2661421

2009-03-17  Esteban Sanchez  <estebans@artica.es>

	* include/functions_html.php: Do not add id counter if it's 0 on
	print_select. It's a backwards compatibility workaround until we
	take a decision on correct HTML elements. Fixed comment styles, please
	do not add comments in the same line.

2009-03-17  Jorge Gonzalez  <jorgegonz@svn.gnome.org>

	* include/languages/es.po, include/languages/es.mo: Updated Spanish
	  translation.

	* include/languages/index.pot: Updated PO template.

2009-03-17  Esteban Sanchez  <estebans@artica.es>

	* godmode/agentes/manage_config.php: Select dependant modules when an
	alert is selected.

	* include/functions_agents.php: Copy selected alerts on
	process_manage_config().

2009-03-16  Evi Vanoost  <vanooste@rcbi.rochester.edu>

	* general/logoff.php: Cleaned up invalid html

	* general/login_page.php: Clean up ampersands
	
	* include/functions_html.php: Fixes bug #2661439
	
	* index.php: Style cleanup
	
	* godmode/modules/manage_network_templates.php: Export function
	gives a CSV file of the templates. Import pending although you
	can use it already to import back into pure SQL.

2009-03-16  Jorge Gonzalez  <jorgegonz@artica.es>

	* include/help/en/help_planned_downtime.php,
	include/help/es/help_planned_downtime.php: Added more information
	about the scheduled downtime.

2009-03-16  Esteban Sanchez  <estebans@artica.es>

	* godmode/alerts/alert_list.php,
	godmode/agentes/module_manager_editor_network.php: Fixes to work in
	IE7.

	* godmode/alerts/configure_alert_template.php: Fixed an error when the
	template was not created and causing the example or field values to
	not shown. Fixed javascript for IE7.

	* include/styles/ie.css: Fixes for IE7.

	* include/styles/pandora.css: Added style for classes added.	

2009-03-13  Esteban Sanchez  <estebans@artica.es>

	* godmode/db/db_purge.php: Style correction.

	* godmode/modules/manage_nc_groups.php: Complete rewritten.

	* godmode/modules/manage_nc_groups_form.php: Use pandora functions.
	Needs more love.

	* godmode/reporting/map_builder.php: Some fixes to make it work in
	IE7. 

	* include/javascript/jquery.pandora.controls.js: Execute automatically
	instead of on ready. Typo fixed that was not allowing to work on IE.

	* include/styles/ie.css: Bit of style corrections.

	* include/functions_ui.php: Added the ie.css code at the bottom, so it
	has preferences over other styles.

2009-03-12  Evi Vanoost  <vanooste@rcbi.rochester.edu>

	* include/functions.php: Added safe_output_xml which makes variables
	clean for output converting html entities into numeric entities understood
	by all XML validators
	
	* operation/events/events_rss.php: Used safe_output_xml where needed.

2009-03-12  Esteban Sanchez  <estebans@artica.es>

	* reporting/fgraph.php: Fixed interval in combined graphs. Fixed
	alert min and max values. Fixed data retrieval on boolean charts and a
	bug that was not drawing this charts.
	
	* pandoradb_data.sql: First new now has the current date.

	* operation/servers/view_server.php: Fixed progress bar height.

2009-03-12  Esteban Sanchez  <estebans@artica.es>

	* include/functions_db.php: Fixed an undefined variable error.
	
2009-03-12  Esteban Sanchez  <estebans@artica.es>

	* reporting/pandora_graph.php: Added to repository. New interface to
	abstract pandora from the chart engines. This would make easier a
	engine changing in the future.

	* reporting/pchart_graph.php: Added to repository. Specific class to
	use pChart engine for Pandora. First working version.

	* reporting/pChart/pCache.class, reporting/pChart/pDaita.class: Added
	to repository. pChart engine
	
	* reporting/pChart/pChart.class: Added to repository. pChart engine
	slightly modified and adopted to Pandora needs.

2009-03-12  Esteban Sanchez  <estebans@artica.es>

	* include/auth/mysql.php: Added a cache to is_user_admin().

	* include/config_process.php: Changed build version. Load l10n tables
	before extensions.
	
	* include/functions_config.php: Fixed an error on update_config() that
	fails to update when the value has changed. Fixed style updating
	also.

	* include/functions_db.php: Added GROUP BY token to
	format_array_to_where_clause_sql().

	* include/functions_ui.php: Added a flag to debug() to allow disabling
	the backtrace output.

	* operation/agentes/tactical.php: Fixed tab. Makes percentage images a
	bit taller.

	* ChangeLog.2008: Added to repository. Stripped ChangeLog history.

2009-03-11  Esteban Sanchez  <estebans@artica.es>

	* include/functions_reporting.php: Fixed an error on get_group_stats()
	that gives wrong monitor status count because it was counting some
	modules twice.

2009-03-10  Evi Vanoost  <vanooste@rcbi.rochester.edu>

	* include/functions_visual_map: Small fixes to render backgrounds with 
	spaces in filename correctly
	
	* operation/visual_console/index.php, godmode/reporting/map_builder.php: 
	Fixes to render icons correctly.
	
2009-03-09  Evi Vanoost  <vanooste@rcbi.rochester.edu>

	* include/javascript/pandora.js: Moved agent_changed here from map_builder
	because it's quite a useful function.
	
	* include/functions_visual_map.php: In case you want no labels (a lot of
	icons on a graph) just set the color to anything not starting with #
	
	* godmode/reporting/map_builder_wizard.php: Added the possibility to add
	modules as well using the wizard. Very useful if you have a switch.
	
	* godmode/reporting/map_builder.php: Fixed some issues with the ajax thing
	and fixed issue #2527894.

2009-03-05  Evi Vanoost  <vanooste@rcbi.rochester.edu>

	* godmode/reporting/map_builder_wizard.php: Fixed small error when no
	valid id was passed.
	
	* godmode/reporting/map_builder.php: Modified code so that width and
	height can be specified for all types of graphics. Fixed code where
	width and height wouldn't be passed in the database

2009-03-05  Evi Vanoost  <vanooste@rcbi.rochester.edu>

	* include/auth/dev.php: Updated examples
	
	* include/auth/ldap.php: Moved stuff in a more logical order
	and globalized $ldap_cache since now it is called from a function
	so it needs not be local

2009-03-05  Sancho Lerena  <slerena@artica.es>

	*  include/functions_reporting.php: Fixed notice.

2009-03-05  Evi Vanoost  <vanooste@rcbi.rochester.edu>

	* include/auth/ldap.php: Fixed a small issue to check on a variable
	
	* include/functions_extensions.php: Fixed an issue since errors 
	produced with @function will filter into custom error handlers
	
	* include/functions_ui.php: Added RSS link in the header to display
	RSS feed availability in RSS-enabled browsers
	
	* operation/events/events_marquee.php, 
	operation/events/events_statistics.php: require_once so it won't load
	the same function files twice
	
	* operation/events/events_rss.php: Better error handling. Require_once
	required because it was giving a problem with certain function files.	

2009-03-05  Esteban Sanchez  <estebans@artica.es>

	* include/functions_config.php: Fixed auth files inclusion that may
	fail in some cases.

2009-03-05  Esteban Sanchez  <estebans@artica.es>
	
	* godmode/reporting/map_builder_wizard.php: Style correction. Use
	Pandora functions instead of SQL. Force elements to have an image by
	removing "None".

	* include/functions_config.php: Added to repository. New file to
	manage config operations such as creation and updating values or
	updating the whole config array. It even sets id_user so no more usage
	of $_SESSION is required from outside.

	* include/config_process.php: Cleanup and usage of functions in
	functions_config.php. Updated build.

	* index.php: Updated to changes in config_process.php,

	* godmode/setup/setup.php: All config process has been moved to
	config_process.php which uses functions in functions_config.php.

	* include/styles/pandora.css: Styling for pre elements. New help
	class.

2009-03-04  Sancho Lerena <slerena@artica.es>

	* operation/agents/tactical.php: Layout adapted to bigger event table.

	* extras/: New directory with extra contents (scripts, tools, samples)
	
	* index.php: Add new permission check for /attachment directory. Probably
	could be extended and wrapped into a function. This should be only called 
	once, this is the reason why is placed here and not in config_process.
	
	* pandora_console_upgrade: Force MYSQL run, even if SQL return error (useful
	for applying over a older 3.0 version for example).
	
	* pandoradb_data.sql: Was missing some tconfig variables.
	
	* extras/*.sql: Missing somre tconfig variables and other minor issues fixed
	
	* extensions/update_manager/main.php: Description of update manager patch
	wider. Probably needs more formatting in the future.
	
	* extras/sample_login.php: Sample on how to implement autologin feature.
	
	* footer.php: I hope solve the frakkin image problem.
	
	* godmode/agents/agent_manager.php: proper ACL check notice.
	
	* godmode/alerts/alert_list.php: Fixed notice.
	
	* godmode/reporting/map_builder.php: Added link to wizard and item count.
	
	* godmode/reporting/map_builder_wizard.php: Added new feature, a wizard
	to populate the visual map, using agents from a combo, depending on the
	map selected. Could have a lot of improvements, it's a basic start. Allow
	to choose agents and image maps and space between images. Puts in a reticle
	automatically adjusting at 600px width.
	
	* godmode/setup.php: Checkbox for trap_forward was bad, fixed.
	
	* config_process.php: Fixed version to 3.0-dev
	
	* functions_html.php: Default of 0 in text boxes makes them unusable on
	default values, funny :-)
	
	* include/functions_reporting.php: Fixed a notice on unknown variable
	on function get_group_stat().
	
	* operation/agentes/alerts_status.php: Filter on module status is made now
	with combos, like the rest of the filters in the GUI.
	
	* operation/events/events.php: a missing div makes graph float outside the
	filter box. TODO: Hidder filter makes free-width style buggy here.
	
	* operation/reporting/reporting_viewer.php: Fixed layout issue.
		
	* operation/visual_console/render_view.php: Added ACL check.
	
2009-03-04  Esteban Sanchez  <estebans@artica.es>

	* godmode/agentes/manage_config.php: Fixed a javascript error that
	doesn't allow to perform any operation.

	* godmode/alerts/configure_alert_action.php: Fixed javascript file
	inclusion.

	* godmode/reporting/map_builder.php: Fixed typo when updating a
	layout.

	* images/download.png: Added to repository.

	* include/functions_agents.php: Style correction.

	* include/functions_html.php: Added additional options to
	print_input_image().

	* include/functions_ui.php: Added format_filesize().

2009-03-04  Evi Vanoost  <vanooste@rcbi.rochester.edu>

	* include/functions_reporting.php, 
	operation/reporting/reporting_viewer.php: Function renaming, small fixes
	in some code and documentation.
	
	* include/functions_db.php: Better checks on get_agent_events
	
	* operation/reporting/reporting_xml.php: Sancho sent me this solution
	since people apparently use this and run out of memory.

2009-03-04  Esteban Sanchez  <estebans@artica.es>

	* godmode/agentes/configurar_agente.php: Fixed module interval update.
	Fixed a bug that shows an error message when updating a module.

	* include/functions_html.php: Fixed a little bug in print_input_text()
	that avoided showing a "0" as a value. Renamed a variable to avoid
	parameter collisions.

2009-03-04  Esteban Sanchez  <estebans@artica.es>

	* godmode/agentes/module_manager_editor.php: Fixed filter field on
	get_module_components ajax operation and order the results.

	* include/functions.php: Added enterprise_include_once().

	* include/functions_modules.php: Use get_db_all_rows_filter() on
	get_network_component(). Also added fields to this function.

2009-03-03  Evi Vanoost  <vanooste@rcbi.rochester.edu>

	* general/logon_ok.php: Minor edit in language and colors for warning
	
	* include/functions_reporting.php: Changed get_group_stats for better
	queries based on query debugging.
	
	* include/functions_db.php: Change get_server_info for better queries
	based on query debugging. Documentation updates and function updates
	
	* operation/agentes/tactical.php: Removed a row with duplicate info
	
	* operation/reporting/reporting_viewer.php, 
	operation/reporting/reporting_xml.php, include/functions_modules.php,
	godmode/agentes/module_manager_editor.php:
	Function renaming.
	
2009-03-03  Esteban Sanchez  <estebans@artica.es>

	* godmode/alerts/configure_alert_template.php: Add id to separator
	div.

	* include/styles/pandora.css, include/styles/pandora_width.css: Added
	style to separator div. Fixes a UI breakage.

2009-03-03  Esteban Sanchez  <estebans@artica.es>

	* general/main_menu.php: Operation and godmode menus files includes
	now the dependant files.

	* godmode/agentes/modificar_agente.php: Removed unnecessary
	require()
	
	* godmode/alerts/alert_list.php: Avoid notice for undefined index when
	calling max(). Added option to delete the template.

	* godmode/alerts/configure_alert_template.php,
	godmode/alerts/alert_templates.php: Fixed field2_recovery and
	field3_recovery updating.

	* operation/menu.php, godmode/menu.php: Require functions_menu.php.

	* include/config_process.php: Updated build version.

	* include/functions.php: Keep time in a static variable on
	get_system_time().

	* include/functions_db.php: Now a custom operation can be passed to
	format_array_to_where_clause_sql() if the field key is numeric.

	* include/functions_reporting.php: Return float value on
	get_agentmodule_sla(). Added required files.

	* include/functions_ui.php: Show template name on format_alert_row().
	Style correction.

	* operation/agentes/export_csv.php: Style correction.
	
	* operation/events/export_csv.php: Use pandora functions to fetch
	results. Fixed auth part. Style correction.

	* operation/reporting/custom_reporting.php: Fixed enterprise include.

	* operation/reporting/reporting_xml.php: Fixed auth part.

	* index.php: process_page_head() may looked for uninitialized
	$config["refr"].

	* include/styles/pandora_width.css: Fixed style for ol.steps

2009-03-02  Evi Vanoost  <vanooste@rcbi.rochester.edu>

	* include/functions_reporting.php: Rewrote get_agentmodule_sla with
	faster calculations (count in SQL).
	
	* include/functions_ui.php: Added print_moduletype_icon that prints the
	whole (correct) icon including rollover text
	
	* include/functions_db.php: Updated some documenation and removed 
	deprecated functions that are now in the auth parts. Renamed 
	return_status_agent_module to get_agentmodule_status
	
	* operation/agentes/sla_view.php: Made it use the 2.0 SQL and HTML
	functions
	
	* godmode/agentes/configurar_agente.php: Fixed tab links
	
	* operation/events/events.php, include/functions_visual_map.php,
	operation/agentes/networkmap.php, operation/agentes/status_monitor.php,
	operation/agentes/estado_grupo.php, operation/agentes/ver_agente.php,
	operation/reporting/custom_reporting.php, 
	operation/reporting/reporting_viewer.php,
	operation/reporting/reporting_xml.php, godmode/setup/links.php,
	godmode/setup/setup.php, godmode/reporting/map_builder.php,
	godmode/reporting/reporting_builder.php: Fixed renamed functions

2009-03-02  Esteban Sanchez  <estebans@artica.es>

	* include/functions_menu.php: Added to repository. Functions for menu.

	* operation/menu.php, godmode/menu.php: Added class to menu due to
	changes in print_menu().

	* general/main_menu.php: temp_print_menu() moved to functions_menu.php 

	* include/functions_themes.php: Added to repository. Implement
	functions relative to themes (only CSS themes list at this moment).

	* include/styles/pandora.css, include/styles/pandora_black.css,
	include/styles/pandora_minimal.css, include/styles/pandora_red.css:
	Added author, name and description comments to adopt to new
	get_themes() interface.

	* include/styles/pandora_width.css: Improved and make lighter by
	simply rewrite some classes.

	* include/functions.php: Added is_ajax().

	* godmode/agentes/module_manager_editor.php,
	godmode/alerts/alert_actions.php, godmode/alerts/alert_commands.php,
	godmode/alerts/alert_compounds.php, godmode/alerts/alert_list.php,
	godmode/alerts/alert_templates.php, godmode/groups/group_list.php,
	godmode/reporting/map_builder.php,
	godmode/reporting/reporting_builder.php,
	operation/agentes/estado_agente.php, operation/agentes/ver_agente.php,
	operation/events/events.php, operation/messages/message.php: Use
	is_ajax()

	* godmode/setup/setup.php: Use enterprise_include() instead of manual
	checking. Use get_css_themes() to show the theme list.

	* include/styles/common.css: Added to repository. Minimal styles to
	make pandora works and common with all the CSS themes.

	* include/functions_ui.php: Added common.css file.

2009-02-27  Esteban Sanchez  <estebans@artica.es>

	* godmode/groups/configure_group.php: Removed javascript console.log

	* godmode/reporting/map_builder.php: Fixed typo on file_exists()

	* include/functions.php: Added format_integer_round().

	* include/functions_db.php: Added fields to get_db_row(). Array values
	to make "IN" SQL statements were in wrong function. Added support for
	order in format_array_to_where_clause_sql().

	* include/functions_events.php: Added get_event(). Fixed
	print_event_type_img() which causes double printing in some cases.

	* operation/events/events.php: Added get_event_tooltip AJAX operation.
	Style correction by replacing $row with $event.

2009-02-26  Evi Vanoost  <vanooste@rcbi.rochester.edu>
	
	* godmode/setup/setup.php: Unchecked checkboxes don't transfer any value
	so must default to 0 in order to work.

2009-02-26  Esteban Sanchez  <estebans@artica.es>

	* include/functions_events.php: Added get_events() function. Replaced
	"..." with html entity and reuse previously calculated value.

	* include/functions_reporting.php: Fixed get_agent_module_sla() to
	allow no max value to be checked. That was causing some errors on
	monitor reports.

	* operation/agentes/sla_view.php,
	operation/reporting/reporting_xml.php,
	operation/reporting/reporting_viewer.php: Do not use max value on
	monitor SLA.
	
	* operation/events/events.php: Replaced exit for return.

	* include/functions_db.php: Added support for arrays in
	format_array_to_update_sql() that will be transformed to a "IN ()"
	statement.

2009-02-26  Esteban Sanchez  <estebans@artica.es>

	* include/config_process.php, index.php: Added generated timer count as
	a HTML comment at the bottom.

	* include/functions_ui.php: Style correction.

2009-02-26  Esteban Sanchez  <estebans@artica.es>

	* include/functions_db.php: Added support for queries elapsed time in
	print_database_debug().

	* operation/events/events.php: Style correction.

	* reporting/fgraph.php: Allow boolean graphics to get a starting date.

	* general/footer.php: Use config['debug'] instead of developer_bypass.

2009-02-25  Esteban Sanchez  <estebans@artica.es>

	* include/functions_ui.php: Fixed typo that makes incorrect argument
	list in debug().

2009-02-25  Evi Vanoost  <vanooste@rcbi.rochester.edu>

	* include/functions_reporting.php: Thanks to Esteban's functions found out
	some bad performers. Fixed it
	
	* include/auth/ldap.php: Calling get_system_time() 800 times is too much.
	Moved it to a variable.

2009-02-25  Esteban Sanchez  <estebans@artica.es>

	* include/functions_db.php: Do not show errors on sql_error_handler()
	if debug flag is active. Removed return flag to print_database_debug()
	because it was causing memory allocation errors. For the same reason,
	the table is printed each 100 elements.
	
	* index.php: Run print_database_debug() after the flush.

	* include/functions.php: Removed deprecated pandora_debug()

2009-02-25  Esteban Sanchez  <estebans@artica.es>

	* include/functions_db.php: Added database debug support. If the debug
	flag in config is set, a table with all the queries done in a page is
	shown. To do so, add_database_debug_trace() and print_database_debug()
	were added.

	* include/functions_ui.php: Added debug() function which shows a
	given variable content and a traceback which can be toggled to make
	developers life easier.

	* index.php: Print database debug table.

	* include/styles/pandora.css: Styles for debug functionallity.

2009-02-24  Evi Vanoost  <vanooste@rcbi.rochester.edu>

	* include/functions_db.php: Fixed where clause
	
	* images/groups_small/printer.png: Added printer icon to groups since
	it might be useful to create a separate printer group

2009-02-24  Evi Vanoost  <vanooste@rcbi.rochester.edu>

	* include/config_process.php: Added compact_header. If you want to
	save on server hits and increase performance (slightly) enable it.
	Page loads (on my system) ~500ms faster and feels faster since it 
	doesn't block the page while waiting on css and javascript

	* include/functions_agents.php: Moved process_manage_config from 
	configurar_agente.
	
	* include/functions_ui.php: Added compact_header functionality
	
	* include/functions_html.php: Fixed some id issues which caused
	manage_config to not work correctly. id's can't have [] in them.
	Also fixed the comparison for numeric (string to int) comparisons
	
	* include/styles/pandora.css: Moved @import to functions_ui.php
	
	* godmode/agentes/manage_config.php: Fixed ids and some validation
	
	* godmode/agentes/configurar_agente.php, godmode/agentes/agent_manager:
	Fixed HTML output and use functions for images
	
	* godmode/setup/setup.php: Added compact_header to setup

2009-02-24  Esteban Sanchez  <estebans@artica.es>

	* include/functions_db.php: Fixed a bug in
	format_array_to_where_clause_sql() when only offset and limit where
	given. A new parameter was added to solve it, so the behaviour is a
	bit different now (take a look to the doc examples). Changes were also
